2006-12-18  Robin Fairbairns  <rf10@mole.cl.cam.ac.uk>

	* faqbody.tex: v3.16c-1, today (for release)

2006-12-15  Robin Fairbairns  <rf10@beret.cl.cam.ac.uk>

	* letterfaq.tex: do the single column trick here too, for letterfaq.pdf

2006-12-13  Robin Fairbairns  <rf10@beret.cl.cam.ac.uk>

	* faqbody.tex (everything up to section{Graphics}): use \Qref* when
	 appropriate, using \narrowonly, \wideonly as necessary

	* sanitize-beta.pl (sanitize_line): deal with \narrowonly, \wideonly

	* faq.sty: define \narrowonly, \wideonly

2006-12-13  Robin Fairbairns  <rf10@mole.cl.cam.ac.uk>

	* faqbody.tex (section{Hypertext and PDF}): major edits to q-acrobat,
	 following cogent comments from karl berry
	(section{Hypertext and PDF}): liberal use of \qref* makes q-dvips-pdf
	 more nearly comprehensible, when read as pdf

	* dirctan.tex: add dvipdfmx, gv

	* newfaq-patch.tex: make pdf output single column, as in newfaq.tex

2006-12-11  Robin Fairbairns  <rf10@mole.cl.cam.ac.uk>

	* faqbody.tex: v3.16c

	* faq.sty: bludgeon \CTANhref in pdf mode

	* faqbody.tex: v3.16b-6, today
	(subsection{Document structure}): put titlesec and sectsty into
	 different paras, offer rationale for choice om q-secthead
	(subsection{LaTeX macro tools and techniques}): mention \@dblarg in
	 q-oarglikesect

2006-12-07  Robin Fairbairns  <rf10@beret.cl.cam.ac.uk>

	* filectan.tex: shiny new *longer* path for btxmac

2006-12-02  Robin Fairbairns  <rf10@beret.cl.cam.ac.uk>

	* faqbody.tex (subsection{Typesetting specialities}): correct typos in
	 ctanrefs in q-music

2006-12-01  Robin Fairbairns  <rf10@beret.cl.cam.ac.uk>

	* faqbody.tex (subsection{Creating citations}): correct reed.edu link,
	 thanks to barbara b

2006-11-30  Robin Fairbairns  <rf10@mole.cl.cam.ac.uk>

	* faqbody.tex (subsection{Creating bibliographies}): make an itemised
	 list of alternative styles in q-citeurl, add babelbib to list

2006-11-28  Robin Fairbairns  <rf10@mole.cl.cam.ac.uk>

	* faqbody.tex (subsection{Creating bibliographies}): add two more
	 examples in q-bibprefixsort

2006-11-26  Robin Fairbairns  <rf10@beret.cl.cam.ac.uk>

	* faqbody.tex: v3.16b-5, today
	(section{Documentation and Help}): reference kmf's page about pgf/tikz

2006-11-22  Robin Fairbairns  <rf10@mole.cl.cam.ac.uk>

	* faqbody.tex: v3.16b-4, today
	(subsection{Spacing of characters and lines}): \linestretch ->
	 \linespread (per ulrike fischer) in q-linespace

2006-11-20  Robin Fairbairns  <rf10@mole.cl.cam.ac.uk>

	* faqbody.tex (section{TeX Systems}): correct sciword uk phone nos in
	 q-commercial

2006-11-17  Robin Fairbairns  <rf10@mole.cl.cam.ac.uk>

	* dirctan.tex: add everypage and draftwatermark; correct wd2latex,
	 remove wasy and xymtex

	* faqbody.tex (subsection{Page layout}): mention draftwatermark (and
	 its everypage) in q-watermark

2006-11-15  Robin Fairbairns  <rf10@mole.cl.cam.ac.uk>

	* faqbody.tex (section{Graphics}): ctan ref for mptopdf
	 in q-mpprologues

	* dirctan.tex: add pdftex-graphics

	* faqbody.tex (section{The joy of TeX errors}): mention "h" response
	 in q-optionclash

2006-11-14  Robin Fairbairns  <rf10@mole.cl.cam.ac.uk>

	* add-general.tex (subsection{Floating tables, figures, etc.}): new
	 q-figurehere

2006-11-13  Robin Fairbairns  <rf10@beret.cl.cam.ac.uk>

	* faqbody.tex (preamble): today's date; input archive.cfg regardless of
	 whether we're using pdf

	* faq.sty: yet more baroquery towards \CTANhref

2006-11-13  Robin Fairbairns  <rf10@mole.cl.cam.ac.uk>

	* faqbody.tex (section{Introduction}): ref to vis faq in "how to use"

	* faq.sty: new command \CTANhref works for dvi version so far;
	 no longer requires \Status for pdf working, uses ifpdf pkg instead;
	 a fair bit of more minor tidying

2006-11-09  Robin Fairbairns  <rf10@beret.cl.cam.ac.uk>

	* faqbody.tex (subsection{Floating tables, figures, etc.}): example
	 code in {quote} in q-vertspacefloat and q-mcfloat

2006-11-06  Robin Fairbairns  <rf10@mole.cl.cam.ac.uk>

	* faqbody.tex (subsection{Tables, figures and diagrams}): mention the
	 case of multirow-multicolumn in q-multirow
	(subsection{"Generic" macros and techniques}): new q-isdef from
	 add-general

2006-11-03  Robin Fairbairns  <rf10@beret.cl.cam.ac.uk>

	* sanitize-beta.pl (sanitize_line): correct \cmdinvoke{c}{arg1}{arg2}
	sanitize.pl (sanitize_line): -beta works, so correct here too

06-11-02  Robin Fairbairns  <rf10@beret.cl.cam.ac.uk>

	* add-general.tex (subsection{"Generic" macros and techniques}): bunch
	 of editorials in q-isdef
	(subsection{"Generic" macros and techniques}): tidy narrow layout of
	 example, add wide version and hack at words a bit in q-ovwtsym

2006-10-31  Robin Fairbairns  <rf10@mole.cl.cam.ac.uk>

	* add-general.tex (subsection{Generic macros}): \csx{relax} in place of
	 \relax(!) in q-isdef

	* dirctan.tex: add pspicture

	* faqbody.tex (section{Graphics}): correct ctan ref for pspicture

2006-10-31  Robin Fairbairns  <rf10@beret.cl.cam.ac.uk>

	* faqbody.tex: today's date, v3.16b-3
	(subsection{LaTeX macro programming}): dot \makeat* liberally around
	 examples in q-running-nos

2006-10-23  Robin Fairbairns  <rf10@mole.cl.cam.ac.uk>

	* faqbody.tex (subsection{Page layout}): draftcopy doesn't work with
	 pdflatex (in q-watermark)

2006-10-19  Robin Fairbairns  <rf10@mole.cl.cam.ac.uk>

	* faqbody.tex: version 3.16b-2, date now iso format (with hyphens)

	* patchdates.tex: pl4.13, date now iso format (with hyphens)

	* add-general.tex (subsection{Generic macros and techniques}): new
	 q-ovwtsym from a post by enrico gregorio (latest instance of an
	 oft-repeated answer)

2006-10-05  Robin Fairbairns  <rf10@pb000.cl.cam.ac.uk>

	* Makefile.CTAN: basis of mechanism to install CHANGES files

2006-10-05  Robin Fairbairns  <rf10@beret.cl.cam.ac.uk>

	* texfaq2html: sigh...merge in intro patch from texfaq2html-beta

	* dirctan.tex: add figflow

	* faqbody.tex: v3.16c, today
	(subsection{Tables, figures and diagrams}): add figflow for plain, tidy
	 some of the ghastly verbatim in q-textflow

2006-10-04  Robin Fairbairns  <rf10@mole.cl.cam.ac.uk>

	* faqbody.tex: 3.16b-1, today
	(section{Format conversions}): correct address for stil, in q-sgml2tex
	
2006-10-02  Robin Fairbairns  <rf10@mole.cl.cam.ac.uk>

	* sanitize.pl (sanitize_line): updates from -beta

	* faqbody.tex: v3.16b, today

2006-09-28  Robin Fairbairns  <rf10@mole.cl.cam.ac.uk>

	* add-general.tex (subsection{``Generic'' macros and techniques}): new
	 q-isdef

	* sanitize-beta.pl (sanitize_line): move \csx before text shape
	 changing commands, so we can have emphasised control seqq

2006-09-23  Robin Fairbairns  <rf10@beret.cl.cam.ac.uk>

	* faqbody.tex (subsection{LaTeX macro programming}): misspelling of
	 corrollary (over and over again) in q-addtoreset

2006-09-20  Robin Fairbairns  <rf10@mole.cl.cam.ac.uk>

	* faqbody.tex (section{Hypertext and PDF}): reference testflow in
	 q-dvips-pdf
	(section{Documentation and Help}): link to q-dvips-pdf in tutbitslatex
	(section{Hypertext and PDF}): trivial editorials in q-acrobat
	(section{Documentation and Help}): remove caveat about epslatex in
	 q-tutbitslatex

2006-09-19  Robin Fairbairns  <rf10@mole.cl.cam.ac.uk>

	* faqbody.tex: v3.16a-6, today
	(section{Documentation and Help}): add the word "minimal" (to assist
	 searching - suggestion from brooks moses) and tidy q-minxampl a bit
	(section{The joy of TeX errors}): new q-optionclash from add-general

2006-09-18  Robin Fairbairns  <rf10@beret.cl.cam.ac.uk>

	* faqbody.tex (subsection{Alternative document classes}): mention
	 nicola talbot's experimental jpgfdraw in q-poster

2006-09-12  Robin Fairbairns  <rf10@beret.cl.cam.ac.uk>

	* faqbody.tex (section{The Background}): rewrite q-texinfo

2006-09-11  Robin Fairbairns  <rf10@mole.cl.cam.ac.uk>

	* add-general.tex (subsection{The Joy of TeX errors}): yet more fun
	 with q-optionclash

	* faqbody.tex: v3.16a-5, today
	(throughout): t1 and ot1 done consistently (remains to check other
	 encodings like t2 series, etc)
	(section{Installing AllTeX files}): correct \latinfamily in
	 q-instt1font

2006-09-10  Robin Fairbairns  <rf10@beret.cl.cam.ac.uk>

	* add-general.tex (subsection{The Joy of TeX errors}): rewrite
	 recommendations for q-optionclash

	* faqbody.tex (subsection{LaTeX macro tools and techniques}): add
	 \makeatletter to example in q-ltxcmds

2006-09-05  Robin Fairbairns  <rf10@mole.cl.cam.ac.uk>

	* add-general.tex (subsection{The Joy of TeX errors}): add
	 q-optionclash

2006-08-27  Robin Fairbairns  <rf10@beret.cl.cam.ac.uk>

	* check-ctan-lists: add miktex-setup to list of known links

	* dirctan.tex: correct dvipaste

	* filectan.tex: correct miktex-setup, metafp-pdf

2006-08-26  Robin Fairbairns  <rf10@beret.cl.cam.ac.uk>

	* faqbody.tex (section{The Background}): q-omegaleph tidy-ups in
	 q-texfuture, q-books, q-texsystems
	(section{Current TeX-related projects}): q-omegaleph and q-luatex from
	 add-general

2006-08-25  Robin Fairbairns  <rf10@beret.cl.cam.ac.uk>

	* add-general.tex (subsection{Current TeX-related projects}): minor
	 editorial on q-luatex

	* faqbody.tex (section{The Background}): typo in q-whatpdftex

2006-08-19  Robin Fairbairns  <rf10@beret.cl.cam.ac.uk>

	* faqbody.tex: v3.16a-4, today
	(section{Bits and pieces of (La)TeX}): rehash q-virtualfonts

	* faq.sty: make \htmlonly careful about spacing (thought experiment led
	 to this -- don't know that it's actually a concern)

2006-08-16  Robin Fairbairns  <rf10@mole.cl.cam.ac.uk>

	* texfaq2html-gamma: lots more diddling (trying to get all keys into a
	 hash, and working from there ... not successful)

	* faqbody.tex (section{Graphics}): suggestion from donald for \raisebox
	 alignment of graphics in q-topalign

2006-08-15  Robin Fairbairns  <rf10@mole.cl.cam.ac.uk>

	* texfaq2html-gamma: yet more thrashing about

	* faqbody.tex (section{The joy of TeX errors}): other reasons for the
	 error in q-hyperdupdest
	(_the_ list): add iain murray

2006-08-14  Robin Fairbairns  <rf10@mole.cl.cam.ac.uk>

	* texfaq2html-gamma: further extension of yesterday's fun; added
	 ?intro(duction) [needs work on texfaq2file] and more debugging

	* add-general.tex (subsection{Current TeX-related projects}): tidy
	 q-omegaleph, extend q-luatex and (hopefully) make it more coherent

2006-08-13  Robin Fairbairns  <rf10@beret.cl.cam.ac.uk>

	* add-general.tex (subsection{Current TeX-related projects}): new
	 questions (rather, bases for questions) q-omegaleph and q-luatex

	* faqbody.tex: version 3.16a-3, today
	(section{TeX Systems}): different instructions for miktex installation
	 in q-texsystems 
	(subsection{Footnotes}): change ctan link for perpage in q-footnpp
	(subsection{LaTeX macro programming}): change ctan link for perpage in
	 q-addtoreset
	(subsection{Typesetting specialities}): mention lilypond in q-music
	(subsection*{Origins}): add comment to contributor entry about dak,
	 remove the silly footnote about full stops

	* filectan.tex: correct epsf (should be link to dir?), metafp,
	 metafont-for-beginners, miktex-setup (not *right*...); delete
	 miktex-install, perpage

	* dirctan.tex: correct arabtex, cellspace, dvipaste pst-pdf, texindex;
	 add epsf

	* faqbody.tex (subsection{Common misunderstandings}): spelling error in
	 q-paraparam

	* texfaq2html-gamma: done a debugging session; add search-box
	 switching; add a modicum of doc in comments; allow to be run from
	 command line (editable pointer)

	* faqbody.tex (section{Introduction}): capa_bi_lities (!)

2006-08-11  Robin Fairbairns  <rf10@mole.cl.cam.ac.uk>

	* faqbody.tex: v3.16a-2, today
	(section{Documentation and Help}): add tug font resources to
	 q-tutbitslatex 

2006-08-07  Robin Fairbairns  <rf10@mole.cl.cam.ac.uk>

	* faqbody.tex (throughout): correct spelling of separate & derivatives

	* add-general.tex (subsection{LaTeX macro programming}): new
	 q-latexqual for nag, texidate

	* dirctan.tex: add a (multilingual, as it were) browsable l2tabu

2006-08-06  Robin Fairbairns  <rf10@beret.cl.cam.ac.uk>

	* faqbody.tex (subsection{LaTeX macro tools and techniques}): correct
	 typo in, and editorial on q-atsigns

	* sanitize-beta.pl (sanitize_line): translate \LaTeX{} (!)

	* faqbody.tex (subsection{Tables of contents and indexes}): correct
	 sample code and slick up descr slightly, in q-minitoc
	(subsection*{Origins}): mention Jean-Pierre Drucbert in _the_ list

2006-08-05  Robin Fairbairns  <rf10@beret.cl.cam.ac.uk>

	* faqbody.tex (throughout): delete doubling of "the" (!)

2006-08-04  Robin Fairbairns  <rf10@mole.cl.cam.ac.uk>

	* faqbody.tex (section{Bits and pieces of (La)TeX}): rewrite the note
	 about maths fonts in q-ecfonts

2006-08-03  Robin Fairbairns  <rf10@mole.cl.cam.ac.uk>

	* faqbody.tex (section{Current TeX-related projects}): tweak wording
	 slightly

	*** release 3.16a ***

2006-07-31  Robin Fairbairns  <rf10@mole.cl.cam.ac.uk>

	* texfaq2html-gamma: separate section for searches, trim final else

	* faqbody.tex (section{The Background}): correct current mf version no

2006-07-25  Robin Fairbairns  <rf10@beret.cl.cam.ac.uk>

	* faqbody.tex: v3.16a, today

2006-07-25  Robin Fairbairns  <rf10@mole.cl.cam.ac.uk>

	* faqbody.tex (subsection{Document management}): extend q-filename with
	 a simpler file-name saver, and show how to strip .tex from fink
	 filenames

	* texfaq2html-beta: more careful about \section test for end of intro

2006-07-07  Robin Fairbairns  <rf10@mole.cl.cam.ac.uk>

	* faqbody.tex (subsection{LaTeX macro tools and techniques}): stupidity
	 in q-cmdstar, spotted by Kasper van den Berg

2006-07-06  Robin Fairbairns  <rf10@beret.cl.cam.ac.uk>

	* faqbody.tex (subsection{Lists}): typo in q-enumerate spotted by
	 Samuel Lelievre

2006-06-30  Robin Fairbairns  <rf10@mole.cl.cam.ac.uk>

	* faqbody.tex: v3.16, today

	* sanitize.pl: bring up to date with sanitize-beta.pl

	* texfaq2html-gamma: remove %SymbolChar table

	* faqbody.tex (section{Documentation and Help}): typo in q-tutbitslatex
	 (wideversion only, so only now detected)

2006-06-29  Robin Fairbairns  <rf10@mole.cl.cam.ac.uk>

	* faqbody.tex: today's date
	(subsection{Creating citations}): q-whatbst from add-general
	(subsection{Macros for using fonts}): (new subsection) q-fonts-pln from
	 add-general
	(section{Graphics}): new q-repeatgrf from add-general

	* add-general.tex (subsection{Creating bibliographies}): proof-reading
	 corrections of q-whatbst

2006-06-28  Robin Fairbairns  <rf10@beret.cl.cam.ac.uk>

	* add-general.tex (subsection{Fonts}): proof-reading corrections in
	 q-fonts-pln
	(subsection{Graphics}): proof-reading corrections in q-repeatgrf

2006-06-28  Robin Fairbairns  <rf10@mole.cl.cam.ac.uk>

	* add-general.tex (subsection{Graphics}): mention dvips version, and
	 add missing pdf bit in q-repeatgrf

2006-06-27  Robin Fairbairns  <rf10@beret.cl.cam.ac.uk>

	* add-general.tex (subsection{Graphics}): mention graphicx-psmin

	* dirctan.tex: add graphicx-psmin

2006-06-27  Robin Fairbairns  <rf10@mole.cl.cam.ac.uk>

	* add-general.tex (subsection{Installing (La)TeX files}): first stab at
	 body for q-install-find

	* faqbody.tex: today's date
	(subsection{Common misunderstandings}): new q-gutter from add-general
	(subsection{Common errors}): new q-matchbrak from add-general

2006-06-26  Robin Fairbairns  <rf10@beret.cl.cam.ac.uk>

	* add-general.tex (subsection{Installing (La)TeX files}): skeleton of
	 new installation question structure

2006-06-23  Robin Fairbairns  <rf10@beret.cl.cam.ac.uk>

	* faqbody.tex (section{Graphics}): editorial tidying of q-graphicspath
	 plus emphasise the need for trailing slash on \graphicspath dirs
	(section{Graphics}): minor editorial in q-graph-pspdf q-mpprologues too
	(subsection{Creating bibliographies}): editorials on q-bibstrtl

2006-06-22  Robin Fairbairns  <rf10@beret.cl.cam.ac.uk>

	* sanitize-beta.pl (sanitize_line): deal with \subsection* (i.e.,
	 ignore it, for intro \latexhtml command)

	* faqbody.tex: version 3.16alpha, today
	(section{Introduction}): rearrange to limit the amount we need to show
	 on the web by default

2006-06-22  Robin Fairbairns  <rf10@mole.cl.cam.ac.uk>

	* faqbody.tex: today's date -- rehash the intro

2006-06-21  Robin Fairbairns  <rf10@beret.cl.cam.ac.uk>

	* add-general.tex (subsection{Why does it do that?}): actual text for
	 q-gutter

	* additions.tex: let's change patch version and date, for once!

2006-06-19  Robin Fairbairns  <rf10@beret.cl.cam.ac.uk>

	* faqbody.tex: today's date
	(section{Documentation and Help}): add smith's latex for logicians to
	 q-tutbitslatex
	(section{TeX Systems}): make ref to w32tex, move dos & os/2 offerings
	 down below win32 in the doc (q-texsystems)

2006-06-15  Robin Fairbairns  <rf10@beret.cl.cam.ac.uk>

	* add-general.tex (subsection{Graphics}): comment-out
	 q-dvipdfmgraphics* -- seems to have been a mistake

	* faqbody.tex (subsection{Page layout}): restructure the list of
	 related answers in q-changemargin with an intersticial remark
	(subsection{Page layout}): develop and extend q-chngmargonfly

2006-06-14  Robin Fairbairns  <rf10@beret.cl.cam.ac.uk>

	* faqbody.tex: today's date in preamble
	(subsection{Page layout}): split Q-changemargin into intro and 3 bits
	 of detail

2006-06-13  Robin Fairbairns  <rf10@beret.cl.cam.ac.uk>

	* add-general.tex (subsection{Why does it do that?}): a huge start on
	 new q-gutter (i.e., wrote \Question command)
	
	* faqbody.tex (subsection{Page layout}): start of rehash of
	 q-changemargin

2006-06-05  Robin Fairbairns  <rf10@beret.cl.cam.ac.uk>

	* dirctan.tex: add cellspace

	* faqbody.tex (subsection{Tables, figures and diagrams}): mention
	 cellspace in q-struttab

2006-06-02  Robin Fairbairns  <rf10@beret.cl.cam.ac.uk>

	* faqbody.tex (subsection{Document management}): give framed a
	 paragraph of its own in q-changebars

2006-06-01  Robin Fairbairns  <rf10@beret.cl.cam.ac.uk>

	* faqbody.tex (section{Format conversions}): no longer mention
	 troff-to-latex in q-fmtconv

	* dirctan.tex: add moderncv
	chappg,mathdots,shade from filectan; correct pst-pdf; delete tr2tex,
	 troff-to-latex 

	* faqbody.tex (subsection{Alternative document classes}): refine the
	 statement about europecv, in q-cv
	(section{TeX Systems}): redo note on y&y in q-commercial
	(subsection{Alternative document classes}): mention moderncv in q-cv

2006-05-30  Robin Fairbairns  <rf10@beret.cl.cam.ac.uk>

	* faqbody.tex (section{Current TeX-related projects}): simplify q-xetex
	 and mention xetex for linux
	(section{Current TeX-related projects}): remove q-pdftex

	* faq.sty: another iteration of ctanrefs: sanitising isn't right, since
	 we often have real commands in there, so use \scantokens -- which
	 means we need always to use an e-tex

	* faqbody.tex (subsection{Document structure}): "simple minded" example
	 now no longer uses 2.09 fonts in q-secthead

2006-05-28  Robin Fairbairns  <rf10@beret.cl.cam.ac.uk>

	* faqbody.tex (section{The Background}): add qualifier to actions of
	 distributors in q-triptrap

	* dirctan.tex: add a2ping, sam2p

	* faqbody.tex (section{Graphics}): tidy q-dvipsgraphics, add
	 sam2p/a2ping as alternatives for bitmaps

2006-05-27  Robin Fairbairns  <rf10@beret.cl.cam.ac.uk>

	* add-general.tex (subsection{Fonts}): new q-fonts-pln

	* faq.sty: \@onelevel@sanitize \item args in ctanrefs env

	* dirctan.tex: add ec-plain, font_selection, fontch, plnfss and ofs

	* faqbody.tex (section{TeX Systems}): stupid logo macros in xemtex
	 description

2006-05-24  Robin Fairbairns  <rf10@beret.cl.cam.ac.uk>

	* dirctan.tex: add labelcas

	* faqbody.tex (subsection{Alternative document classes}): get q-poster
	 from add-general
	(subsection{Why shouldn't I?}): get q-newfont from add-general
	(subsection{LaTeX macro programming}): mention labelcas package in
	 q-labundef

	* add-general.tex (subsection{Alternative document classes}): mention
	 multicol for "unadorned" a0poster-posters in q-poster

	* faqbody.tex: today's date
	(section{Bits and pieces of (La)TeX}): tidy up (and extend) q-ecfonts

2006-05-21  Robin Fairbairns  <rf10@beret.cl.cam.ac.uk>

	* faqbody.tex: today's date
	(section{Acquiring the Software}): mention bytopic.html in q-findfiles

2006-05-15  Robin Fairbairns  <rf10@beret.cl.cam.ac.uk>

	* add-general.tex (subsection{Alternative document classes}): q-poster

	* dirctan.tex: add sciposter, a0poster, flowfram

2006-05-10  Robin Fairbairns  <rf10@beret.cl.cam.ac.uk>

	* faqbody.tex: today's date
	(section{Documentation and Help}): add chris harrison's book to
	 q-man-latex

2006-05-08  Robin Fairbairns  <rf10@beret.cl.cam.ac.uk>

	* faqbody.tex: today's date
	(section{Current TeX-related projects}): add \href to berlios site, and
	 make link to CTAN rather than old site

2006-05-04  Robin Fairbairns  <rf10@beret.cl.cam.ac.uk>

	* faqbody.tex (section{Acquiring the Software}): elide all reference to
	 "quote site index" from q-findfiles

2006-04-24  Robin Fairbairns  <rf10@mole.cl.cam.ac.uk>

	* faqbody.tex: today's date
	(subsection{LaTeX macro programming}): correct recipe given in
	 Q-seccntfmt
	(section{Installing (La)TeX files}): correct link to map update stuff
	 in miktex in q-instt1font and q-uselmfonts

2006-04-23  Robin Fairbairns  <rf10@beret.cl.cam.ac.uk>

	* sanitize-beta.pl (sanitize_line): yet another tidying of \cmdinvoke

2006-04-15  Robin Fairbairns  <rf10@beret.cl.cam.ac.uk>

	* faqbody.tex (section{Documentation and Help}): mention tex-ptr-faq in
	 q-wherefaq
	(section{You're still stuck?}): correct bnb's address in q-bug

2006-04-10  Robin Fairbairns  <rf10@mole.cl.cam.ac.uk>

	* faqbody.tex (subsection{Common errors}): annotation at end of
	 q-noline to mention other instances that could need covering

2006-04-06  Robin Fairbairns  <rf10@mole.cl.cam.ac.uk>

	* faqbody.tex (section{Documentation and Help}): mention bernard
	 gaulle's faqs in q-wherefaq; emphasise that the fr.c.t.t one is no
	 longer in the land of the living [check!]

2006-04-04  Robin Fairbairns  <rf10@mole.cl.cam.ac.uk>

	* add-general.tex (subsection{Why does it do that?}): new q-matchbrak

2006-04-03  Robin Fairbairns  <rf10@mole.cl.cam.ac.uk>

	* faqbody.tex: today's date
	(section{Documentation and Help}): new q-doc-wiki from add-general
	(section{Documentation and Help}): link q-doc-wiki in q-tutorials*
	(section{The Background}): new q-whatpdftex from add-general
	(throughout): refs to q-pdftex -> q-whatpdftex

2006-03-30  Robin Fairbairns  <rf10@mole.cl.cam.ac.uk>

	* faqbody.tex: today's date

	* sanitize-beta.pl: couple of changes to introduce quoteverbatim

	* faq.sty: add quoteverbatim environment, for verbatim output of
	 verbatim environments (used by new q-verbwithin, of course)

	* examples/verbwithin.tex: new file

	* faqbody.tex (subsection{Common errors}): extend description of
	 failures of verbatim environment, in q-verbwithin

2006-03-29  Robin Fairbairns  <rf10@mole.cl.cam.ac.uk>

	* faqbody.tex (section{Graphics}): new address for pstricks site in
	 q-drawing and q-labelfig

	* dirctan.tex: remove ps4pdf, add pst-pdf

	* faqbody.tex: today's date
	(section{Graphics}): ps4pdf->pst-pdf in q-pdftexgraphics, new address
	 for hv's web stuff

2006-03-27  Robin Fairbairns  <rf10@mole.cl.cam.ac.uk>

	* locations.mk: add HTMLDIR, HTMDIR_GAMMA and GAMMADIR

	* Makefile: remove inst-html target, add inst-gamma

	* sanitize-beta.pl (sanitize_line): translate both double and single
	 quotes to entities
	(sanitize_line): make \end{quote} issue a <p> for the benefit of the
	 css mechanisms in -gamma

	* texfaq2file: use sanitize-beta

	* add-general.tex (subsection{The Background}): iterate q-whatpdftex

2006-03-21  Robin Fairbairns  <rf10@mole.cl.cam.ac.uk>

	* faqbody.tex (subsection{Tables, figures and diagrams}): braces around
	 \multirow *s (distinction without a difference...)
	
2006-03-17  Robin Fairbairns  <rf10@mole.cl.cam.ac.uk>

	* faqbody.tex: today's date
	(section{Documentation and Help}): update details for wheildon in
	 q-typebooks

2006-03-09  Robin Fairbairns  <rf10@mole.cl.cam.ac.uk>

	* faqbody.tex: today's date
	(subsection{Creating bibliographies}): minor rewording of q-bibinline

2006-03-08  Robin Fairbairns  <rf10@mole.cl.cam.ac.uk>

	* sanitize-beta.pl (sanitize_line): deal with dviversion and pdfversion
	(sanitize_line): deal with --- => &mdash; -- => &ndash;

	* faqbody.tex: today's date on first line
	(section{Documentation and Help}): mention visualFAQ in q-wherefaq

	* filectan.tex: add visualFAQ

	* faqbody.tex (section{The Background}): yet another minuscule
	 iteration of q-texpronounce

2006-03-02  Robin Fairbairns  <rf10@mole.cl.cam.ac.uk>

	* faqbody.tex (section{Installing (La)TeX files}): mention .pool, .fmt,
	 .base and .mem locations, tidy text a bit, in q-wherefiles

2006-03-01  Robin Fairbairns  <rf10@mole.cl.cam.ac.uk>

	* faqbody.tex (subsection{Document management}): typo in q-changebars
	(section{Creating citations}): tidy up q-bibinline a bit more

2006-02-28  Robin Fairbairns  <rf10@beret.cl.cam.ac.uk>

	* faqbody.tex (section{DVI Drivers and Previewers}): cut q-dvips down
	 to its bare bones (whole section needs a going-over)
	(subsection{Hyphenation}): correct typo in q-hyphexcept

2006-02-26  Robin Fairbairns  <rf10@beret.cl.cam.ac.uk>

	* faqbody.tex (section{Creating citations}): sort out *my*
	 understanding of footbib, in q-bibinline
	
2006-02-25  Robin Fairbairns  <rf10@beret.cl.cam.ac.uk>

	* faqbody.tex (section{Documentation and Help}): mention urs oswald's
	 things in q-mfptutorials

2006-02-24  Robin Fairbairns  <rf10@beret.cl.cam.ac.uk>

	* faqbody.tex (subsection{LaTeX macro programming}): mention the
	 koma-script facilities in q-oddpage

2006-02-24  Robin Fairbairns  <rf10@mole.cl.cam.ac.uk>

	* faqbody.tex: today's date
	(subsection{Common errors}): "typeset" page number rather than
	 "set" page number in q-wrongpn
	(subsection{Creating bibliographies}): remove snide comment about
	 tex2bib documentation -- it's standard now

2006-02-22  Robin Fairbairns  <rf@mole.cl.cam.ac.uk>

	* README: try to avoid the contradictions; may need to take poli's
	 advice more nearly wholesale...

	* faqbody.tex: today's date
	(section{Graphics}): redo ref to epslatex in q-impgraph

	* filectan.tex: ref epslatex -> epslatex_pdf

	* faqbody.tex (section{Documentation and Help}): mention zoonekynd's
	 series in q-tutbitslatex, and reorganise references to epslatex (given
	 we're supposed to have source rsn)
	
2006-02-20  Robin Fairbairns  <rf@mole.cl.cam.ac.uk>

	* faqbody.tex: today's date
	(section{Graphics}): mention psfragx in q-labelfig
	(section{Bits and pieces of (La)TeX}): mention "eps" as an abbr,
	 in q-eps (seems it's never previously been used!)

2006-02-17  Robin Fairbairns  <rf@mole.cl.cam.ac.uk>

	* faqbody.tex: today's date
	(section{You're still stuck?}): improve layout of q-noans, tidy
	 text a bit

	* filectan.tex: add xampl-bib

	* add-general.tex (subsection{Creating bibliographies}): new q-whatbst

	* faqbody.tex (section{Graphics}): mention tikz in q-drawing

2006-02-14  Robin Fairbairns  <rf@mole.cl.cam.ac.uk>

	* faqbody.tex: today's date
	(subsection{Adobe Type~1 fonts}): minor typo in q-usepsfont
	(subsection{Common errors}): breakurl patches \url by default in
	 q-breaklinks
	(section{Introduction}): add vilar camara neto to list

2006-02-08  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* faqbody.tex: today, note more input from ulrike f
	(subsection{LaTeX macro tools and techniques}): extend \DefaultOpt
	 example in q-oarglikesect

2006-02-07  Robin Fairbairns  <rf@mole.cl.cam.ac.uk>

	* faqbody.tex: today's date, note chris walker's further contribution
	(subsection{Mathematics}): add \operatorname to q-newfunction

	* dirctan.tex: add ite

	* faqbody.tex (section{Graphics}): correct pstricks homepage link,
	 and add reference to ite in q-labelfig (Chris Walker)

2006-02-06  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* faqbody.tex (subsection{Getting things to fit}): re-describe mathspic
	 to tally with current reality
	
	* dirctan.tex: correct paths of mathspic, bdfchess

	* filectan.tex: correct tex2bib paths (2 off)

2006-02-06  Robin Fairbairns  <rf@mole.cl.cam.ac.uk>

	* add-general.tex (subsection{Documentation and help}): new q-doc-wiki

	* faqbody.tex (subsection{Lists}): mention multenum in q-complist

	* dirctan.tex: add multenum

2006-01-29  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* faqbody.tex (section{Documentation and Help}): correct url (and name)
	 for the note on ptex in q-tutbitslatex

2006-01-23  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* faqbody.tex (section{Acquiring the Software}): gosh -- a mention of
	 quote site index, still...removed from q-findfiles

2006-01-10  Robin Fairbairns  <rf@mole.cl.cam.ac.uk>

	* faqbody.tex (subsection{Alternative document classes}): hack around
	 at the text about includex, and add newclude

2006-01-05  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* dirctan.tex: add rotfloat

	* faqbody.tex: today's date
	(subsection{Page layout}): mention rotfloat in q-rotating

2005-12-27  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* faqbody.tex (subsection{Common errors}): mention verbatim environment
	 in the intro to q-verbwithin

2005-12-24  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* add-general.tex (subsection{The Background}): new q-whatpdftex (just
	 a start, so far)

	* faqbody.tex (section{Graphics}): change title of "making \mp output
	 display..."

2005-12-23  Robin Fairbairns  <rf@mole.cl.cam.ac.uk>

	* faqbody.tex: today's date, v3.15b

2005-12-22  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* sanitize-beta.pl (sanitize_line): remove rogue character on keywords
	 line

	* faqbody.tex (subsection{Page layout}): restore lost text to
	 q-parallel (from RCS file :-})

2005-12-07  Robin Fairbairns  <rf@mole.cl.cam.ac.uk>

	* filectan.tex: add ttb-pdf

	* faqbody.tex (section{Documentation and Help}): add ttb to q-bibtexing

2005-12-05  Robin Fairbairns  <rf@mole.cl.cam.ac.uk>

	* filectan.tex: add bidstobibtex

	* faqbody.tex (subsection{Creating bibliographies}): make ref to
	 bids.to.bibtex in q-buildbib

2005-11-30  Robin Fairbairns  <rf@mole.cl.cam.ac.uk>

	* faqbody.tex (section{Documentation and Help}): new url for andy
	 roberts' latex page

2005-11-29  Robin Fairbairns  <rf@mole.cl.cam.ac.uk>

	* sanitize-beta.pl (sanitize_line): remove code for \symbol

	* faqbody.tex (section{Current TeX-related projects}): correct links in
	 q-latex3
	(section{TeX Systems}): remove fptex, add xemtex
	(section{Acquiring the Software}): replace fptex with protext in q-cd
	(throughout): remove all remaining fptex options
	(subsection{"Generic" macros and techniques}): don't use \symbol in
	 q-activechars
	(subsection{Common errors}): do away with \symbol for underscore in
	 q-verbwithin (also rename \bs to \us for underscore, in the example)

*** RELEASE 3.15 ***

	* sanitize.pl,sanitize-beta.pl: attempts to solve the $symbolchar
	 lunacy (failed)

	* faqbody.tex: 3.15a, today's date (already: at 10am!)
	(section{Symbols, etc.}): \_ for underscores in q-underscore
	(section{Current TeX-related projects}): correct urls in q-latex3

	* texfaq2html,texfaq2html-beta,texfaq2file: correct *-list

	* sanitize.pl (sanitize_line): add changes from -beta

2005-11-28  Robin Fairbairns  <rf@mole.cl.cam.ac.uk>

	* dirctan.tex: add mactex

	* faqbody.tex (subsection{Creating citations}): new q-formbiblabel from
	 add-general
	(subsection{Tables, figures and diagrams}): new q-varwidcol from
	 add-general
	(header): v3.15, today
	(section{Documentation and Help}): suppress link to mimi's documentation
	 at fsu -- they've removed it already, the fools
	(section{Documentation and Help}): add ref to memoir manual in
	 q-typo-style
	(section{TeX Systems}): mention mactex on ctan

2005-11-27  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* texfaq2file,texfaq2html,texfaq2html-beta,texfaq2html-gamma: add
	 maillists* to translation list

	* faqbody.tex (section{Documentation and Help}): new q-maillists* from
	 the rest of the old q-maillists (leaving a few bits out, admittedly)

2005-11-26  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* faqbody.tex (section{Documentation and Help}): build q-gethelp from
	 the old q-maillists

2005-11-25  Robin Fairbairns  <rf@mole.cl.cam.ac.uk>

	* faqbody.tex: today's date
	(section{The joy of TeX errors}): reword (not change) advice in
	 q-errmissitem
	(subsection{Mathematics}): new q-brkinline from add-general
	(section{Hypertext and PDF}): new q-srchpdf from add-general

	* add-general.tex (subsection{Why shouldn't I?}): change recommendation
	 to fix-cm in q-newfont, but retain mention of type1cm/ec for old latex
	 dists

	* filectan.tex: add fix-cm (path to file)

2005-11-24  Robin Fairbairns  <rf@mole.cl.cam.ac.uk>

	* faqbody.tex (subsection{LaTeX macro programming}): editorial work on
	 q-seccntfmt and q-labundef

	* sanitize-beta.pl (sanitize_line): sort out order of \cmdinvoke*
	 patterns

2005-11-22  Robin Fairbairns  <rf@mole.cl.cam.ac.uk>

	* faqbody.tex (subsection{LaTeX macro programming}): emphasise internal
	 commands in q-seccntfmt
	(subsection{LaTeX macro tools and techniques}): reword to avoid blame
	 on the companion, and to use a tlc2 example in q-atsigns

	* filectan.tex: get abstract.bst from biblio/bibtex/utils/bibtools
	 rather than contrib

2005-11-21  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* dirctan.tex: point lucida at new metrics, add lucida-psnfss

	* faqbody.tex (subsection{Adobe Type~1 fonts}): reinstate lucida
	 bright/math and add link to karl's interim web page

2005-11-21  Robin Fairbairns  <rf@mole.cl.cam.ac.uk>

	* add-general.tex (subsection{Tables, figures and diagrams}): iteration
	 of q-varwidcol
	(subsection{Hypertext and PDF}): iteration of q-srchpdf

	* faqbody.tex (section{Current TeX-related projects}): tinkering with
	 q-aleph (needs rewrite to eliminate ref to q-omega, which is destined
	 to go some time soon

	* add-general.tex (subsection{Why shouldn't I?}): change link for
	 type1cm (shouldn't this be fix-cm?)

	* faqbody.tex (subsection{LaTeX macro tools and techniques}): new
	 answer q-ltxhash from add-general
	(subsection{LaTeX macro programming}): was (confusingly) described as
	 techniques, too
	(section{The joy of TeX errors}): new q-errparnum and q-fllost from
	 add-general
	(section{Bits and pieces of (La)TeX}): move q-hyphen up above q-dtx
	(section{Bits and pieces of (La)TeX}): new q-clsvpkg from add-general

2005-11-21  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* add-general.tex (subsection{Tables, figures and diagrams}): new
	 q-varwidcol

2005-11-20  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* faqbody.tex (section{Installing (La)TeX files}): mention alternative
	 locations for .map files following new tds, bit of editorial work
	(section{Documentation and Help}): reinstate link to bausum's stuff in
	 q-ref-doc

2005-11-18  Robin Fairbairns  <rf@mole.cl.cam.ac.uk>

	* dirctan.tex: axodraw is a directory now

	* filectan.tex: remove axodraw, correct finplain

	* faqbody.tex (subsection{Common misunderstandings}): correct path for
	 textcase in q-casechange
	(subsection{Tables, figures and diagrams}): correct path for tabulary
	 in q-tabcellalign and q-fixwidtab

	* dirctan.tex: add tabulary,textcase

	* faqbody.tex (section{The Background}): add q-etex from add-general,
	 and edit it a bit
	(throughout): remove references to q-nts, in favour of q-etex
	(section{Current TeX-related projects}): dump q-nts
	(section{Current TeX-related projects}): rewrite antecedent text in
	 q-aleph

	* add-general.tex (subsection{Graphics}): ref to q-tutorial ->
	 q-tutbitslatex in q-repeatgrf

	* Makefile (PATCH): remove add-tutorial

	* dirctan.tex: add cmap

	* add-general.tex (subsection{Hypertext and PDF}): add q-srchpdf

2005-11-17  Robin Fairbairns  <rf@mole.cl.cam.ac.uk>

	* texfaq2html-gamma,texfaq2html-beta,texfaq2html,texfaq2file: add
	 q-tutorials* to %label_to_file initialisation

	* faqbody.tex: v3.14c, today's date
	(section{Documentation and Help}): add reference to syropoulos' book
	(section{Documentation and Help}): replace q-tutorials with
	 q-tutorials* and friends (fix up refs to q-tutorials from elsewhere)

	* add-tutorial.tex (subsection{Documentation and help}): final
	 rearrangement and tidy; add the guide to ptex posted yesterday

	* faq.sty: pdfstartview=FitH since FitBH seems no longer to work with
	 AR7 or the latest pdftex or something

2005-11-14  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* faqbody.tex: today's date
	(section{Introduction}): add steve peter to contributors
	(throughout): bunch of corrections from steve peter

2005-11-14  Robin Fairbairns  <rf@mole.cl.cam.ac.uk>

	* faq.sty: load textcomp

	* dirctan.tex: add mutex

2005-11-08  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* README: remove my name and email address

	* newfaq(-patch).tex,letterfaq.tex: null \author

	* texfaq2html(-beta),texfaq2file: remove claim that i'm involved with
	 maintenance

	* faqbody.tex (throughout): replace my name with "another idiot"

2005-11-08  Robin Fairbairns  <rf@mole.cl.cam.ac.uk>

	* add-tutorial.tex (subsection{Documentation and help}): yet more
	 rearrangement

2005-11-07  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* faqbody.tex: v3.14b, today

2005-11-07  Robin Fairbairns  <rf@mole.cl.cam.ac.uk>

	* filectan.tex: bbl2html and notex.bst moved

	* add-tutorial.tex (subsection{Documentation and help}): more
	 rearrangement

2005-11-05  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* faqbody.tex (subsection{Hyphenation}): correct def of \hyph in
	 q-nohyph, do a bunch of quote-env stuff in whole subsection; also,
	 more enthusiastic wrapping of the quote about catalan

2005-10-26  Robin Fairbairns  <rf@mole.cl.cam.ac.uk>

	* add-general.tex (subsection{Mathematics}): mention bracing to
	 suppress breaks in maths

2005-10-22  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* faqbody.tex (subsection{Mathematics}): suggest \textstyle/
	 \displaystyle alternative for q-limits

2005-10-15  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* faqbody.tex (subsection{Common errors}): extend q-breaklinks to cover
	 the toc/lof/lot... case, and to outline circumstances where there's no
	 help to be had

2005-10-10  Robin Fairbairns  <rf@mole.cl.cam.ac.uk>

	* texfaq2html-gamma: sort regex in opening of ?section= code

2005-10-07  Robin Fairbairns  <rf@mole.cl.cam.ac.uk>

	* faqbody.tex (section{Hypertext and PDF}): add the offered text to
	 q-acrobat; this question is a mess and needs rearranging (probably
	 splitting into two)
	
	* dirctan.tex: remove aix3.2, move miktexppc, miktex-AXP

	* texfaq2html-gamma: start work on index/fullindex switching

	* texfaq2file: secondary index now full-index.html

	* add-general.tex (subsection{Bits and pieces of (La)TeX}): new q-etex

	* faqbody.tex: v3.14a.3, today
	(section{TeX Systems}): mention texlive mac distro

2005-10-03  Robin Fairbairns  <rf@mole.cl.cam.ac.uk>

	* texfaq2file: more of same

	* texfaq2html-gamma: yet more twiddling

	* filectan.tex: epsf.tex moved

	* sanitize.pl,sanitize-beta.pl (sanitize_line): add \nolinkURL

2005-09-26  Robin Fairbairns  <rf@mole.cl.cam.ac.uk>

	* texfaq2html-gamma: restructure q_label_list

	* faqbody.tex (section{Current TeX-related projects}): correct web addr
	 in q-extex

	* texfaq2file: iterate -w actions

2005-09-25  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* filectan.tex: patch and shade have moved

	* texfaq2html-gamma: label argument may be a list

2005-09-23  Robin Fairbairns  <rf@mole.cl.cam.ac.uk>

	* filectan.tex: letterspacing,backgrnd moved

05-09-22  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* faqbody.tex (section{Hypertext and PDF}): minor edits in q-type1T1
	(section{The Background}): revised q-eplain from Oleg Katsitadze
	(<heading>): today's date, add katsitadze to credits

	* dirctan.tex: remove icelandic, which we weren't using

	* filectan.tex: mathdots has moved

2005-09-16  Robin Fairbairns  <rf@mole.cl.cam.ac.uk>

	* dirctan.tex: add luximono, microtype; move tip pointer

	* faqbody.tex: today's date
	(subsection{Document structure}): new first para for q-fancyhdr
	(subsection{Common misunderstandings}): reword description of
	 \emergencystretch and discuss microtype in q-overfull
	(subsection{Odds and ends}): add luximono to q-bold-extras

2005-09-14  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* dirctan.tex: add powerdot

	* faqbody.tex (subsection{Alternative document classes}): mention
	 powerdot in q-slidecls

2005-09-11  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* faq.sty: add \nolinkURL definitions

	* add-general.tex (subsection{Graphics}): a proto-q-dvipdfmgraphics
	 redefinition (hrrumph)

2005-09-03  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* faqbody.tex: v3.14a.2
	(section{Introduction}): mention that the texlive version is no better
	 than the "current on the web"

	[interim web release 3.14a.1]

2005-09-03  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* faqbody.tex: today's date
	(section{You're still stuck?}): faq-devel@tex.ac.uk in q-noans

2005-08-28  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* faqbody.tex (throughout): all remaining miktex references via \miktex

2005-08-10  Robin Fairbairns  <rf@mole.cl.cam.ac.uk>

	* filectan.tex: correct pointers for the two epslatex entries

	* faqbody.tex (section{Installing (La)TeX files}): text about mpm in
	 q-miktexinst (and convert to \miktex in that question, where
	 appropriate)

2005-08-07  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* faqbody.tex (subsection{Tables, figures and diagrams}): tidy
	 \htmlignore stuff in q-textflow

2005-08-06  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* dirctan.tex: add talk

	* faqbody.tex (subsection{Alternative document classes}): add talk to
	 q-slidecls

2005-08-05  Robin Fairbairns  <rf@mole.cl.cam.ac.uk>

	* add-general.tex (subsection{Bits and pieces of (La)TeX}): new answer
	 q-clsvpkg on the distinction between classes and packages

	* faqbody.tex (section{Bits and pieces of (La)TeX}): change of section
	 name

2005-08-02  Robin Fairbairns  <rf@mole.cl.cam.ac.uk>

	* faqbody.tex (section{Format conversions}): try to avoid the acronym
	ASCII except where necessary in q-toascii

2005-08-01  Robin Fairbairns  <rf@mole.cl.cam.ac.uk>

	* faqbody.tex (subsection{Document management}): minor editorial in
	 q-conditional

2005-07-31  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* add-general.tex (subsection{The Joy of TeX errors}): new q-fllost

2005-07-20  Robin Fairbairns  <rf@mole.cl.cam.ac.uk>

	* faqbody.tex (section{You're still stuck?}): warn about non-latex bug
	 reports in q-latexbug and q-bug
	(intro) v3.14a.1, today

2005-07-19  Robin Fairbairns  <rf@mole.cl.cam.ac.uk>

	* README: faq->faq-devel in email addrs, except munged one for me in
	 sig line at bottom

	* faqbody.tex (subsection{Odds and ends}): remove "not doing away with
	 bumpy-road logos" comment, since i now have done so

	* sanitize.pl,sanitize-beta.pl (sanitize_line): sigh -- \\textless...

2005-07-19  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* sanitize.pl,sanitize-beta.pl (sanitize_line): yet another iteration
	 of the < > translation fiasco

2005-07-15  Robin Fairbairns  <rf@mole.cl.cam.ac.uk>

	* dirctan.tex: add quotchap

	* faqbody.tex (subsection{Page layout}): add quotchap to q-epigraph and
	 rewrite intro to question somewhat.

2005-07-10  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* faqbody.tex (section{You're still stuck?}): faq->faq-devel in
	 q-newans

	* sanitize.pl (sanitize_line): as -beta (now it's been tested ;-)

	* sanitize-beta.pl (sanitize_line): sort out translations of <> when
	 not converting

2005-07-09  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* Makefile: remove inst-html target
	(FAQ-html.tar.gz): make depend on html/index.html (does this do it?)

2005-07-07  Robin Fairbairns  <rf@mole.cl.cam.ac.uk>

	* faqbody.tex: v3.14a, today
	(subsection{Document management}): boondoggle in q-rcs html output

	* faqbody.tex: v3.14, today
	New version installed

	* faqbody.tex (section{Introduction}): mention static .zip files in
	 html-only bit about retrieving directories
	(section{Acquiring the Software}): remove exact location names for
	 individual ctans, in q-archives
	(section{Acquiring the Software}): rewrite the stuff about searching in
	 q-findfiles

2005-07-05  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* faqbody.tex (subsection{Page layout}): add fancyhdr commands (to do
	 empty plain style) to q-ps@empty

	* texfaq2html-beta,texfaq2file: as texfaq2html

	* texfaq2html: switch .tar.gz and .zip in retrieval

2005-07-04  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* faqbody.tex (subsection{Common errors}): add q-wrongpn and
	 q-breaklinks from add-general
	(preamble) v3.13b.5, today
	(subsection{Footnotes}): rewrite q-ftncapt, aiming for clarity (hah!)
	(section{Acquiring the Software}): remove mention of ftpmail and finger
	 of ctan user

	* dirctan.tex: add breakurl

	* add-general.tex (subsection{Why does it do that?}): mention breakurl
	 in q-breaklinks -- looks as if this makes the answer usable...

	* faqbody.tex (subsection{Tables, figures and diagrams}): correct
	 blatant error in q-tabcellalign (spotted by ulrike fischer)
	(section{Introduction}): hack the note about the pdf version slightly,
	 add ulrike fischer to list of contributors

2005-07-01  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* faqbody.tex (section{Documentation and Help}): add ref to
	 http://www.latex-einfuehrung.de/ in q-minxampl

2005-06-29  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* faqbody.tex (subsection{Creating bibliographies}): correct advice on
	 over-long urls and url.sty in q-citeurl

2005-06-12  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* faqbody.tex: v3.13b.4, tonight

	* faqbody.tex (section{Introduction}): add chris walker
	(section{Bits and pieces of TeX}): \Qref* in q-dtx
	(subsection{Tables of contents and indexes}): \Qref* in q-tocloft

	* dirctan.tex: add revtex(!)

	* faqbody.tex (subsection{Creating citations}): note that mcite doesn't
	 play with revtex, in q-mcite
	
2005-06-09  Robin Fairbairns  <rf@mole.cl.cam.ac.uk>

	* faqbody.tex (subsection{Tables, figures and diagrams}): mention use
	 of pict2e in q-slashbox

2005-06-07  Robin Fairbairns  <rf@mole.cl.cam.ac.uk>

	* faqbody.tex (section{You're still stuck?}): slight editorial in q-bug

	* add-tutorial.tex: bunch of work, throughout, which seems not to have
	 been recorded or even copied to backed-up space before now...

	* faqbody.tex (section{Installing (La)TeX files}): mention .map and
	 .enc trees, and alternative inputs such as .sto, .clo and .cfg in
	 q-wherefiles

	* filectan.tex: add nextpage

	* faqbody.tex (subsection{Document structure}): mention nextpage
	 package in q-reallyblank

2005-06-02  Robin Fairbairns  <rf@mole.cl.cam.ac.uk>

	* faqbody.tex (section{Graphics}): mention pspicture as a superseded
	 package in q-drawing
	(section{Documentation and Help}): slight iteration of q-pkgdoc

2005-05-23  Robin Fairbairns  <rf@mole.cl.cam.ac.uk>

	* faqbody.tex (subsection{Why shouldn't I?}): mention vertical spacing
	 inconsistencies in q-dolldoll

2005-05-19  Robin Fairbairns  <rf@mole.cl.cam.ac.uk>

	* faqbody.tex (subsection{Creating bibliographies}): add philip
	 ratcliffe's fake-accent solution to q-bibtranscinit
	(preamble): v3.13b.3 (ok, i don't know what i'm doing here...), today
	(section{Introduction}): add philip ratcliffe to thanks list

	* add-general.tex (subsection{Why does it do that?}): add q-wrongpn

	* faqbody.tex (subsection{LaTeX macro tools and techniques}): renamed
	 subsection, moved q-oarglikesect and q-twooptarg from "latex macros"
	(subsection{LaTeX macro tools and techniques}): change name to "more
	 than one opt arg"
	(subsection{LaTeX macro tools and techniques}): new q-cmdstar, from
	 add-general

2005-05-18  Robin Fairbairns  <rf@mole.cl.cam.ac.uk>

	* faqbody.tex (section{Documentation and Help}): add q-minxampl
	 from add-tutorial
	(section{Documentation and Help}): ref to q-minxampl from q-askquestion
	(section{You're still stuck?}): ref to q-minxampl from q-latexbug

2005-05-17  Robin Fairbairns  <rf@mole.cl.cam.ac.uk>

	* faqbody.tex (subsection{LaTeX macro tools}): add q-plninltx (from
	 add-general), and split this of from the more simple stuff (now
	 subsection "latex macro techniques"); other ones in here are
	 q-atsigns, q-protect, q-edef, q-ltxcmds and q-ltxabbrv

	* faq.sty: remove spurious guff at start of ctanrefs env (was solemnly
	 forcing horizontal mode, thus confusing \addvspace at start of list)

	* add-general.tex (subsection{Creating citations}): add q-formbiblabel

2005-04-29  Robin Fairbairns  <rf@mole.cl.cam.ac.uk>

	* dirctan.tex: add splitbib

	* faqbody.tex (section{References from articles}): mention splitbib in
	 q-multbib

2005-04-28  Robin Fairbairns  <rf@mole.cl.cam.ac.uk>

	* dirctan.tex: add placeins as a directory

	* filectan.tex: change beginlatex to its latest incarnation
	remove placeins

2005-04-26  Robin Fairbairns  <rf@mole.cl.cam.ac.uk>

	* faq.sty: make robust a few commands that get to appear in tocs

2005-04-22  Robin Fairbairns  <rf@mole.cl.cam.ac.uk>

	* texfaq2file: put correct cross question links if -w

	* texfaq2html-gamma: miscellaneous tidies from debugging session

2005-04-19  Robin Fairbairns  <rf@mole.cl.cam.ac.uk>

	* filectan.tex: add clsguide

	* dirctan.tex: add makedtx

	* faqbody.tex (section{Bits and pieces of TeX}): mention makedtx in
	 q-dtx; list clsguide.pdf in links
	
2005-04-17  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* faqbody.tex (subsection{Adobe Type1 ("PS") fonts}): add mathdesign to
	 the list in q-psfchoice

2005-04-16  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* faqbody.tex (subsection{Document management}): correct
	 \csx{listfiles} to \Package{snapshot} (!) as data collection mech for
	 bundledoc, in q-filesused

2005-04-12  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* faqbody.tex (subsection{Common misunderstandings}): minor editorial
	 to q-xspace

2005-04-11  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* faqbody.tex (section{The joy of TeX errors}): remove some text that's
	 crept in unawares to q-tmupfl
	
2005-04-07  Robin Fairbairns  <rf@mole.cl.cam.ac.uk>

	* add-general.tex (subsection{The Joy of TeX errors}): new q-errparnum

	* faqbody.tex (subsection{"Generic" macros and techniques}): a bit of
	 desultory macro-usage editing

	* add-general.tex (subsection{LaTeX macro programming}): new q-ltxhash

2005-03-27  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* add-tutorial.tex (subsection{Documentation and help}): (changed name
	 for the subsection) new answer q-minxampl
	
	* Makefile (PATCH): add add-tutorial (can't we automate this?)

2005-03-26  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* faqbody.tex (section{The joy of TeX errors}): new q-errmissitem from
	 add-general
	(section{Documentation and Help}): editorials on q-askquestion

	* add-general.tex (subsection{LaTeX macro programming}): minor
	 editorial to q-plninltx

2005-03-25  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* dirctan.tex: correct path to obsolete/support/undump;	point
	 umlaute at the latex package (rather than support/); remove umlaut

2005-03-24  Robin Fairbairns  <rf@mole.cl.cam.ac.uk>

	* add-general.tex (subsection{Why shouldn't I?}): new q-newfont
	(subsection{LaTeX macro programming}): use \font rather than \newfont
	 in examples in q-plninltx

2005-03-23  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* add-general.tex (subsection{LaTeX macro programming}): lots more
	 fiddling with q-plninltx, including extending the font stuff

2005-03-22  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* add-general.tex (subsection{LaTeX macro programming}): add example of
	 font encoding confusion arising from \newfont, in q-plninltx
	(subsection{LaTeX macro programming}): have narrow/wideversion of one
	 example in q-cmdstar

2005-03-21  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* faqbody.tex (section{The joy of TeX errors}): mention javier's
	 checkend package in q-endingroup

2005-03-01  Robin Fairbairns  <rf@mole.cl.cam.ac.uk>

	* add-general.tex (subsection{The Joy of TeX errors}): editorial on
	 q-errmissitem, plus mention of \mbox, \makebox, \framebox

2005-02-28  Robin Fairbairns  <rf@mole.cl.cam.ac.uk>

	* add-general.tex (subsection{Mathematics}): new q-brkinline

	* sanitize-beta.pl (sanitize_line): convert \< (never used) to
 	 \textless, \> (ditto) to \textgreater ... so now i can use the beasts

	* add-general.tex (subsection{The Joy of TeX errors}): mention \section
	 as another case of misbehaviour in q-errmissitem
	
2005-02-27  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* faq.sty: rewrite \href (non-hyper version) so as to get quoting
	 actually right, and not to lose trailing spaces...

	* faqbody.tex (subsection{Typesetting specialities}): mention c2latex
	 in q-codelist (previously, the program was in ctanrefs only); also add
	 an actual recommendation for listings, but suggest the others may be
	 worth considering; add tgrind, sitting with lgrind
	(section{Graphics}): rewrite item about mfpic, and add one about pgf,
	 in q-drawing

2005-02-25  Robin Fairbairns  <rf@mole.cl.cam.ac.uk>

	* add-general.tex (subsection{The Joy of TeX errors}): new
	 q-errmissitem

2005-02-23  Robin Fairbairns  <rf@mole.cl.cam.ac.uk>

	* add-tutorial.tex: add a subsection heading (who cares there are 10?)

	* faqbody.tex (subsection{Footnotes}): mention threeparttable in
	 q-ftncapt (suggestion by don arseneau)

2005-02-17  Robin Fairbairns  <rf@mole.cl.cam.ac.uk>

	* faqbody.tex (section{Current TeX-related projects}): reword etex
	 description in q-nts

	* add-general.tex (subsection{LaTeX macro programming}): new q-cmdstar

	* sanitize-beta.pl (sanitize_line): add \elatex and \miktex translation

	* faq.sty: add \elatex and \miktex commands

	* faqbody.tex (section{The joy of TeX errors}): elatex as a progname->
	 \elatex{} in q-endingroup

2005-02-17  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* faqbody.tex (throughout): MiKTeX!!!

2005-02-15  Robin Fairbairns  <rf@mole.cl.cam.ac.uk>

	* faqbody.tex (section{DVI Drivers and Previewers}): xdvi and xdvik are
	 no longer separate

	* dirctan.tex: delete xet,xdvik,hp2xx311; correct addindex

	* filectan.tex: correct pdftex, latexcount

	* faqbody.tex: v3.13b.1, today

	* filectan.tex: add vf-howto

	* faqbody.tex (section{Bits and pieces of TeX}): mention virtual fonts
	 howto in q-virtualfonts

2005-02-09  Robin Fairbairns  <rf@mole.cl.cam.ac.uk>

	* faq.sty: minor twiddling with default font loading; 

	* faqbody.tex: v3.13b, today

	* texfaq2file: generate labels that go to the modified file names
	 rather than to the raw label name, in .aux scan

2005-02-04  Robin Fairbairns  <rf@mole.cl.cam.ac.uk>

	* faqbody.tex (subsection{LaTeX macros}): correct enumii->enumi in one
	 of the "recipes" in q-labelformat

2005-02-03  Robin Fairbairns  <rf@mole.cl.cam.ac.uk>

	* faqbody.tex (section{Current TeX-related projects}): \qref* for etex
	 and aleph in q-omega mention of aleph
	(subsection{Typesetting specialities}): remove rogue line break in
	 q-upquote

	* faqfont.cfg.ugm: new: for typesetting with urw garamond

	* faq.sty: require lmodern regardless (for sans fonts)

2005-01-21  Robin Fairbairns  <rf@mole.cl.cam.ac.uk>

	* faqbody.tex (section{Documentation and Help}): correct details for
	 ctan-ann, and mention mail-archive.com in q-maillists
	(section{TeX Systems}): mention tetex mailing list (not -announce or
	 -pretest...), plus RSS feed, in q-texsystems

2005-01-16  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* faqbody.tex (section{Support Packages for TeX}): make clear that
	 4spell comes from a package that's now defunct

2005-01-15  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* dirctan.tex: add pseudocode

	* faqbody.tex (subsection{Typesetting specialities}): mention
	 pseudocode package in q-algorithms

2005-01-11  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* filectan.tex: single file ispell (is this supportable?)

	* dirctan.tex: remove ispell

2005-01-10  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* dirctan.tex: add aspell

	* faqbody.tex (section{Support Packages for TeX}): tidy up reference to
	 aspell in q-spell, given that it's now on ctan

2005-01-08  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* dirctan.tex: add svn, svninfo

	* faqbody.tex (subsection{Document management}): add svn and svninfo to
	 q-rcs

2005-01-07  Robin Fairbairns  <rf@mole.cl.cam.ac.uk>

	* faqbody.tex: v3.13a.1, today
	(section{TeX Systems}): update sciword bumf from mail from mabb
	(section{Documentation and Help}): typo in q-mfptutorials
	(subsection{Particular font families}): typos in both q-uselmfonts and
	 q-concrete
	(section{TeX Systems}): add a link to the y&y mailing list page at the
	 end of q-commercial

2005-01-04  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* faqbody.tex: v3.13a
	(subsection{Document management}): correction+more details of extract
	 package in q-conditional

2005-01-04  Robin Fairbairns  <rf@mole.cl.cam.ac.uk>

	* faqbody.tex: v3.13, today (release)

2005-01-02  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* faqbody.tex (section{Symbols, etc.}): add bbm and doublestroke, and
 	 do various editorial changes (including pouring more derision on the
	 "lazy person's" macros)

	* dirctan.tex: add bbm-macros, doublestroke

2005-01-01  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* faqbody.tex (subsection{Particular font families}): mention that lm
	 fonts are already in tetex 3.0, and may (at least) be added to miktex
	 automatically, also bring updmap stuff up to date for miktex
	(section{Installing (La)TeX files}): same change in q-instt1font
	(section{Installing (La)TeX files}): editorials in q-miktexinst
	(section{Installing (La)TeX files}): mention non-standard things like
	 .cfg and .drv files in q-wherefiles

	* sanitize.pl (sanitize_line): bring up-to-date with -beta

	* sanitize-beta.pl (sanitize_line): add \href* pattern

	* faq.sty: add * and quote detection to \href (non-hyper version; *
	 simply ignored \ifpdf)

	* faqbody.tex (section{Documentation and Help}): make reference to the
	 rutgers typography guidelines in q-tutorials

2004-12-30  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* dirctan.tex: add extract

	* faqbody.tex: v3.13rc2, today
	(subsection{Document management}): mention extract.sty in q-conditional

2004-12-27  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* add-hammond.tex (subsection{William Hammond's contributions}): more
	 work on q-sgml2tex* ... i'm bogging down here :-(

	* faqbody.tex (subsection{LaTeX macros}): correct spelling of optparams
	 in q-twooptarg

2004-12-26  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* faqbody.tex (section{Current TeX-related projects}): replacement for
	 q-mathml from add-hammond (where it was q-mathml*)
	(section{Current TeX-related projects}): move all the \URL entries to
	 body of q-textrace, and add link to fontforge
	(subsection{Adobe Type 1 fonts}): remove mathtime, mathtime plus and
	 lucida; add mathtime pro
	(section{TeX Systems}): correct details of personal tex inc from web

2004-12-25  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* add-hammond.tex (subsection{William Hammond's contributions}):
	 mention inkscape in q-mathml*, as a free svg editor
	(subsection{William Hammond's contributions}): general other editorials
	 throughout q-mathml*

2004-12-24  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* dirctan.tex: add wallpaper

	* faqbody.tex (subsection{Page layout}): add wallpaper package to
	 q-watermark

2004-12-22  Robin Fairbairns  <rf@mole.cl.cam.ac.uk>

	* faqbody.tex: v3.13rc1, today

	* dirctan.tex: add metatype1

	* faqbody.tex (section{Current TeX-related projects}): provide
	 sourceforge link to autotrace and potrace, and talk up mftrace in
	 q-textrace; also add description of metatype1 and change title of
	 question to emphasise that it covers a bunch of projects; remove
	 references to actual fonts in the ctanrefs list
	(section{Hypertext and PDF}): make reference to metatype1 via
	 q-textrace, in q-type1t1

2004-12-20  Robin Fairbairns  <rf@mole.cl.cam.ac.uk>

	* add-tutorial.tex: new file: replacements for q-tutorials

2004-12-19  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>
	* add-hammond.tex (subsection{William Hammond's contributions}): yet
	 more editorials on q-sgml2tex*

2004-12-17  Robin Fairbairns  <rf@mole.cl.cam.ac.uk>

	* add-hammond.tex (subsection{William Hammond's contributions}): edit-
	 orial work in both q-readml* and q-sgml2tex*

	* faqbody.tex (subsection{Document management}): add xcomment with
	 example of use to q-conditional

2004-12-16  Robin Fairbairns  <rf@mole.cl.cam.ac.uk>

	* 3.12a/faqbody.tex: v3.12a-p4, today
	(subsection{Document management}): correct \includeversion ->
	 \includecomment in q-conditional (and install)

	* faqbody.tex: v3.12a.9, today
	(subsection{Document management}): correct \includeversion ->
	 \includecomment in q-conditional, and add an example

2004-12-12  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* faqbody.tex (section{Why does it do that?}): couple of typos in
	 q-marginparside, spotted by vladimir volovich

2004-12-07  Robin Fairbairns  <rf@mole.cl.cam.ac.uk>

	* faqbody.tex (subsection{Page layout}): typo in q-papersize...

	* check-ctan-lists: distinguish linked files, 

	* filectan.tex: correct path for protext

	* dirctan.tex: correct basix (yoyoy?)

2004-12-02  Robin Fairbairns  <rf@mole.cl.cam.ac.uk>

	* add-hammond.tex (subsection{William Hammond's contributions}): editor
	 work on q-readml*

2004-11-30  Robin Fairbairns  <rf@mole.cl.cam.ac.uk>

	* add-hammond.tex (subsection{William Hammond's contributions}): re-
	 write text around sgmls and stil in q-sgml2tex*

	* dirctan.tex: add euler-latex

	* faqbody.tex (subsection{Particular font families}): add mention of
	 euler package and eulervm to q-concrete
	
2004-11-29  Robin Fairbairns  <rf@mole.cl.cam.ac.uk>

	* filectan.tex: add protext

	* faqbody.tex (section{TeX Systems}): mention protext

2004-11-26  Robin Fairbairns  <rf@mole.cl.cam.ac.uk>

	* faqbody.tex (section{Introduction}): mention william hammond
	(section{DVI Drivers and Previewers}): slight mod suggested by author
	 of dvipng to q-dvi-bmp

	* add-hammond.tex (subsection{William Hammond's contributions}): edit-
	orial on q-mathml*, q-sgml2tex*

2004-11-25  Robin Fairbairns  <rf@mole.cl.cam.ac.uk>

	* Makefile (newfaq-patch.dvi,.pdf): run find-add-files
	(clean): remove additions.tex, too

	* patchdates.tex: new; the patch levels that were mastered in
	 additions.tex; now pl4.12g, today

	* find-add-files: perl jiffy to find what add-* files exist just now,
	 and to create a suitable additions.tex

	* add-general.tex: remove hammond answers

	* add-hammond.tex: new, hammond revised answers

2004-11-23  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* add-general.tex (subsection{William Hammond's contributions}): add
	 q-mathml*, q-sgml2tex* and q-readml*

	* dirctan.tex: add gellmu and jadetex

2004-11-23  Robin Fairbairns  <rf@mole.cl.cam.ac.uk>

	* faqbody.tex: v3.12a.8, today
	(subsection{Typesetting specialities}): add c2latex to q-codelist

2004-11-22  Robin Fairbairns  <rf@mole.cl.cam.ac.uk>

	* faq.sty: provide a definition for \textoslash

	* sanitize-beta.pl (sanitize_line): \textoslash for \o (but why does
	 perl substitution of \o not work?)

	* faqbody.tex (section{Introduction}): \textoslash for \o

2004-11-20  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* sanitize-beta.pl (sanitize_line): add \o{}

	* faqbody.tex (section{Current TeX-related projects}): ant now has
	 insertions, so suggest it's worth investigating as a system.
	(section{Introduction}): add morten h

2004-11-19  Robin Fairbairns  <rf@mole.cl.cam.ac.uk>

	* faqbody.tex (section{The joy of TeX errors}): new q-ouparmd from
	 add-general

	* add-general.tex (subsection{The Joy of TeX errors}): editorials on
	 q-ouparmd

	* faqbody.tex (subsection{Page layout}): q-changemargin replaced by the
	 body of q-changemargin* from add-general

	* add-general.tex (subsection{Page layout}): q-changemargin* editorials

	* dirctan.tex: add algorithmicx

	* faqbody.tex (subsection{Typesetting specialities}): add algorithmicx
	 to q-algorithms

2004-11-12  Robin Fairbairns  <rf@mole.cl.cam.ac.uk>

	* faqbody.tex (subsection{Page layout}): mention parcolumns in
	 q-parallel, add examples

2004-11-11  Robin Fairbairns  <rf@mole.cl.cam.ac.uk>

	* faqbody.tex (subsection{Making things stay where you want them}): use
	 of infinite value for widow and club penalties in q-widow

2004-11-10  Robin Fairbairns  <rf@mole.cl.cam.ac.uk>

	* faqbody.tex (section{Documentation and Help}): add reference to jim's
	 one-person system web page, under tutorials (this question needs re-
	 working, methinks...)

2004-11-09  Robin Fairbairns  <rf@mole.cl.cam.ac.uk>

	* faqbody.tex (subsection{"Generic" macros and techniques}): new
	 q-subverttoks from add-general
	(subsection{Creating citations}): q-i18nbib from add-general
	(subsection{Tables, figures and diagrams}): q-rulethk from add-general

	* dirctan.tex: add bib2xhtml

	* faqbody.tex (section{Hypertext and PDF}): correction for words about
	 plainpages=false, from dan luecking
	(subsection{Manipulating whole bibliographies}): add bib2xhtml to
	 q-htmlbib

	* texfaq2file: missing </ul> before subsections in normal mode

2004-11-08  Robin Fairbairns  <rf@mole.cl.cam.ac.uk>

	* faqbody.tex (section{Current TeX-related projects}): ec-type1->tt2001
	 in q-textrace

2004-10-27  Robin Fairbairns  <rf@mole.cl.cam.ac.uk>

	* filectan.tex: correct context-tmf to current location

	* faqbody.tex (section{Graphics}): correct pdftricks link in
	 q-pdftexgraphics

04-10-26  Robin Fairbairns  <rf@mole.cl.cam.ac.uk>

	* faqbody.tex (subsection{Odds and ends}): mention bold csc fonts in
	 knuth-style t1-encoded fonts to q-bold-extras
	(section{Hypertext and PDF}): add tt2001 to q-type1t1

	* dirctan.tex: remove fonts/ps-type1/ec, add fonts/ps-type1/tt2001

	* faqbody.tex: v3.12a.7, today

2004-10-22  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* faqbody.tex (subsection{Document management}): provide morten's witty
	 example of the problems with \iffalse in q-conditional

2004-10-17  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* faqbody.tex (subsection{Hyphenation}): rejig q-newlang to mention the
	 use of texconfig to do the format rebuild in tetex

2004-10-10  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* faqbody.tex (section{The joy of TeX errors}): editorial on
	 q-extrabrace

	* sanitize.pl (sanitize_line): as -beta

	* sanitize-beta.pl (sanitize_line): add \cmdinvoke*{cmd}[opt]{mand} and
	 \cmdinvoke*{cmd}[opt]{mand1}{mand2}

	* faqbody.tex (subsection{Mathematics}): add reference to
	 \shortintertext in q-mathstext, and show how to do short intertexts
	 using flalign

	* dirctan.tex: add mh

	* add-general.tex (subsection{Creating citations}): add norbib to
	 q-i18nbib

2004-10-08  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* dirctan.tex: add dk-bib

	* add-general.tex (subsection{Creating citations}): add dk-bib to
	 q-i18nbib, and reorganise the list

2004-10-07  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* faqbody.tex (section{Hypertext and PDF}): excise european modern from
	 q-type1T1
	
2004-10-06  Robin Fairbairns  <rf@mole.cl.cam.ac.uk>

	* faqbody.tex (throughout): purge references to y&y

2004-10-05  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* faqbody.tex (section{Bits and pieces of TeX}): editorial,
	 particularly on q-virtualfonts

2004-10-03  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* faqbody.tex (section{Graphics}): mention pstricks overlaying stuff in
	 q-labelfig

	* add-general.tex (subsection{Why does it do that?}): new q-breaklinks

2004-09-27  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* faqbody.tex (subsection{Adobe Type 1 ("PS") fonts}): mention CH math

2004-09-26  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* faqbody.tex: 3.12a.6, today
	(section{Current TeX-related projects}): minimum change to reflect
	 what's happened since john's omega bombshell, plus ref to aleph
	(section{TeX Systems}): mention the miktex cd with miktex descr
	(section{Acquiring the Software}): make q-cd talk about nothing but the
	 tex live distribution
	(section{Current TeX-related projects}): describe etex as today's
	 thing, in the article on nts.

2004-09-22  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* faqbody.tex (section{Symbols, etc.}): mention fourier in q-numbersets

2004-09-19  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* faqbody.tex (section{The joy of TeX errors}): q-atvert problem
	 happens in maths mode too
	(section{Adjusting the typesetting}): add ctanref for fancyhdr in
	 q-reallyblank, supply missing text about memoir

2004-09-18  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* additions.tex: pl4.12f, today

	* add-general.tex (subsection{Page layout}): q-changemargin* (revision
	 from donald)

2004-09-17  Robin Fairbairns  <rf@mole.cl.cam.ac.uk>

	* faqbody.tex: v3.12a.5, today
	(subsection{Adobe Type 1 ("PS") fonts}): merry upheaval of q-psfchoice
	(subsection{LaTeX macros}): mention optparams in q-twooptarg

2004-09-16  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* faqbody.tex (subsection{Alternative document classes}): ha-prosper is
	 a package, not a class

2004-09-14  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* faqbody.tex (section{The Background}): mention eplain online docs and
	 mailing list

2004-09-14  Robin Fairbairns  <rf@mole.cl.cam.ac.uk>

	* dirctan.tex: add fourier and utopia
	corrected swebib and elsevier entries
	added bigfoot (for suffix.sty)

	* faqbody.tex: v3.12a.4, today
	(subsection{Typesetting specialities}): add concrete examples of using
	 listings package
	(subsection{Adobe Type1 ("PS") fonts}): add blurb about fourier

2004-09-13  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* faqbody.tex (throughout): standardise on \ProgName{Perl} (note cap)
	 and \ProgName{Python} (all of one change)

	* dirctan.tex: add latexdiff, remove language, and resort in that area

	* faqbody.tex (subsection{Document management}): mention latexdiff in
	 q-changebar

2004-09-12  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* faqbody.tex (subsection{Creating citations}): provide criterion for
	 choosing jurabib instead of footbib in q-bibinline

2004-09-11  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* faqbody.tex (subsection{Labels and references}): tidy up description
	 of byname in q-nameref

2004-09-09  Robin Fairbairns  <rf@mole.cl.cam.ac.uk>

	* sanitize-beta.pl (sanitize_line): bring in parallel with sanitize.pl

	* faqbody.tex (subsection{Odds and ends}): \bsbs (twice) in q-varwidth
	(subsection{Common errors}): \bsbs -> \texttt{\bsbs } in q-noline
	(section{The joy of TeX errors}): \bsbs in q-altabcr
	(subsection{Tables, figures and diagrams}): \bsbs in q-tabcellalign

	* sanitize.pl (sanitize_line): make \bsbs gobble a single following
	 space

2004-09-07  Robin Fairbairns  <rf@mole.cl.cam.ac.uk>

	* add-general.tex (subsection{Creating citations}): putative completion
	 of q-i18nbib

	* faqbody.tex (section{The Background}): mention the wiki in q-context

2004-09-06  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* add-general.tex (subsection{Creating citations}): bit more on
	 q-i18nbib -- probably more language contributions to be found, but
	 there's enough here for the time being

	* dirctan.tex: add spain and bib-fr

	* faqbody.tex (subsection{Creating bibliographies}): rewrite the
	 description of the custom-bib mechanism in q-custbib

2004-09-04  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* add-general.tex (subsection{Creating citations}): start on q-i18nbib

	* filectan.tex: add finplain.bst

	* dirctan.tex: add bibgerm, swebib

2004-08-30  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* faqbody.tex (section{The Background}): new (tug) list address for
	 q-mp, and add reference to tug mp page

	* add-general.tex (subsection{The Joy of TeX errors}): new q-ouparmd

2004-08-29  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* dirctan.tex: add ebib
	multibbl, texpower now both in (regular) latex/contrib

	* faqbody.tex (subsection{Creating bibliographies}): add ref to ebib in
	 q-buildbib

2004-08-28  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* add-general.tex (subsection{Tables, figures and diagrams}): new
	 q-rulethk

	* faqbody.tex (subsection{Tables, figures and diagrams}): editorial,
	 q-destable, and add reference to memoir implementing booktabs commands

2004-08-25  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* faqbody.tex (subsection{Mathematics}): add karl berry's suggestion to
	 q-mathsize
	(subsection{Tables of contents and indexes}): editorial on q-tocbibind

2004-08-24  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* faqbody.tex (subsection{Floating tables, figures, etc.}): correct
	 startling error in q-vertposfp (courtesy of donald -- i can't work out
	 how i came to write the original rubbish in the first place)
	(section{TeX Systems}): correct address for truetex
	(subsection{Adobe Type 1 ("PS") fonts}): mention truetex using type 1
	 fonts under xp

2004-08-23  Robin Fairbairns  <rf@mole.cl.cam.ac.uk>

	* sanitize[-beta].pl (sanitize_line): provide \mailto{}

2004-08-22  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* faqbody.tex (subsection{Adobe Type 1 ("PS") fonts}): editorial on
	 q-pspreview
	(subsection{Adobe Type 1 ("PS") fonts}): editorial on q-psfchoice (more
	 remains to be done)
	(subsection{Adobe Type 1 ("PS") fonts}): editorial on q-concrete
	(subsection{Adobe Type 1 ("PS") fonts}): editorial on q-uselmodern

2004-08-21  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* faqbody.tex (subsection{Metafont fonts}): editorial on q-getbitmap
	(subsection{Adobe Type 1 ("PS") fonts}): editorial on q-usepsfont

2004-08-20  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* faqbody.tex: v3.12a.3, today
	(section{TeX Systems}): forward ref to q-buildbib from q-editors
	(section{Installing (La)TeX files}): refer to "specific font families"
	 in q-instfont
	(throughout): \FontName|...| -> \FontName{...}

2004-08-20  Robin Fairbairns  <rf@mole.cl.cam.ac.uk>

	* faqbody.tex (subsection{Creating bibliographies}): add mention of
	 JabRef
	(section{The Background}): editorial on q-latexe
	(section{The Background}): editorial on q-context
	(section{The Background}): editorial on q-amspkg
	(section{Acquiring the Software}): editorial (big time) on q-uploads

2004-08-19  Robin Fairbairns  <rf@mole.cl.cam.ac.uk>

	* sanitize-beta.pl (sanitize_line): carry forward changes from non-beta

	* sanitize.pl (sanitize_line): correct \Newsgroup{}

2004-08-18  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* sanitize.pl (sanitize_line): make all the variants of \cmdinvoke use
	 the <code>\\</code><code> trick we already have for \csx, to deal with
	 \@ problem

2004-08-02  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* filectan.tex: add ziffer

	* faqbody.tex (subsection{Typesetting specialities}): mend typo in q-
	 dec_comma, and add reference to ziffer

2004-08-01  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* faqbody.tex (section{Documentation and Help}): first stab at updating
	 package doc question

	* add-general.tex (subsection{"Generic" macros and techniques}): new
	 answer on \[ex]def -- going to need a lot more thought

	* faqbody.tex (section{Documentation and Help}): add link to edith
	 hodgen's magnum opus

2004-07-31  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* faqbody.tex (subsection{Mathematics}): superseded theorem.sty with
	 amsthm.sty in the quaintly named "roman theorems" answer

2004-07-30  Robin Fairbairns  <rf@mole.cl.cam.ac.uk>

	* faqbody.tex: 3.12a.2, today

	* filectan.tex: add voss-mathmode (again?!)

2004-07-27  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* dirctan.tex: add texniccenter

	* faqbody.tex (section{TeX Systems}): add texniccenter to q-editors

2004-07-24  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* filectan.tex: add voss-mathmode

	* faqbody.tex (throughout): change \Newsgroup|...| -> {...}
	(section{Documentation and Help}): refer to ctan version of herbert
	 voss' mathmode thing

	* sanitize.pl,sanitize-beta.pl (sanitize_line): add closing </code> in
	 \marg (!), and allow \Newsgroup{...}

2004-07-23  Robin Fairbairns  <rf@mole.cl.cam.ac.uk>

	* faqbody.tex: 3.12a.1, today

	* 3.12a/faqbody.tex: pl2, today
	(section{The Background}): 3.141592
	(various): remaining ctanrefs to enumitem

	* faqbody.tex (subsection{Lists}): document \begin{enumerate}[resume]
	 from enumitem (and tidy up remaining ctanrefs to enumitem)

2004-07-22  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* Makefile.CTAN: remove all mention of -cm targets

2004-07-22  Robin Fairbairns  <rf@mole.cl.cam.ac.uk>

	* Makefile: remove -cm targets from "all"

	* faq.sty: use T1 encoding, times & luximono fonts, by default

2004-07-21  Robin Fairbairns  <rf@mole.cl.cam.ac.uk>

	* 3.12a/faqbody.tex: change version to -p1, today's date (for web
	 release with enumitem directory correct)

2004-07-20  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* faqbody.tex (section{The Background}): correct tex version no, and
	 add link to copy of knuth's paper in maps archive

2004-07-19  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* faqbody.tex (section{Documentation and Help}): add andy roberts'
	 stuff

2004-07-19  Robin Fairbairns  <rf@mole.cl.cam.ac.uk>

	* dirctan.tex: move fonts/ps-type1/lm up one

	* faqbody.tex (subsection{Lists}): change location of enumitem

	* dirctan.tex: add enumitem

2004-07-15  Robin Fairbairns  <rf@mole.cl.cam.ac.uk>

	* faqbody.tex: v3.12a
	(subsection{"Generic" macros and techniques}): editorial in q-patch

*** RELEASE 3.12 ***

2004-07-15  Robin Fairbairns  <rf@mole.cl.cam.ac.uk>

	* faqbody.tex (subsection{Mathematics}): sigh -- narrowversion stuff in
	 q-mathstext

	* sanitize.pl (sanitize_line): transfer change to table defs

	* faqbody.tex: v3.12, today

	* faq.sty: suppress \pdfavoidoverfull if the cs doesn't exist
	add pdfstring disable command for \marg

2004-07-14  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* faqbody.tex (subsection{Alternative document classes}): q-slidecls
	 from add-general
	(subsection{LaTeX macros}): suppress the stupid coding for this release
	 since adding the new answer has obviated the need pro tem

2004-07-14  Robin Fairbairns  <rf@mole.cl.cam.ac.uk>

	* faqbody.tex (subsection{LaTeX macros}): stupid coding to prevent
	 spacing silliness around q-ltxabbrv; this will need reviewing at every
	 release unless i can think of some better way around the problem

	* add-general.tex (subsection{Alternative document classes}): minor
	 tweak to slides question

	* sanitize-beta.pl (sanitize_line): add cellpadding to <table>

	* faqbody.tex (section{Documentation and Help}): change address of
	 teencontrex (sent reply to prompt check whether the latest stuff
	 really is on ctan...)
	(subsection{Mathematics}): point maths sizes at q-ltxabbrv
	(subsection{LaTeX macros}): q-ltxabbrv from add-general

2004-07-13  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* faqbody.tex (subsection{Creating bibliographies}): add pybliographer
	 to the list of "managers not on ctan"
	3.12RC2, today

2004-07-12  Robin Fairbairns  <rf@mole.cl.cam.ac.uk>

	* dirctan.tex: add ppr-prv, ha-prosper

	* add-general.tex (subsection{Alternative document classes}): write up
	 prosper, with ppr-prv and ha-prosper

	* dirctan.tex: add pgf,xcolor

	* add-general.tex (subsection{Alternative document classes}): write up
	 beamer, add links for pgf and xcolor

2004-07-11  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* faqbody.tex (subsection{Creating bibliographies}): new q-buildbib
	 from add-general
	(subsection{Creating citations}): new q-usebibtex from add-general
	(subsection{Common errors}): new q-zerochap from add-general

	* dirctan.tex: add ps4pdf

	* faqbody.tex (section{Graphics}): mention ps4pdf and pdftricks, and
	 reference voss' page for various support options
	
2004-07-10  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* faqbody.tex (section{TeX Systems}): add texmaker after kile in
	 q-editors
	(subsection{Typesetting specialities}): elaborate situation of texindex
	 in q-makeindex, and add reference to ltxindex

	* add-general.tex (subsection{Creating bibliographies}): write up the
	 bibtex db management systems

	* dirctan.tex: add xbibfile and btOOL

2004-07-05  Robin Fairbairns  <rf@mole.cl.cam.ac.uk>

	* faqbody.tex: today's date
	(subsection{Common errors} and elsewhere): adjust spacing of
	 ellipsis in question title

	* add-general.tex (subsection{Why does it do that?}): new q-zerochap

	* faq.sty: debug \Qref*{}{}''

2004-07-05  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* faqfont.cfg.mbvj: add definition of \acro

2004-07-04  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* faq.sty: adjust "null" \acro command so as not to gobble following
	 space in the toc!

	* add-general.tex (subsection{Alternative document classes}): work on
	 the slides question

2004-07-03  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* faqbody.tex (subsection{Tables of contents and indexes}): correct
	 section number of companion reference
	(section{Installing (La)TeX files}): moved up to before fonts
	(subsection{Document structure}): add section number for companion
	 reference

2004-07-02  Robin Fairbairns  <rf@mole.cl.cam.ac.uk>

	* additions.tex: pl4.12e, today

	* faqbody.tex: today's date
	(subsection{LaTeX macros}): two more editorials on q-ltxcmds

2004-07-01  Robin Fairbairns  <rf@mole.cl.cam.ac.uk>

	* dirctan.tex: add chapterfolder

	* faqbody.tex: today's date
	(subsection{Common misunderstandings}): add another example of trouble
	 to q-baselinepar
	(subsection{Document management}): add chapterfolder to q-docotherdir

2004-06-30  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* texfaq2html, texfaq2html-beta, texfaq2file: align all three with
	 sanitize changes

	* sanitize.pl: up to date with sanitize-beta

	* faqbody.tex (throughout): \path|...| -> \path{...}

	* sanitize-beta.pl (sanitize_line): add \path{...}

	* faqfont.cfg.mbvj: boldmath not available

	* faqfont.cfg.cmfonts: boldmath is available

	* faq.sty: define \ifboldmathavail and set false in default font setup

	* faqbody.tex: today's date
	(subsection{Tables of contents and indexes}): editorial on q-secnumdep
	(subsection{LaTeX macros}): debugging and editorial on q-ltxcmds
	(throughout): tidy \boldmath for question (etc) titles

2004-06-28  Robin Fairbairns  <rf@mole.cl.cam.ac.uk>

	* faqbody.tex (subsection{Typesetting specialities}): correct \href for
	 "highlight" home site

2004-06-24  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* add-general.tex (subsection{Why does it do that?}): new q-zerochap

2004-06-22  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex (section{Current TeX-related projects}): q-extex and
	 q-xetex from add-general
	(subsection{Hyphenation}): q-hyphexcept from add-general
	(subsection{Common misunderstandings}): q-tocloftwrong from add-general
	(subsection{Page layout}): q-outszwrng from add-general

	* add-general.tex (subsection{LaTeX macro programming}): change \hline
	 in q-ltxabbrv (on the off-chance we can introduce this answer to the
	 running version)
	(subsection{Current \TeX-related projects}): editorial on xetex

	* sanitize-beta.pl (sanitize_line): fiddle trying to make \hline equiv
	 commands show up in tables

	* faq.sty: define \acro conditionally in body of file; define it as
	 null (apart from \@) in default font setup, but not in cmfonts version

	* faqbody.tex (section{TeX Systems}): links for gwtex and texshop,
	 reword availability statements for oztex and cmactex (looks like the
	 only "generally" pre-macosX version is textures, now :-( )

2004-06-21  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* faqbody.tex: 3.12RC1, today
	(subsection{Typesetting specialities}): rewrite highlight stuff to be
	 more upbeat about it (and to mention its valuable properties)

2004-06-19  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* add-general.tex (subsection{Macro programming}): new q-subverttoks

2004-06-18  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex (subsection{LaTeX macros}): missing \csx in q-fixnam

2004-06-17  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* faqbody.tex (subsection{"Generic" macros and techniques}): editorial
	 on q-ifpdf

2004-06-16  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* faqbody.tex (subsection{"Generic" macros and techniques}): use the
	 \relax trick in q-empty

	* sanitize-beta.pl (sanitize_line): move the zapping of \relax to after
	 that of {}, so that \cmdinvoke{cmd}{\relax} describes empty arg

2004-06-16  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* add-general.tex (subsection{LaTeX macro programming}): first stab at
	 "abbreviations" answer (q-ltxabbrv)

2004-06-15  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex (section{Acquiring the Software}): ftpmail only at dante,
	 only one answer about searching, in q-archives
	(section{Acquiring the Software}): mend ref in q-nonfree
	(section{Acquiring the Software}): replace refs in q-uploads
	(section{Installing (La)TeX files}): ... and in q-instpackages
	(subsection{Alternative document classes}): and in q-journalpaper
	(subsection{Common errors}): jf contribution to q-verbwithin

2004-06-15  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* faqbody.tex (section{Acquiring the Software}): replace q-findpkg,
	 q-siteindex and q-websearch by q-findfiles from add-general
	(subsection{Common errors}): rewrite my\string_name in q-verbdef

2004-06-14  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* faqbody.tex: version 3.11h, tomorrow

	* add-general.tex (subsection{Acquiring the software}): minor edits of
	 q-findfiles
	
2004-06-14  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex (subsection{"Generic" macros and techniques}): q-ifpdf
	 from add-general
	(section{The joy of TeX errors}): new q-divzero, q-missbegdoc,
	 q-normalszmiss and q-manymathalph from add-general
	(subsection{Creating citations}): new q-compactbib and q-bibtocorder
	 from add-general

2004-06-13  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* add-general.tex (subsection{Current TeX-related projects}): new
	 q-xetex 

	* faqbody.tex (throughout): \mailto|...| -> \mailto{...}

	* filectan.tex: add notoccite, remove tocunscite

	* add-general.tex (subsection{Macro programming}): typo in q-ifpdf

	* faqbody.tex (several places): deal with companion issues or mark
	 further work needed with ********

	* dirctan.tex: add tlc2

	* faqbody.tex (section{Documentation and Help}): add reference to tlc2
	 examples

2004-06-12  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* faq.sty: make \mailto accept either sort of arg, \ifpdf

2004-06-11  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex (subsection{Mathematics}): tweak q-mathsize

2004-06-10  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* filectan.tex: add fontmath and fontdef (in some order)

	* faqbody.tex (subsection{Mathematics}): clarification (one hopes) of
	 q-mathsize
	 
2004-06-08  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex (subsection{Common errors}): warn about non-error in
	 q-verbwithin

2004-06-07  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex (subsection{"Generic" macros and techniques}): emphasise
	 that \ifnoerror is a fantasy...
	
	* add-general.tex (subsection{Macro programming}): new q-ifpdf

2004-06-05  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* faqbody.tex (subsection{Alternative document classes}): tidy q-cv

2004-06-04  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex (subsection{Common errors}): mention amsmath in the \\ q

	* CHANGES-3.12: mention europecv

	* dirctan.tex: add europecv

	* faqbody.tex (subsection{Alternative document classes}): add europecv
	 to q-cv

2004-06-02  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex (subsection{"Generic" macros and techniques}): comments
	 on "is it an integer" from donald
	
2004-06-01  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* add-general.tex (subsection{Common misunderstandings}): new
	 q-tocloftwrong dealing with numbers in toc and so on, basically just a
	 pointer to q-tocloft

	* faqbody.tex (section{Documentation and Help}): refer aspirant authors
	 to tex books and to q-dtx
	
2004-05-31  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* faqbody.tex (section{The joy of TeX errors}): expand q-extrabrace a
	 bit, adding stuff about \caption and non-moving opt args

2004-05-27  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* dirctan.tex: remove french-le and french-pro (not actually used, and
	 french-le has disappeared, at least temporarily)

	* filectan.tex: correct litprog-faq
	comment-out compan-ctan

	* faqbody.tex (section{Documentation and Help}): correct pointer to
	 voss's latex stuff (twice)

2004-05-26  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex (section{The joy of TeX errors}): add keywords for
	 q-extrabrace (also touch up verbatim quoting)
	(subsection{LaTeX macros}): mention definition of fragile commands in
	 lamport, and that some robust commands (e.g., \cite) get redefined
	 fragile
	(section{TeX Systems}): mention texshop as an editor/shell for macos x

2004-05-25  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* faqbody.tex (subsection{Creating bibliographies}): correction to
	 q-bibprefixsort from james szinger

2004-05-24  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* add-general.tex (subsection{Page layout}): first draft of "output
	 size wrong"
	
2004-05-24  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex (section{Graphics}): provide documentation, etc., links
	 for pstricks

2004-05-23  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* faqbody.tex (section{Introduction}): correct maarten sneep's name
	(subsection{Common errors}): correct the example in q-alreadydef

	* dirctan.tex: e4t moved to nonfree/ (though we don't use it...)

	* CHANGES-3.12: document 4alltex and miktex changes to faqbody

	* faqbody.tex (section{TeX Systems}): slightly more expansive about
	 kile, and a link to sourceforge in q-editors; also remove mention of
	 eddi4tex (defunct?) and the 4alltex cdrom
	(subsection{Adobe Type 1 (postscript) fonts}): texlive 7 is no longer
	 the type example of a system that does dvips 5.90 (or better)
	(section{Acquiring the Software}): mention the miktex cdrom (a good
	 deal, imo)

2004-05-21  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex (subsection{Common errors}): add keywords to
	 q-newlineargs

2004-05-20  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* texfaq2html (oh_dear): put an (obfuscated) mail address in the
	 message (does it need obfuscation?)

2004-05-18  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* sanitize-beta.pl (sanitize_line): deal with the table things

	* faq.sty: macros for use in tables

	* faqbody.tex (subsection{LaTeX macros}): tabular for *name macros

2004-05-16  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* add-general.tex (throughout): get rid \cs usage

	* faqbody.tex (section{The Background}): rewrite that nasty para in
	 q-texpronounce
	(subsection{Creating bibliographies}): correct use of \csx for \&

2004-05-11  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* faqbody.tex: v3.11f, today
	(section{The Background}): another paragraph (shock!) to elucidate
	 the relationship to "technology" (i have a nasty feeling...)

2004-05-11  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faq.sty: redefine \csx to allow its argument to expand, remove \cs

	* faqbody.tex (section{Symbols, etc.}): use \symbol{95} for underscore
	 in several places
	(subsection{"Generic" macros and techniques}): use \symbol{95}

	* texfaq2html-beta: remove symbol character table

	* sanitize-beta.pl: add symbol character table, with 95=>"_", remove
	 \cs

	* add-general.tex (subsection{Creating bibliographies}): note bibdesk
	 (in comment)

2004-05-10  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* faqbody.tex (subsection{\LaTeX{} macros}): reinstate minor changes
	 done here over the w/e

2004-05-10  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex (subsection{Typesetting specialities}): redo text at
	 start of q-codelist -- wasn't translating properly to html

	* faq.sty: squeeze list indentations a fair bit

	* faqbody.tex (throughout): enumerate->itemize wherever reasonable,
	 plus associated tidying of markup

2004-05-09  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* filectan.tex: add the FILES.* requirements

	* add-general.tex (subsection{Acquiring the software}): q-findfiles
	 more or less complete

2004-05-07  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* add-general.tex (subsection{Acquiring the software}): first serious
	 chunk of a q-findfiles to replace the existing three answers

2004-05-03  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* faqbody.tex (section{Acquiring the Software}): fidgeting with the
	 "find stuff" answers; these ought all to be one :-(

	* filectan.tex: move T1instguide one directory down in the tree (nb,
	 keeping companion.ctan entry, even though the file's not on archive,
	 on the basis that i've to rewrite the file for ed.2)

	* faqbody.tex (section{Acquiring the Software}): more hacking at
	 q-findpkg

2004-05-02  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* faqbody.tex (section{Documentation and Help}): removed the "more
	 dynamic is" rubbish from intro to lshort
	(subsection{Mathematics}): tidying markup to avoid verbatim, use quote
	 env, in q-proof
	(section{Acquiring the Software}): purge references to companion.ctan

2004-04-29  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* add-general.tex (subsection{The Joy of TeX errors}): allow narrow
	 version of \normalsize error message

2004-04-28  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* add-general.tex (subsection{Graphics}): new q-repeatgrf

2004-04-27  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* CHANGES-3.12: mention mimetex reference

	* faqbody.tex (section{Current TeX-related projects}): tidy up narrow
	 column stuff in q-mathml

2004-04-26  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* dirctan.tex: add MimeTeX

	* faqbody.tex: v3.11e, today
	(section{Current TeX-related projects}): mention techexplorer as
	 introduction to mimetex in q-mathml

	* commands-to-define: add \addvspace (simplified defn)

2004-04-20  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* faqbody.tex (subsection{Tables, figures and diagrams}): mention
	 \tabularnewline in q-tabcellalign

2004-04-20  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex (section{TeX Systems}): whinge about age of emtex and
	 djgpp, suggesting users who want up-to-date systems need to go to
	 win32 :-(

	* dirctan.tex: emtexTDS now obsolete

2004-04-19  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* faqbody.tex (subsection{Creating bibliographies}): mend markup in
	 q-bibplain
	(subsection{Spacing of characters and lines}): markup in q-flushboth
	(subsection{Page layout}): shambles in q-landscape

	* sanitize.pl,sanitize-beta.pl (sanitize_line): move \qref and
	 \cmdinvoke down below def of all "font-change-only" commands (things
	 that could be in args)

2004-04-15  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* faqbody.tex (subsection{Creating bibliographies}): redo tex2bib
	 references in q-makebib

2004-04-14  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* filectan.tex: add tex2bib entries (one for doc too)

	* dirctan.tex: remove incorrect tex2bib entry

	* add-general.tex (subsection{Creating bibliographies}): added tex2bib
	 to q-buildbib

2004-04-12  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* faqbody.tex (section{Acquiring the Software}): tidy markup of
	 q-siteindex

	* texfaq2file,texfaq2html-gamma,texfaq2html-beta,texfaq2html: add
	 symbol 94 for work on q-siteindex

2004-04-10  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* add-general.tex (subsection{The Joy of TeX errors}): q-manymathalph
	 complete (first pass)

2004-04-09  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* add-general.tex (subsection{The Joy of TeX errors}): a start to
	 q-manymathalph (interrupted by falling asleep...)

	* faqbody.tex: v3.11d, today
	(section{Documentation and Help}): add reference to kindersley book in
	 q-typebooks
	(section{Introduction}): added isaac khabaza to list
	(section{Documentation and Help}): fourth edition of k&d, 2nd of tlc
	(section{Documentation and Help}): sort out ~ in an \href line (twice)

2004-04-06  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex (subsection{Typesetting specialities}): deal with line-
	 broken \Qref command in q-seturl
	(subsection{Typesetting specialities}): it's M-Tx not M_Tx in q-music

	* Makefile.CTAN: drop stupid_names.sty

	* sanitize.pl (sanitize_line): line up with changes to -beta

	* additions.tex: pl 4.12a, today

	* faqbody.tex: v3.11c, today
	(subsection{The Joy of TeX errors}): q-altabcr from add-general

	* add-general.tex (subsection{The Joy of TeX errors}): new q-missbegdoc
	(subsection{The Joy of TeX errors}): new q-normalszmiss

	* sanitize-beta.pl (sanitize_line): remove $...$ re, add \beta, \marg{}

	* faqbody.tex (throughout): replace $...$ with \ensuremath{...}

2004-04-05  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex (section{The joy of TeX errors}): comment on relation to
	 grouping level errors in q-semanticnest

	* add-general.tex (subsection{Creating citations}): correct typo in
	 Q-compactbib

	* faq.sty: arrange that \Qref doesn't eat following space (by
	 converting \@ifnextchar to \afterassignment with "\let\@tempa= "

2004-04-04  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* add-general.tex (subsection{Creating citations}): jiffy on compact
	 thebibliography lists

2004-04-01  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* sanitize[-beta].pl (throughout): align the two files (2-way process)

	* faqbody.tex: v3.11b, today
	(subsection{Floating tables, figures, etc.}): note bottom double float
	 restrictions and complications

2004-03-30  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* texfaq2file: add -2 switch, and corresponding tidies; correct a
	 few things detected by perl -w

	* sanitize.pl (generate_CTAN_ref): correct = -> == in conditional(!)

2004-03-29  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faq.sty: define a bunch of stupid name macros to free us of these
	 idiot logos for ever; also define \MF and \MP without package mflogo

2004-03-26  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* add-general.tex (subsection{The Joy of \TeX{} errors}): graphicx
	 height/division question q-divzero

2004-03-25  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* add-general.tex (subsection{Hyphenation}): writing hyphenation
	exceptions q-hyphexcept

2004-03-25  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex (section{Support Packages for TeX}): typo in q-fig title
	(section{The Background}): correct the earlier twaddle about X in
	 Q-TeXpronounce (courtesy of Ulrich Klauer)
	(section{Introduction}): added Ulrich Klauer
	(subsection{Tables, figures and diagrams}): editorial on q-tabcellalign
	(section{Documentation and Help}): add reference to shipman's texcrib

2004-03-24  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* faqbody.tex (subsection{Common misunderstandings}): typo, found
	 courtesy of bil kleb

2004-03-22  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* add-general.tex (subsection{The Joy of TeX errors}): new q-altabcr

	* faqbody.tex (subsection{Tables, figures and diagrams}): tidy up
	 q-tabcellalign, adding refs to q-altabcr, and correcting errors

2004-03-21  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* faq.sty: remove unnecessary \pdfstringdisable commands, sanitise \nts
	 and \texxet (but comment out \texxet and also \mltex, which aren't
	  used)

	* sanitize-beta.pl (sanitize_line): get rid of \texsis

	* faqbody.tex (subsection{Typesetting specialities}): write out in full
	 the one instance of use of \texsis...

	* faq.sty: de-sillify \tex, \etex, \extex, \latex, \alltex, \context,
	 \pdftex, \pdflatex, \twee ... and junk \texsis

2004-03-19  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* add-general.tex (subsection{Current TeX-related projects}): complete
	 first stab at extex question

	* sanitize-beta.pl (sanitize_line): add \Omega

2004-03-18  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* README: modify final paragraph (about distributing modified versions)

	* sanitize-beta.pl (sanitize_line): remove \Q

	* faq.sty: suppress \Q (temporarily, just possibly: it's going from
	 texfaq2html, anyway)

2004-03-16  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex (subsection{Why shouldn't I?}): correct fantasy in html
	 of q-2letterfontcommands

	* filectan.tex: add vruler

	* faqbody.tex: 3.11a, today
	(section{The Background}): editorial on q-triptrap
	(section{Introduction}): add brooks moses to list
	(subsection{Typesetting specialities}): add vruler to q-linenos

	* sanitize.pl (sanitize_line): sanitize_beta changes

2004-03-15  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* sanitize-beta.pl (sanitize_line): removed \ldots, added \psatempty

	* faqbody.tex (subsection{Page layout}): minor editorials for ps@empty

2004-03-15: release 3.11

2004-03-14  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* faq.sty: disable \, in \pdfstringdisablecommands; define \psatempty

	* faqbody.tex (subsection{Page layout}): use \psatempty in question
	 title for label ps@empty

2004-03-13  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* faqbody.tex (section{The Background}): don't refer to individual
	 latex doc files (not sensible since none is now html)
	(section{Documentation and Help}): mention clsguide via directory only

	* dirctan.tex: latex documentation directory

2004-03-12  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* dirctan.tex: add texcnvfaq as a directory

	* filectan.tex: remove texcnvfaq

2004-03-12  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex: v3.11, today
	(subsection{Page layout}): clarify "pdf output" for pdflscape

2004-03-11  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex (section{DVI Drivers and Previewers}): new text about
	 dvipng, from its author

2004-03-10  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faq.sty: document \Qref in the course of checking it...

	* faqbody.tex (throughout): check on "\Qref..." -- ensure sensible
	 usage, specifically avoiding "(see question x)"

2004-03-09  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex (subsection{Lists}): tidy "interrupting lists" answer

	* CHANGES-3.11: 2 more answers listed

	* additions.tex: pl4.12, today

	* faqbody.tex (subsection{Why shouldn't I?}): q-2letterfontcmd from
	 add-general
	(section{Graphics}): q-dvipdfmgraphics from add-general
	v3.11RC4, today

	* add-general.tex (subsection{Why shouldn't I?}): editorials on
	 q-2letterfontcmd and q-dvipdfmgraphics

2004-03-08  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* add-general.tex (subsection{Graphics}): edit the dvipdfm answer a bit

2004-03-08  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* additions.tex: pl4.11b, today

	* add-general.tex (subsection{Graphics}): graphics in dvipdfm

2004-02-28  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* faqbody.tex: v 3.11RC3, today
	(section{Introduction}): contributors contributions, added szinger

2004-02-27  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* sanitize-beta.pl (sanitize_line): add \bsbs{}

	* faq.sty: add \bsbs

	* filectan.tex: beginlatex and tex4ht changed names

	* dirctan.tex: add pict2e, remove/amend things to match changes on
	 the archive

	* faqbody.tex
	(subsection{Odds and ends}): add pbox and eqparbox to q-varwidth
	(section{Graphics}): mention pict2e in "drawing in latex"

	* dirctan.tex: add eqparbox and pbox

2004-02-26  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* faqbody.tex: date today, of course!
	(subsection{Adobe Type 1 ("Postscript") fonts}): rearrange list of
	 fonts to clump free ones together better [more still to be done]

2004-02-26  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex (subsection{Odds and ends}): tidy up coding around stupid
	 logos answer
	v3.11RC2

	* filectan.tex: texnames.sty from info/biblio

	* Makefile.CTAN: texnames.sty -> stupid_names.sty

	* faq.sty: load stupid_names

	* stupid_names.sty: renamed [my] texnames.sty

2004-02-25  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* dirctan.tex: add smallcap

	* add-general.tex (subsection{Why shouldn't I?}): New q-2letterfontcmd

	* faqbody.tex (section{Installing AllTeX files}): add note about public
	 fonts directories
	(subsection{Odds and ends}): mention texhash for bold-extra installs

2004-02-23  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex (subsection{Common errors}): mention that memoir doesn't
	 choke on verbatim in footnotes in q-verbwithin
	(subsection{LaTeX macros}): note koma-script \chapterformat (etc.)
	 functions in q-seccntformat
	(subsection{Common errors}): q-tabacc and q-alreadydef from add-general
	(subsection{Common misunderstandings}): q-linespread and q-baselinepar
	 from add-general
	(section{Hypertext and PDF}): q-pdfpagelabels from add-general
	(subsection{Odds and ends}): q-varwidth from add-general
	(subsection{Creating bibliographies}): q-bibtranscinit from add-general
	(subsection{Creating citations}): q-sortbib from add-general
	[preamble]: v3.11RC1, today
	(section{The joy of TeX errors}): q-inputlev and q-hyperdupdest from
	 add-general

2004-02-22  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* faqbody.tex (subsection{Document management}): new options for
	 q-changebars, from peter w; ditto comment env in memoir, for
	 q-conditional; totals counters in memoir for q-howmanypp
	(subsection{"Generic" macros and techniques}): mention memoir's
	 \ifinteger setup in q-isitanum; ifmtarg in memoir for q-empty
	(subsection{LaTeX macros}): chngcntr in memoir for q-running-nos;
	 q-oddpage stuff in memoir

2004-02-19  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex: v3.10k, today
	(section{Bits and pieces of TeX}): tidy up text about bitmap type 3
	 fonts in q-adobetypen

2004-02-17  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* add-general.tex (subsection{Creating bibliographies}): correct
	 conditional code in Q-bibtranscinit
	(subsection{Creating bibliographies}): bit more on Q-buildbib

2004-02-14  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* faqbody.tex (subsection{Tables, figures and diagrams}): mention koma
	 \captionabove command

2004-02-09  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* faqbody.tex (subsection{Labels and references}): twiddle further with
	 reference-by-name answer (i wonder if it's comprehensible?)

2004-02-08  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* dirctan.tex: add smartref

	* faqbody.tex (subsection{Tables of contents and indexes}): reword text
	 about splitidx package to take account of split option; more work
	 needed on this answer still :-{
	(subsection{Labels and references}): note memoir titleref functions,
	 and mention byname

2004-02-06  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faq.sty (\Qref): new whistle in case "\Qref..."

	* faqbody.tex (subsection{Page layout}): editorial work on ps@empty

2004-02-05  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex: v3.10j, today

	* additions.tex: pl4.10f, today

2004-02-02  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* texfaq2html-gamma: first tentative steps towards a new web script
	 (nothing much to do with tex, as yet...)

	* texfaq2file: add switches to control what is output, for grand new
	 scheme of things

2004-01-31  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* faqbody.tex (subsection{Tables of contents and indexes}): correct
	 reference to index package

	* dirctan.tex: add index

2004-01-29  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* dirctan.tex: add ledmac

2004-01-25  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* faqbody.tex: qq159,161 (in wilson's notes) for memoir
	q163 for both memoir and koma-script

	* add-general.tex (subsection{Why does it do that?}): close paren in
	 q-baselinepar
	(subsection{Odds and ends}): new q-varwidth

	* filectan.tex: add varwidth

2004-01-24  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* add-general.tex (subsection{Why does it do that?}): finished (first
	 draft of) q-baselinepar

	* faqbody.tex (subsection{"Generic" macros and techniques}): correct a
	 typo (or perhaps "braino") pointed out by hendrik maryns

2004-01-21  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* add-general.tex (subsection{Why does it do that?}): new q-baselinepar
	 and a link to it from 

	* faqbody.tex (subsection{Common misunderstandings}): bit more scrunge
	 at end of q-paraparam

2004-01-20  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex (section{Bits and pieces of TeX}): mention swiftex in dtx
	 answer

2004-01-19  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex: v3.10i, today
	(subsection{Document structure}): refer to zoonekynd's title, chapter
	 and section style pages

	* additions.tex: pl4.10e, yesterday

2004-01-18  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* faqbody.tex (section{Installing (La)TeX files}): correct miktex
	 "update database" key name

	* add-general.tex (subsection{Why does it do that?}): nearing
	 completion of q-linespread

2004-01-16  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex (throughout): don't have comment.sty \end{xyz} other than
	 in column 1

	* filectan.tex: add savesym

	* add-general.tex (subsection{Why does it do that?}): new Q-alreadydef

2004-01-14  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* faqbody.tex (subsection{Common misunderstandings}): reword paraparam,
	 having recommended it to someone :-}

2004-01-14  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* dirctan.tex: add Tabbing

	* add-general.tex (subsection{Why does it do that?}): complete q-tabacc

2004-01-14  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* add-general.tex (subsection{Why does it do that?}): new q-tabacc (not
	 yet quite complete)

2004-01-13  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* dirctan.tex: subfigure->subfig, in case i ever get to use it...

2004-01-13  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex (section{TeX Systems}): remove references to ntex
	(subsection{Common misunderstandings}): quote work complete to end
	 of this subsection

2004-01-12  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex (subsection{Common misunderstandings}): more work on the
	 quote and verbatim
	
2004-01-12  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* additions.tex: pl 4.10d, today

	* add-general.tex (subsection{Hypertext and PDF}): new answer
	 q-pdfpagelabels
	(subsection{The Joy of TeX errors}): new q-hyperdupdest

	* faqbody.tex (section{Hypertext and PDF}): tidy qrefs to get rid of
	 stray space in html; reword intro to make clear what the answer will
	 tell us

2004-01-11  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* faqbody.tex (throughout): still more work on tidying
	(subsection{Getting things to fit}): remove question on miktex failing
	 to generate latex format
	(subsection{Common errors}): mention dblfloatfix in "dbl float order"
	v3.10h, today

2004-01-10  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* faqbody.tex (throughout, again): more work on conditionals
	 (correcting gross errors of yesterday) and tidying layout (more quote
	 environments, f'rex)

2004-01-09  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex (throughout): redoing conditional control

2004-01-09  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* add-general.tex (subsection{Creating bibliographies}): start of scan
	 of database offerings
	
2004-01-08  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* faqbody.tex (subsection{Page layout}): memoir does crop marks

2004-01-08  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex (section{Installing (La)TeX files}): couple of editorials
	 from christina thiele
	
2004-01-06  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* faqbody.tex (subsection{Page layout}): q-nopageno and q-ps@empty,
	 update for memoir and koma-script

2004-01-05  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex (section{Installing (La)TeX files}): new q-privinst from
	 add-general
	(section{Installing (La)TeX files}): new q-instt1font from add-general
	(section{Bits and pieces of TeX}): new q-resolns from add-general
	(section{Bits and pieces of TeX}): new q-fontname from add-general
	(subsection{Tables of contents and indexes}): new q-minitoc from
	 add-general

2004-01-04  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* faqbody.tex (section{Graphics}): add a stricture against using epsfig
	 unless really necessary
	(subsection{Document structure}): mention memoir in "page numbering"
	(subsection{Page layout}): note typearea's capabilities in q-papersize

	* add-general.tex (subsection{Creating bibliographies}): wrap bib
	 entries in dviversion for transcribed initials question

	* faqbody.tex (subsection{Document structure}): dealt with the stuff
	 about marks

2004-01-02  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* add-general.tex (subsection{Creating bibliographies}): new answer
	 from martin sneep, about transcribed initial letters

	* faqbody.tex (subsection{Document structure}): \clearempty... koma
	 stuff in Q-reallyblank
	(section{Documentation and Help}): typesetting japanese tutorial from
	 matsusaka u. in japan
	(section{Current TeX-related projects}): mention lambda in q-omega,
	 and add a health warning to the \ctanref about omega itself

2004-01-01  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* faqbody.tex (subsection{Tables, figures and diagrams}): mention
	 tabulary 
	(subsection{Document structure}): koma-script scrpage2, memoir into
	 q-fancyhdr
	(subsection{Page layout}): mention koma \chapterpagestyle in Q-ps@empty

2003-12-31  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* filectan.tex: add capt-of

	* faqbody.tex (subsection{Document structure}): record change back from
	 caption2 to caption
	(subsection{Document structure}): koma & memoir appendix facilities
	(section{Document structure}): caption facilities of koma and memoir,
	 and add capt-of too

2003-12-29  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* faqbody.tex (section{Documentation and Help}): refer to mimi's pages
	 next to tim love's
	(section{Documentation and Help}): remove reference to basum (bausum?)
	 page on tug.org since it's shortly to be no more, and remove the ltx-2
	 one too, since we seem to have a latex one in the offing

2003-12-28  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* faqbody.tex (section{Graphics}): mention mptopdf in "mp in gs" q

	* add-general.tex (subsection{Creating citations}): mention ken
	 turner's list of reference styles

	* faqbody.tex (section{Documentation and Help}): list herbert voss'
	 thing under both faqs and tutorials

	* add-general.tex (subsection{Installing (La)TeX files}): tidy up the
	 private installation thing to fit in the columns (still needs proper
	 proof-reading)

2003-12-27  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* add-general.tex (subsection{Installing (La)TeX files}): yet more
	 verbosity about home texmf trees (this stuff needs proof-reading!!!)

	* faqbody.tex (subsection{Document structure}): koma, memoir additions
	 to q-secthead

2003-12-25  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* add-general.tex (subsection{Tables of contents and indexes}): finish
	 off minitoc q with reference to hyperref; nb no reference to
	 minitoc-hyper (since no-one else has complained about it)

2003-12-24  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* add-general.tex (subsection{Installing (La)TeX files}): new question
	 q-privinst (incomplete so far)

	* sanitize-beta.pl (sanitize_line): remove translation of \& to bare &
	(which surely isn't safe?)

2003-12-23  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex (subsection{Alternative document classes}): remove
	 statement that koma and memoir classes are "still under development"
	 with its unfortunate suggestion that they're still incomplete
	(subsection{Document structure}): mention koma and memoir's titling
	 capabilities

2003-12-22  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* add-general.tex (subsection{Bits and pieces of TeX}): fontname q
	(subsection{Installing AllTeX files}): refer to q-fontname in
	 q-instt1font
	(subsection{Creating citations}): restored q-sortbib ...

	* faq.sty: redo definition of \ProgName (and hence various others)
	 to work with latest url.sty (if it's available)

2003-12-21  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* faqbody.tex (subsection{Particular font families}): optimise \Qref in
	 lmfonts question
	(subsection{Alternative document classes}): updated other sizes
	 question to mention koma and memoir

	* add-general.tex (subsection{Installing AllTeX files}): another batch
	 of work on "installing type 1 fonts"

	* filectan.tex: excalibur now apparently 4.0.2

2003-12-18  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* add-general.tex (subsection{Creating citations}): new Q-sortbib

2003-12-15  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* faqbody.tex (section{Hypertext and PDF}): current gs version (in "old
	 gs" q) changed to 8.12 (dec 2003)
	(preamble): v3.10g, today
	(section{Installing (La)TeX files}): changes for new fptex

2003-12-11  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* filectan.tex: add dblfloatfix
	
	* faqbody.tex (subsection{Floating tables, figures, etc.}): mention
	 dblfloatfix in Q-2colfloat

2003-12-02  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* faqbody.tex (subsection{Tables of contents and indexes}): correction
	 of multind example [how _could_ i have got it so wrong?]
	(preamble): v3.10f, today

2003-11-28  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faq.sty: pdftitle uk _tex_ faq (not tug)

	* faqbody.tex (section{TeX Systems}): typos in emacs names

2003-11-19  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* additions.tex: pl 4.10a

	* add-general.tex (subsection{Tables of contents and indexes}): minitoc
	 question answered

2003-11-18  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* faqbody.tex: v3.10e, today
	(throughout): refer to koma-script (the object, as opposed to the ctan
	 address) as KOMA-script

2003-11-13  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* faqbody.tex (section{References from articles}): minor extra
	 editorial 

2003-11-13  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex: v3.10d, today
	(section{References from articles}): clarification of, and expansion of
	 examples in, q-mcite

2003-11-12  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* faqbody.tex: v3.10c, today
	(subsection{Creating bibliographies}): correct @preamble for \noopsort
	(section{References from articles}): correct location for unsrtnat,
	 plainnat

2003-11-08  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	<release to the web>

	* dirctan.tex: FirstSteps, lgc, lwc -> info/examples

	* faqbody.tex: v3.10b, today
	(section{Documentation and Help}): corrections to mf/mp tutorials, plus
	 two additions (from jose santos)

	* texfaq2html: vital item left out yesterday when doing changes from
	 -beta

2003-11-07  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex: v3.10a
	(subsection{Document structure}): typo in appendices question

	* texfaq2html: changes from -beta

	* sanitize.pl (sanitize_line): changes from -beta

	* faqbody.tex: v3.10 today

2003-10-30  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* dirctan.tex: remove kostas entry (corresponding directory seems to
	 have disappeared from CTAN without trace...)

	* faqbody.tex (subsection{Tables of contents and indexes}): extend and
	 tidy examples in "multiple indexes"

	* sanitize-beta.pl (sanitize_line): add \Email{ }

	* faqbody.tex (subsection{Typesetting specialities}): correct mail list
	 details for tex-music (now at icking archive)
	(throughout): change \Email|...| to \Email{...}

	* dirctan.tex: algorithm2e

	* faqbody.tex: 3.10RC2, today
	(subsection{Typesetting specialities}): mention algorithm2e in
	 Q-algorithms

2003-10-24  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* additions.tex: pl4.9g, today

	* faqbody.tex: v3.10RC1, today
	(section{Documentation and Help}): various small editorials

2003-10-23  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* add-general.tex (subsection{Document Structure}): editorial work on
	 the appendix answer

2003-10-23  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* add-general.tex (subsection{Labels and references}): tidy q-extref

	* dirctan.tex: removed web/glasgow and all subdir references

	* add-general.tex (subsection{Labels and references}): faithfully add
	 reference to xr-hyper's url optional argument (though i've not tried
	 heiko's new version of hyperref that he says makes it work)

	* dirctan.tex: add appendix

	* add-general.tex (subsection{Document Structure}): new Q-appendix

2003-10-21  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* faqbody.tex (subsection{Why shouldn't I?}): add example of how to
	 code align in place of eqnarray; make all questions in section have ?
	 at their ends (just for once, they _are_ written as questions)
	(subsection{Common errors}): mention Q-eqnarray in Q-newlineargs where
	 eqnarray is used as an example 

2003-10-19  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* faqbody.tex (section{The joy of TeX errors}): q-toodeep from
	 add-general
	(subsection{Mathematics}): q-mathstext and q-reuseq from add-general
	(subsection{Common misunderstandings}): q-exscale from add-general
	(subsection{Page layout}): q-epigraph from add-general
	(section{Current TeX-related projects}): q-aleph from add-general
	(subsection{Footnotes}): q-footnpp from add-general
	(subsection{LaTeX macros}): q-addtoreset from add-general
	(subsection{Tables, figures and diagrams}): removed superfluous
	 \endhtmlignore in q-wholerow

	* add-general.tex (subsection{LaTeX macro programming}): mention per
	 page resetting problem and the perpage package, in answer "master and
	 slave counters" (done once before, and obviously lost :-( )

2003-10-18  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* additions.tex: pl4.9f, today

	* faqbody.tex (section{Support Packages for TeX}): mention aspell under
	 q-spell; remove mention of fig2mf under q-fig, and expand list of
	 known export formats (which now includes mf)

	* add-general.tex (subsection{The Joy of TeX errors}): finished
	 editorial work on q-toodeep -- removed wibble about pressing on past
	 the error
	(subsection{Creating citations}): minor editorial on the "howto"

2003-10-17  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* add-general.tex (subsection{LaTeX macro programming}): mention per
	 page resetting problem and the perpage package, in newly-renamed
	 answer "master and slave counters"

2003-10-17  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* texfaq2html-beta: remove $original_keyword (no longer used); make
	 $keyword have spaces exchanged for + signs; if not providing link to
	 list of questions, </center> ...

2003-10-17  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* add-general.tex (subsection{Footnotes}): typo; add example of perpage
	 and list sources of documentation

2003-10-16  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* add-general.tex (subsection{Creating bibliographies}): more work on
	 how to
	(subsection{Mathematics}): re-use of equation

2003-10-14  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* add-general.tex (subsection{Creating bibliographies}): start on "how
	 to write a .bib file"

2003-10-13  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* filectan.tex: add versions.sty

	* faqbody.tex (subsection{Document management}): add versions.sty to
	 conditional compilation answer

2003-10-12  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* faqbody.tex (section{Documentation and Help}): remove the historical
	 stricture about the bibtex man page, and tidy the rest of the answer
	 up a bit

2003-10-11  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* add-general.tex (subsection{Footnotes}): new subsection, new
	 Q-footnpp

2003-10-10  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* faqbody.tex (section{Hypertext and PDF}): add crippled keyword to
	 questions about fuzzy fonts

2003-10-09  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* add-general.tex (subsection{The Joy of TeX errors}): too deep (list
	 nesting error answer

	* sanitize-beta.pl (sanitize_line): add \"u

	* faqbody.tex (section{Documentation and Help}): reference to l2tabuen
	 as a -ve tutorial

	* filectan.tex: add l2tabuen and l2tabuen.src

2003-10-08  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* filectan.tex: add fncyref

2003-10-07  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* faqbody.tex: v3.9d, today
	(subsection{"Generic" macros and techniques}): renamed section, added
	 Q-empty, tidied up quoting further up section
	(subsection{LaTeX macros}): added Q-labundef 
	(section{The joy of TeX errors}): added Q-8000
	(subsection{Why shouldn't I?}): add Q-dolldoll
	(subsection{LaTeX macros}): mention latex kernel problem with \p@<*>,
	 and list the patch; also mention fncylab and point out that list
	 reference patching is best done with enumitem

2003-10-05  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* add-general.tex (subsection{Labels and references}): new question on
	 xr and xr-hyper

	* faqbody.tex (subsection{Labels and references}): hyperref defines
	 \nameref for itself; nameref doesn't need hyperref

	* dirctan.tex: add clrscode

	* faqbody.tex (subsection{Typesetting specialities}): mention clrscode

	* sanitize-beta.pl (sanitize_line): add narrowversion and wideversion

	* faq.sty: add narrowversion and wideversion

	* add-general.tex (subsection{Labels and references}): new subsection,
	 for (new) q-extref

	* faqbody.tex (subsection{Labels and references}): new, so far just
	 contains q-nameref

2003-10-03  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* add-general.tex (subsection{LaTeX macro programming}): add an
	 \@addtoreset answer

	* sanitize-beta.pl (sanitize_line): correct order of
	 \cmdinvoke*{c}{a1}{a2}{a3} and \cmdinvoke*{c}{a1}{a2}; add
	 \cmdinvoke*{c}{a1}[a2]

	* faqbody.tex (subsection{Typesetting specialities}): slight tidying of
	 algorithm answer

2003-10-01  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* dirctan.tex: add epigraph

	* add-general.tex (subsection{Creating citations}): fiddling with cites
	 in how to bibtex question
	(subsection{Page layout}): answer on epigraphs

2003-09-30  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* add-general.tex (subsection{Creating citations}): how to run bibtex

2003-09-28  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* dirctan.tex: add bezos

	* faqbody.tex (subsection{Lists}): add enumitem to the same two answers

	* add-general.tex (subsection{Mathematics}): correction, following
	 discussion on c.t.t

2003-09-27  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* dirctan.tex: add paralist, savetrees

	* faqbody.tex (subsection{Lists}): add commentary on paralist and
	 savetrees to compaction of lists, and re-organise rest of question;
	 turn "fancy enumeration" upside down (to mention the package first),
	 and add side reference to paralist

2003-09-25  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* additions.tex: v4.9d. 22nd

	* faqbody.tex: v3.9c, today
	(section{Documentation and Help}): mention www.macrotex.net/texbooks

2003-09-23  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* faqbody.tex (subsection{Creating citations}): consistent set of
	 examples for all three candidate packages, and compare-and-contrast
	 stuff to help users choose

2003-09-22  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* faqbody.tex (subsection{Creating citations}): add ctan ref for
	 multibbl

	* add-general.tex (subsection{Mathematics}): add \intertext command to
	 answer on text in maths (example copied from amsldoc)

2003-09-20  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* faqbody.tex (section{Format conversions}): add ref to latex2html
	 mailing list

	* dirctan.tex: add texpower, beamer

	* add-general.tex (subsection{Alternative document classes}): bits and
	 pieces added on to slides question

2003-09-19  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* texfaq2file: complete filename mapping to avoid nasty chars

	* add-general.tex (subsection{Mathematics}): new answer: text in maths

2003-09-18  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* add-general.tex (subsection{Why shouldn't I?}): sort out $$ answer

	* faqbody.tex (subsection{Common misunderstandings}): micro-tutorial on
	 the way \marginpar works

2003-09-17  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* add-general.tex (subsection{Common misunderstandings}): add exscale q

2003-09-16  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* faqbody.tex (section{Documentation and Help}): reference odp tex area

	* add-general.tex (subsection{LaTeX macro programming}): add answer on
	detecting whether a label's undefined 

2003-09-15  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* sanitize-beta.pl (sanitize_line): add 4-arg \cmdinvoke*

	* dirctan.tex: add zoon-mp-eg

	* faqbody.tex (section{Documentation and Help}): add zoonekynd's
	 example set to list of mp tutorials

2003-09-14  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* faqbody.tex (subsection{Tables, figures and diagrams}): bunch of
	 changes \Package| | to \Package{ }
	(subsection{Getting things to fit}): advise etex/etex.sty for pictex
	(section{The joy of TeX errors}): mention etex for dealing with
	 register problems

2003-09-13  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* faqbody.tex (subsection{Tables, figures and diagrams}): mention
	 bigstrut

	* dirctan.tex: add multirow

	* add-general.tex (subsection{Tables, figures and diagrams}): Add q on
	 multirow

2003-09-12  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* add-general.tex (subsection{Tables, figures and diagrams}): question
	 on modifying single rows

2003-09-11  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* dirctan.tex: add aleph

	* add-general.tex (subsection{Current TeX-related projects}): little
	 answer on the aleph project

2003-09-10  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* dirctan.tex: directory for TftI

	* faqbody.tex (section{Documentation and Help}): add tex for the
	 impatient to the list of books released "free"

2003-09-09  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* faqbody.tex (subsection{Common errors}): \label outside environment
	 enclosing \caption, too
	(section{The joy of TeX errors}): play the htmlversion trick in
	 semanticnest

2003-09-08  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* add-general.tex (subsection{Bits and pieces of TeX}): question on
	 resolutions

	* faqbody.tex: today's date
	(section{Documentation and Help}): mention mptut.pdf
	(subsection{Getting things to fit}): 

2003-09-07  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* faqbody.tex: today's date
	(section{Documentation and Help}): recommend TUG India tutorial page

2003-09-06  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* add-general.tex (subsection{The Joy of TeX errors}): complete rewrite
	 of the "mismatched mode" answer

	* dirctan.tex: add bakoma-texfonts

	* faqbody.tex: v3.9a, today; move hypertext section beyond fonts
	(section{Graphics}): reorder questions, make all titles of answers that
	 refer to imported graphics actually say "imported"
	(section{Documentation and Help}): minor editorial on mf books
	(section{Documentation and Help}): mention herbert voss' maths tutorial
	(section{Documentation and Help}): tidy up references to texhax
	(section{Documentation and Help}): remark on the nasa latex thing
	 referring to 2.09
	(section{Bits and pieces of TeX}): minor editorial
	(section{Acquiring the Software}): minor editorial
	(section{Hypertext and PDF}): add ctan ref for bakoma fonts

2003-09-05  Robin Fairbairns  <rf@beret.cl.cam.ac.uk>

	* texfaq2file: start on facility for changing file names of awkwardly-
	 labelled questions
	
2003-08-29  Robin Fairbairns  <rf@shep.cl.cam.ac.uk>

	* faqbody.tex: v3.9

2003-08-28  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* faqbody.tex: v3.9RC2, today

	* additions.tex: pl4.8a, today

	* add-general.tex (subsection{Creating citations}): use donald's
	 simpler scheme for doing unsrt styles by hand... still no tocunsrt :-(

	* faqbody.tex (section{Graphics}): rename the "graphics in" to
	 "imported graphics in", and rename q-graph-pspdf to "portable imported
	 graphics 
	(subsection{Creating bibliographies}): trivial anglicisation
	(subsection{Typesetting specialities}): mention sverb.sty in the
	 verbatim input question, and tidy the whole mess up
	(subsection{Typesetting specialities}): tidy ctanrefs of music answer
	(section{The joy of TeX errors}): reorder the question about "missing
	 number", and refer to mathptmx to replace the old times package

2003-08-27  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* faqbody.tex (section{The Background} and elsewhere): yet more typos
	 noticed by jose carlos santos

2003-08-12  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* sanitize.pl (sanitize_line): bring up-to-date with changes to -beta

	* sanitize-beta.pl (sanitize_line): move {} pattern to end of funtion

	* faqbody.tex: 3.9RC1, today
	(subsection{Spacing of characters and lines}): documentation (such as
	 it is) of setspace

	* companion.ctan: remove contrib/(supported|other) with a lot of help
	 from reinhard

	* faqbody.tex (subsection{Tables of contents and indexes}): put code
	 example in quote environment (seems to set it off rather well)

2003-08-12  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* dirctan.tex,filectan.tex: remove all remaining contrib/supported

2003-08-11  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* sanitize-beta.pl (sanitize_line): ignore \bgroup, \egroup (the latter
	 has to have trailing space in its pattern, for some reason)

	* faqbody.tex (section{References from articles}): tidy up ctanrefs
	(subsection{Tables of contents and indexes}): add example of the use of
	 index.sty (other two to come)

2003-08-11  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex (subsection{Odds and ends}): advise against nameref with
	 hyperref

	* dirctan.tex: added cm-lgc

2003-08-10  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* faqbody.tex (subsection{Spacing of characters and lines}): rewrite
	 doublespacing question for less pomposity

2003-08-09  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* faqbody.tex (section{Hypertext and PDF}): use \Qref*
	(subsection{Particular font families}): use \Qref*
	(section{Hypertext and PDF}): rework the 8-bit fonts question to
	 include cm-lgc, with caveats about its size range, and also to compare
	 the three type 1 alternatives to cm shapes

2003-08-08  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex (subsection{LaTeX macros}): further slight tweaks

2003-08-08  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* faqbody.tex: 3.8c, today
	(subsection{LaTeX macros}): add argument-version to \collect@body q

2003-08-07  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex (subsection{Tables, figures and diagrams}): typo in
	 Q-slashbox

	* sanitize-beta.pl (sanitize_line): deal with \Qref* (twice) -- same as
	 \Qref here

	* faq.sty: deal with \Qref*

	* faqbody.tex (subsection{Tables, figures and diagrams}): couple of
	 typos in destable, and use \Qref*

2003-08-05  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex: v3.8b, today
	(section{Current TeX-related projects}): reference to pdftex in its own
	 right on ctan

	* filectan.tex: add pdftex

2003-08-01  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* sanitize.pl, sanitize-beta.pl (sanitize_line): add \File{ }

	* faqbody.tex: v3.8a, today
	(section{Hypertext and PDF}): typo in Q-fuzzy-type3

2003-07-31  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* Makefile.CTAN: remove texfaq2{file,html}, but install faq-html.tar.gz

	* Makefile (inst-html): muck about with html .tar.gz creation

	* additions.tex: pl4.8, today

	* faqbody.tex (subsection{Creating bibliographies}): merge Q-capbibtex
	 and Q-bibcase to convert the latter to just Q-bibaccent
	v3.8, today ** release **

2003-07-29  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex (subsection{Creating bibliographies}): use new fantasies
	 around the production of \~

	* sanitize-beta.pl (sanitize_line): deal with \~

	* sanitize.pl (sanitize_line): deal with \~, bring up to date with
	 sanitize-beta

	* faqbody.tex (subsection{Creating bibliographies}): \htmlignore around
	 dvi/pdf versions in examples of case protection

2003-07-29  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* dirctan.tex: add lshort-parent

	* faqbody.tex (section{Documentation and Help}): make sure that every
	 tutorial mentions it's available from ctan if it is; suggest browsing
	 for other language versions

2003-07-28  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex (section{Documentation and Help}): add testflow to list
	 of tutorials

	* additions.tex: pl4.7c, today

	* faqbody.tex: v3.8RC2, today

2003-07-27  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* faqbody.tex (throughout): \ProgName|...| -> \ProgName{...}

2003-07-26  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* faqbody.tex (section{Documentation and Help}): add epslatex to list
	 of tutorials

2003-07-25  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* faqbody.tex (section{The Background}): remove claim about the
	 regularity of tugboat :-)

2003-07-24  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex (subsection{Typesetting specialities}): Q-upquot, Q-time
	 and Q-the-commands from add-general (slight edit to Q-the-commands)
	(subsection{Particular font families}): lm question from add-general
	(subsection{Creating bibliographies}): sorting from add-general
	(subsection{Tables, figures and diagrams}): Q-slashbox from add-general
	v3.8RC1, today

2003-07-23  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex (section{Hypertext and PDF}): turned the 8-bit fonts
	 question upside down so as to emphasise cm-like fonts.
	(section{Current TeX-related projects}): change section title, and
	 adjust emphasis in the textrace/mftrace answer (as well as moving
	 download addresses to the ctanrefs section)
	(section{Current TeX-related projects}): new answer on ANT (to what
	 question? you may well ask :-), from add-general

2003-07-22  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* add-general.tex (subsection{Particular font families}): new one on lm

	* faqbody.tex (section{Hypertext and PDF}): add lm fonts to type1T1

2003-07-21  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* dirctan.tex: add lm fonts

2003-07-18  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* add-general.tex (subsection{Creating citations}): \noopsort question

	* faqbody.tex (subsection{Creating bibliographies}): mention the natbib
	 styles and custom-bib _above_ harvard :-}

2003-07-14  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex (subsection{Adobe Type 1 ("PS") fonts}): mention cm-super
	 and hfbright as sources of type 1 cm bright

	* dirctan.tex: add latex4jed; move mcite, mdwtools, mfnfss, ssqquote,
	 textfit and tocvsec2 up/down/sideways one; also multibbl and foiltex
	 on the nonfree tree; add hfbright

	* faqbody.tex: v3.7.1a, today
	(section{TeX Systems}): mention latex4jed

2003-07-11  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* dirctan.tex: move minitoc, ms, multibib, nrc, ntheorem, rcs, rcsinfo,
	 refcheck, rotating, sectsty, showlabels, snapshot, sttools,
	 supertabular, titling and tocloft down one (or up one -- who cares?);
	 delete schroeder entry (pointing to the ms directory)

	* faqbody.tex (two places): ctanref schroeder -> ms

2003-07-10  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* dirctan.tex: move mparhack, ncctools, newlfm, oberdiek, soul and
	 tocbibind up one

2003-07-09  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* add-general.tex (subsection{Current TeX-related projects}): minor
	 tidies
	(subsection{Current TeX-related projects}): add a sentence on _why_
	 separation of languages might be a good thing

2003-07-09  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* sanitize-beta.pl (sanitize_line): add \textsf as a no-op (like \acro)

	* add-general.tex (subsection{Typesetting specialities}): still more
	 tidying, after sleeping on the problem
	(subsection{Current TeX-related projects}): (new title for the section)
	 new question on ANT

2003-07-08  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* add-general.tex (subsection{Typesetting specialities}): another pass
	 over the wording of the advice in the \the_xxx_ question

2003-07-08  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* sanitize-beta.pl (sanitize_line): add 2-arg *'d \cmdinvoke

	* add-general.tex (subsection{Typesetting specialities}): remove \emph
	 from the arguments of \csx in Q-the-commands

	* dirctan.tex: move jknappen, jurabib and mailing down one level

2003-07-07  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* dirctan.tex: move toppages, type1cm and ucthesis down one level

2003-07-07  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* dirctan.tex: add datetime; move memoir, utthesis, vector and vmargin
	 down one level

2003-07-06  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* faqbody.tex (subsection{LaTeX macros}): add twoopt.sty to Q-twooptarg

2003-07-05  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* faqbody.tex (subsection{Document structure}): tidy q-captsty (incl
	 documentation reference, and add reference to Q-atsigns in the early
	 bit about diy

2003-07-04  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* additions.tex: pl4.7b, today

	* add-general.tex (subsection{Typesetting specialities}): new question
	 on typesetting the time

	* faqbody.tex (subsection{Creating bibliographies}): btxmac is actually
	 part of eplain; reference eplain, too

2003-07-02  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* dirctan.tex: add slashbox; move textpos, was, wordcount, wrapfig,
	 xtab and xymtex down from contrib/supported

	* add-general.tex (subsection{Tables, figures and diagrams}): answer
	 containing a recommendation of slashbox (but presenting thomas lotze's
	 suggestion from textex_355 as an alternative)

	* filectan.tex: add tocunscite (it's not there yet, mind)

	* add-general.tex (subsection{Creating citations}): answer for unsrt
	 with table of contents (etc)

	* faqbody.tex (section{Current TeX Projects}): added mailing list
	 details for pdftex from tug site
	(section{The Background}): maillist address for MP (didn't know it had
	 one!)
	(subsection{Alternative document classes}): scrlettr->scrlttr2

2003-07-01  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* faqbody.tex (section{Bits and pieces of TeX}): reference docmfp in
	 Q-dtx (is this the right place for it?)
	(section{The Background}): rewrite text about mp in pdflatex, including
	 making reference to Q-pdflatexgraphics rather than to the pdflatex
	 project itself
	(section{Current TeX Projects}): update pdftex answer; still needs
	 reference for new mailing list sign-up

	* dirctan.tex: add docmfp

	* faqbody.tex: v3.7.1, today
	(subsection{Spacing of characters and lines}): mention the justify
	 stuff in latest ragged2e
	(subsection{Document structure}): mention fncychap's restriction re.
	 front/backmatter in Q-secthead

2003-06-25  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* add-general.tex (subsection{LaTeX macro programming}): aide-memoir
	 for vertical spacing commands in plain-in-latex

2003-06-20  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex: release...

	* sanitize.pl (sanitize_line): corrections from -beta

	* sanitize-beta.pl (sanitize_line): move \csx so it can appear in \Qref
	(sanitize_line): correct \^e

	* faqbody.tex (section{Hypertext and PDF}): reorganise reference to
	 dvisstrip
	(subsection{Typesetting specialities}): minor editorial

	* sanitize-beta.pl (sanitize_line): add \ensuremath

	* faqbody.tex: v3.7, today (i'm determined...)
	(section{Format conversions}): refer to hennings' faq via href, not an
	 entry in ctanrefs
	(section{Hypertext and PDF}): minor editorial in fuzzy-type3

2003-06-19  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* dirctan.tex: correct subeqnarray, subfigure, subfiles

2003-06-18  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* dirctan.tex: correct arabtex, ifmslide, natbib, titlesec

2003-06-17  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* add-general.tex (subsection{Typesetting specialities}): new question
	 on upright (Xterm-like) quotes
	
	* filectan.tex: add upquote

2003-06-16  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex: v3.7RC3, today
	(section{Format conversions}): tidy up "others" question a bit, and add
	 mention of tex2word and word2tex; no longer first in section

2003-06-15  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* additions.tex: pl4.7a, today

	* add-general.tex (subsection{The Joy of TeX errors}): new answer on
	 8000dpi gsftopk attempts

	* faqbody.tex: 3.7RC2, today
	(section{The joy of TeX errors}): non-PDF-special from add-general

2003-06-14  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* filectan.tex: add ifmtarg

	* add-general.tex (subsection{Macro programming}): empty arg answer

2003-06-12  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex: 3.7RC1, today
	(section{Hypertext and PDF}): replace q-dvips-pdf from add-general qs
	(section{Installing (La)TeX files}): 4 font install answers ditto

	* add-general.tex (subsection{Hypertext and PDF}): real error message
	 from dvips when font missing: not mentioning latest version, since
	 systems will have the fonts anyway

2003-06-11  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex (section{Hypertext and PDF}): change reference to fuzzy
	 fonts question in "8-bit fonts"
	(subsection{Typesetting specialities}): pseudocode, from add-general

	* add-general.tex (subsection{Hypertext and PDF}): several editorial
	 and typographic changes 

2003-06-10  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex: v3.6.1d, today

	* additions.tex: pl4.6b, today

	* faqbody.tex (section{Graphics}): add graphics needed... from
	 add-general

	* dirctan.tex: harvard, hyper, hyperref and hyphenat

	* faqbody.tex (subsection{"Generic" macros}): minor edits of "spaces"

	* add-general.tex (subsection{Installing (La)TeX files}): tidies of
	 some of these font answers
	(subsection{Graphics}): minor edit
	(subsection{Hypertext and PDF}): add proviso about acroread 6

	* dirctan.tex: psfig change

2003-06-09  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* dirctan.tex: add urlbst

	* faqbody.tex (subsection{Creating bibliographies}): mention urlbst in
	 Q-citeurl

2003-06-08  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* faqbody.tex (subsection{Typesetting specialities}): reference to
	 Q-algorithms in Q-proglist; also be more positive still about listings
	 package (when did anyone last recommend lgrind?)

	* add-general.tex (subsection{Hypertext and PDF}): minor edits
	(subsection{Typesetting specialities}): minor adjustments

2003-06-07  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* faqbody.tex: v3.6.1c, today
	(section{Hypertext and PDF}): mention pstill in q-pkfix
	(section{The joy of TeX errors}): \$ needs {} (eh!?)

2003-06-06  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex (section{DVI Drivers and Previewers}): bitmap drivers

	* add-general.tex (subsection{Hypertext and PDF}): split "quality of
	 pdf" into two, so all "problems" are on the same level; slight
	 editorials (some as a result of split)

	* faqbody.tex: v3.6.1b, today
	(subsection{Page layout}): page sizes from add-general;
	(subsection{Tables, figures and diagrams}): table design from
	 add-general
	(subsection{Common errors}): float ordering question from add-general

	* add-general.tex (subsection{Typesetting specialities}): remove the
	 "short" option; tidy up description of algorithms bundle; mention
	 float.sty; write documentation notes
	(subsection{Page layout}): minor editorial of page sizes

	* dirctan.tex: bunch of directories contrib/supported->contrib

2003-06-02  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* additions.tex: pl4.6a, today

2003-06-02  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* dirctan.tex: add algorithms,alg,newalg; junk old (cyrillic) "program"
	 in favour of pseudocode one for scott's answer(s); deal with labels,
	 lineno, listings, refman and wasysym (now links)

	* add-general.tex (subsection{Typesetting specialities}): both
	 alternatives of scott pakin's take on algorithm typesetting

	* faqbody.tex: today's date
	(subsection{Typesetting specialities}): minor edit of q-codelist

2003-06-02  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* faqbody.tex (subsection{Document structure}): mention doc of fncychap

2003-06-01  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* filectan.tex: add topcapt

	* add-general.tex (subsection{Tables, figures and diagrams}): new
	 design of tables answer

	* dirctan.tex: add ctable

	* faqbody.tex: v3.6.1a, today
	(subsection{Footnotes}): reference ctable.sty in footintab

2003-05-21  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* add-general.tex (subsection{Graphics}): more editorial, mentions of
	 dvipdfm

2003-05-20  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* add-general.tex (subsection{Installing (La)TeX files}): further
	 iterations, including reference to new bluesky-maps in place of clunky
	 instructions on generating the beastly things

	* dirctan.tex: add bluesky-maps

	* add-general.tex (subsection{Hypertext and PDF}): move Q-fuzzy-t1 up
	 one so questions are in order of itemize

2003-05-20  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* add-general.tex (subsection{Hypertext and PDF}): editorial work on
	 quality; put related answers into an itemize
	(subsection{Installing (LaTeX files}): editorial work on bluesky

2003-05-19  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* dirctan.tex: move mflogo and moreverb "down one"

2003-05-18  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* faqbody.tex (section{Graphics}): mention mp doesn't need help from
	 psfrag 

2003-05-16  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex (subsection{Document management}): mention winedt
	 changebar macros

2003-05-16  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* faqbody.tex (subsection{Document management}): add "revision bars" to
	 Q-changebars

2003-05-15  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* add-general.tex (subsection{Page layout}): new question on paper size

2003-05-14  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* additions.tex: pl4.6, today

	* add-general.tex (subsection{Graphics}): trim ps+pdf graphics q title

	* faqbody.tex: v3.6.1, today
	(subsection{Typesetting specialities}): add highlight to Q-codelist

	* dirctan.tex: add highlight

2003-05-13  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* dirctan.tex: collapse koma-script address

	* sanitize.pl,sanitize-beta.pl (sanitize_line): correct \^E->\^e, bring
	 sanitize.pl up to date

	* faqbody.tex (section{Documentation and Help}): texhax now at tug.org
	(subsection{Spacing of characters and lines}): mention \centering in
	 "cancelling ragged" question

2003-05-12  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* add-general.tex (subsection{Common Errors}): slight diddle on
	 fixltx2e question

2003-05-11  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* dirctan.tex: add hvfloat

2003-05-10  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* dirctan.tex: add fnbreak; bunch of contrib/supported directories ->
	 contrib directories, and also picked up other link directories
	 (allowing some to remain links for clarity)

	* faqbody.tex: 3.6RC5, today
	(subsection{Common misunderstandings}): mention fnbreak in q-splitfoot

2003-05-07  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* additions.tex: pl4.5f, today

	* add-general.tex (subsection{DVI drivers and previewers}): editorials
	(subsection{Common Errors}): new question on fix2col/fixltx2e

2003-05-05  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* additions.tex: pl4.5e, today

	* add-general.tex (subsection{The Joy of TeX errors}): answer on
	 "unknown special ignored"

	* sanitize-beta.pl (sanitize_line): add ê

2003-05-03  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* add-general.tex (subsection{DVI drivers and previewers}): minor typos
	 and editorial corrections
	(subsection{Graphics}): mention dvipdfm option, and auto driver
	 selection, in q about ambivalent output generation

2003-05-02  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* faqbody.tex (subsection{Alternative document classes}): correct
	 spelling of résumé

2003-04-22  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* Makefile (clean): add *.png

	* add-general.tex (subsection{DVI drivers and previewers}): bunch of
	 tidies in this and other questions answered recently

	* additions.tex: pl4.5d, today

2003-04-21  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* filectan.tex: correct tex4ht-mn.zip, remove usergrps-list

	* dirctan.tex: remove geralpha, which has gone from the archive

	* check-ctan-lists: make to work on gordon

	* dirctan.tex: add dvipng

	* add-general.tex (subsection{Hypertext and PDF}): new Q-fuzzy-t1 on
	 the effect of type3 fonts when switching to T1
	(subsection{DVI drivers and previewers}): new Q-dvi-bmp

2003-04-20  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* add-general.tex (subsection{Hypertext and PDF}): replacement `quality
	 of PDF' answer (part 1)
	(subsection{Hypertext and PDF}): Q-gs-pdfqual (part 2 of same)
	(subsection{Hypertext and PDF}): Q-distill-prob (part 3 of same)

2003-04-17  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* sanitize-beta.pl (sanitize_line): Add \FontName

	* faq.sty: add \FontName

	* add-general.tex (subsection{Installing (La)TeX files}): yet more on
	 Q-instprinterfont

2003-04-16  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* add-general.tex (subsection{Particular font families}): move mathtime
	 back where it started!
	(subsection{Installing (La)TeX files}): more on Q-instprinterfont

2003-04-14  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* texfaq2file: name question files by label, rather than by number; add
	 web link for question at end; change regexp for \Question to require
	 label, and to return it alone as $1 (did have [] too); remove
	 provision for generating a list of all questions

	* faqbody.tex: v3.6RC4, today
	(subsection{Why shouldn't I?}): Q-eqnarray from add-general
	(section{Bits and pieces of \TeX}): Q-adobetypen from add-general
	(subsection{LaTeX macros}): Q-spaftend, Q-cmdasenv from add-general

2003-04-13  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* additions.tex: pl4.5c, today

	* faqbody.tex (section{Documentation and Help}): more on how to ask a
	 question
	(section{Graphics}): mention graphicx.tex as well as miniltx

2003-04-12  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* add-general.tex (subsection{Installing AllTeX files}): installing
	 mathtime, back from faqbody (not ready for prime time: reinstate when
	 new version released so it appears in beta again
	(subsection{Bits and pieces of TeX}): new q-adobetypen on font formats

	* filectan.tex: contrib/other/fragments -> contrib/fragments

	* dirctan.tex: remove "other" (whole contrib/other directory!); move
	 all contrib/other stuff down to contrib

2003-04-11  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faq.sty: introduce \ifusePSfont, set true if using times

	* faqbody.tex (subsection{Adobe Type1 ("PS") fonts}): remove reference
	 to fonts/psfonts in Q-metrics

2003-04-10  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* faqbody.tex (section{Graphics}): add mpsproof to question on mp
	 output in ghostscript

	* filectan.tex: add mpsproof

2003-04-09  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* filectan.tex: latex/contrib/(other|supported)/misc -> contrib/misc

2003-04-08  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex (section{Acquiring the Software}): only options now, in
	 Q-CD, are texlive and the ctan cds.
	
2003-04-07  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* faqbody.tex (section{Hypertext and PDF}): dvistrip corrected to
	 dvipsstrip

	* dirctan.tex: remove fonts/psfonts

	* faqbody.tex (subsection{Adobe Type 1 (postscript) fonts}): remove
	 reference to psfonts directory

	* add-general.tex (subsection{Macro programming}): slight elaboration
	 of command-as-env question
	(subsection{Macro programming}): move Q-spaftend in here
	(subsection{LaTeX macro programming}): moved up (with one so far
	 incoherent question) so as to redesignate previous two questions as
	 latex

2003-04-06  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* add-general.tex (subsection{Macro programming}): finally a usable
	 question on commands-as-environments, Q-cmdasenv

2003-04-04  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* faqbody.tex (section{Hypertext and PDF}): slight tidy Q-dvips-pdf

	* add-general.tex (subsection{Why shouldn't I?}): new Q-eqnarray

2003-04-03  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* faqbody.tex: 3.6RC3, today
	(subsection{Typesetting specialities}): add discouragement of the use
	 of path.sty with latex

2003-04-02  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* add-general.tex (subsection{Why does it do that?}): new Q-spaftend

2003-03-31  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* dirctan.tex: oops -- remove line break in decl of psnfssx-mathtime

	* faqbody.tex: v3.6RC2, today
	(subsection{Creating bibliographies}): add Q-bibcase from add-general
	(subsection{Mathematics}): add Q-limits and Q-mathlips from add-general
	(subsection{Particular font families}): add Q-mathtime from add-general

	* add-general.tex (subsection{Mathematics}): add csnames as keywords
	 for Q-mathlips
	(subsection{Mathematics}): \CTANref for graphics.sty

	* additions.tex: pl4.5b, today

	* add-general.tex (subsection{Creating bibliographies}): small changes,
	 plus text-wrapping in verbatim examples
	
2003-03-30  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* add-general.tex (subsection{Creating bibliographies}): new Q-bibcase

2003-03-29  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* faqbody.tex (subsection{Mathematics}): revise reference to
	 \DeclareMathOperator with reference to Q-limits

	* filectan.tex: add T1instguide

	* add-general.tex (subsection{Installing (La)TeX files}): add reference
	 to lehman's guide
	(subsection{Mathematics}): new question Q-limits

2003-03-28  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* dirctan.tex: add yhmath-(fonts|macros)

	* add-general.tex (subsection{Mathematics}): new question on ellipses

	* filectan.tex: add mathdots

	* faqbody.tex: v3.6RC1, today
	(section{The joy of TeX errors}): Q-formatstymy from add-general

	* add-general.tex: tidy after removing questions

	* faqbody.tex (section{Graphics}): typos in Q-graphicspath
	(subsection{Document structure}): typos in Q-captsty
	(subsection{Alternative document classes}): missing close paren in Q-cv
	(section{The joy of TeX errors}): Q-bufovfl from add-general
	(subsection{Mathematics}): Q-mathsize from add-general

2003-03-27  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* faqbody.tex: v3.5.1c, today

	* filectan.tex: add ltablex

	* faqbody.tex (subsection{Tables, figures and diagrams}): refer
	 disparagingly to ltablex.sty

2003-03-27  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* dirctan.tex: removed beginlatex again, having changed policy

	* faqbody.tex (section{Documentation and Help}): update tutorials to
	 reference "production" version of beginner's latex

	* dirctan.tex: mps2eps

	* faqbody.tex (section{Graphics}): reference mps2eps in "mp output in
	 gs" question

2003-03-26  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* dirctan.tex: info/beginlatex

2003-03-25  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* additions.tex: pl4.5a, today

	* add-general.tex (subsection{Mathematics}): new, Q on
	 \DeclareMathSizes

	* sanitize-beta.pl (sanitize_line): add a 5-argument form of \cmdinvoke

2003-03-24  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* add-general.tex (subsection{The Joy of TeX errors}): new, on format
	 error stymying

2003-03-20  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex: v3.5.1b, today
	(subsection{Lists}): change \parsep to \parskip in patched definition
	 of itemize in q on compacting lists
	(section{Introduction}): added simon law to list of helpers

2003-03-17  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* add-general.tex (subsection{Particular font families}): added a
	 miktex url for font map management

2003-03-15  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* faqbody.tex: v3.5.1a, today

	* filectan.tex: add excludeonly

	* faqbody.tex (subsection{Document management}): mention excludeonly in
	 Q-conditional

2003-03-12  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* faqbody.tex (section{Hypertext and PDF}): add a couple of keywords to
	 Q-dvips-pdf (at scott pakin's suggestion)

2003-03-12  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* add-general.tex (subsection{The Joy of TeX errors}): minor editorial
	 on Q-buffov

	* faqbody.tex: v3.5.1, today

2003-03-11  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* sanitize-beta.pl (sanitize_line): up-to-date with sanitize.pl

	* sanitize.pl (sanitize_line): bunch of "g" qualifiers missing on and
	 after patterns for \cmdinvoke, and on \csx

	* faqbody.tex (section{Documentation and Help}): typo in Q-pkgdoc
	(section{Documentation and Help}): typo in Q-mfptutorials
	(section{Current TeX Projects}): separate "real" ~ from url so as to
	 avoid hacking by sanitize
	(section{Current TeX Projects}): couple of typos in Q-mathml
	(section{Current TeX Projects}): \textpercent mayn't be followed by {},
	 so use \ for space
	(section{The joy of TeX errors}): several small typos

	* Makefile (clean): add *.tpt (thumbpdf-related, afaict)

	* sanitize.pl: bring up to date with -beta

	* Makefile.CTAN: remove references to .lab files

	* additions.tex: pl4.5, today

	* add-general.tex (subsection{The Joy of TeX errors}): minor
	 tidies of Q-buffov

	* faqbody.tex: 3.5, today
	(section{Hypertext and PDF}): tidy stuff in the distillation question

2003-03-10  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* texfaq2file: bring up-to-date, too

	* texfaq2html: brought up-to-date with texfaq2html-beta

	* texfaq2html-beta: removed presetting of value in search fields

	* faqbody.tex (subsection{MF fonts}): editorials on bitmap fonts q

	* dirctan.tex: correct path for gsview

	* faqbody.tex: 3.5RC1, today
	(section{Hypertext and PDF}): implement jose santos' remark about AR

2003-03-08  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* filectan.tex: add latexcount

	* faqbody.tex (section{Support Packages for TeX}): mention latexcount
	(section{Current TeX Projects}): use revised name for mftrace (was
	 pktrace) 

2003-03-07  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex: today's date
	(subsection{Why shouldn't I?}): \ss now now {} after it...

	* sanitize-beta.pl (sanitize_line): stupid change to \ss

	* texfaq2html-beta: patch in the google searching stuff

2003-03-06  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex: v3.4b.4, today
	(subsection{Why shouldn't I?}): new subsection of "why does it do that"

2003-03-05  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* dirctan.tex: add psnfssx-mathtime, and remove a couple of essentially
	 defunct mathtime directories

	* add-general.tex (subsection{Particular font families}): start of
	 question on installing mathtime

2003-03-02  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* faqbody.tex (section{Graphics}): mention \epsfig in Q-impgraph

2003-03-01  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* additions.tex: pl4.4c, yesterday

	* faqbody.tex: v3.4b.3, today
	(section{TeX Systems}): yet more mucking about with the words about
	 tetex

	* dirctan.tex: tetex2->tetex, using current/ rather than 2.0/; restore
	 tetex-beta

	* faqbody.tex (section{Graphics}): mention withdrawal of tiff from
	 pdftex graphics

2003-02-28  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* sanitize-beta.pl (sanitize_line): add decoding of \hphantom --
	 converted to (another) gobble operation
	(sanitize_line): don't detect an argument in regexps for \hphantom and
	 \nothtml (efficiency only)

	* filectan.tex: delete wrapfig

	* dirctan.tex: add wrapfig's new directory

	* faqbody.tex (subsection{Creating bibliographies}): Reconstructing bib
	 files from add-general
	(section{Graphics}): graphics from somewhere else, from add-general

	* add-general.tex (subsection{Why shouldn't I}): oops: subsection
	 rename didn't take

	* faqbody.tex (section{Hypertext and PDF}): mention cm-super in type1T1

2003-02-27  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* texfaq2html-beta: add $host_[fd] for use in generate_CTAN_ref

	* sanitize-beta.pl (generate_CTAN_ref): tidy generation of http
	 references (which were ending up on $default_archive)

2003-02-26  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* add-general.tex (subsection{Why shouldn't I?}): renamed from
	 "encoding" -- will go into "why does it _do_ that"
	new question on why not use $$ for display maths in latex

	* faqbody.tex (section{Graphics}): correct \href in mentions of
	 hutchinson's paper

2003-02-25  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* additions.tex: pl4.4b, today

	* sanitize-beta.pl (sanitize_line): add \ss{}

	* add-general.tex (subsection{Encoding (?~--- new)}): questions on
	 t1enc and on eliding inputenc-fontenc when the codings nearly match

	* faqbody.tex: v3.4b.2, today
	(section{Graphics}): reference to hutchinson's graphics inclusion paper

2003-02-24  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* filectan.tex: correct simpl-latex

	* dirctan.tex: add dvi2bitmap

2003-02-21  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex (section{Documentation and Help}): corrected the address
	 for eric raymond on questions to get answers

2003-02-19  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* texfaq2html-beta: add skip links to top of search, top of list of
	 questions, at very start, if the (now very long) intro is present

2003-02-15  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* faqbody.tex (subsection{Document management}): describe \jobname as a
	 primitive, not a "special macro"

2003-02-14  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex (subsection{Floating tables, figures, etc.}): prevent
	 \normalfont in the description env in Q-vertposfp \nothtml (also done
	 as running repair on source on web site)

2003-02-13  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* texfaq2html-beta: remove extensive (but hugely incomplete) change log
	 at front of file; move def of $default_web, and define $href_script in
	 terms of it; two minor corrections to previous work

2003-02-12  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex: v3.4b.1, today
	(section{Hypertext and PDF}): put comment from jose carlos santos in as
	 reminder of work needing to be done; note that gs8.00 is current (and
	 the date of the statement ;-), and claim that gs6.50 is the minimum
	 sensible; add proviso to recommendation of -G1

2003-02-10  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* texfaq2html-beta: set up protocols for new sanitize

	* texfaq2file: some updating w.r.t. latest texfaq2html

	* sanitize-beta.pl (generate_CTAN_ref): use of different protocols for
	 different things

	* add-general.tex (subsection{The Joy of TeX errors}): minor typo

2003-02-09  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* additions.tex: date today

	* add-general.tex (subsection{Graphics}): and a bit more, to make the
	 thing make sense
	(subsection{The Joy of TeX errors}): line too long for buffer error

2003-02-08  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* add-general.tex (subsection{Graphics}): slight edit of yesterday's
	 question, to avoid bad line break

	* dirctan.tex: add tex2bib

	* add-general.tex (subsection{Creating bibliographies}): new question
	 on regenerating bibliographies

2003-02-07  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* additions.tex: pl4.4a, today

	* add-general.tex (subsection{Graphics}): new question on \graphicspath

2003-02-06  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faq.sty: remove provisions for .lab files

	* all: checkin/release

	* faqbody.tex: changed date in first line

2003-02-05  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex (section{TeX Systems}): \ctanref to tetex (per se)
	 upgraded in windows section (talking about cygwin usage)

2003-02-04  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* dirctan.tex: update tds

	* faqbody.tex: v4.3b, today
	(section{Bits and pieces of TeX}): more tidying

2003-02-04  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* faqbody.tex (section{TeX Systems}): reword talk about tetex around
	 current state of tetex2

	* dirctan.tex: remove both instances of tetex 1.0

2003-02-03  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* faqbody.tex (section{Bits and pieces of TeX}): updated tds stuff,
	 after announcement of tds v1.0

2003-01-29  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faq.sty: replace \CTAN with \@ctan@path

	* faqbody.tex: v3.4, today
	(subsection{Typesetting specialities}): typo in Q-makeindex 
	(subsection{Typesetting specialities}): minor editorial in Q-verbfile
	(subsection{Odds and ends}): there's no \CTAN macro! (error spotted by
	 Charles Cameron, in Q-bold-extras)
	(section{Introduction}): credit CC, and now ... v3.4a

2003-01-27  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* sanitize-beta.pl (sanitize_line): minor change to ensure match
	 between -beta and master version

	* texfaq2html-beta: match with master version (as far as poss)

	* faqbody.tex: 3.4RC4, today
	(subsection{Page layout}): slightly less absolutist about samepage
	 environment in Q-nopagebrk

2003-01-24  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex: 3.4RC3, today
	(section{TeX Systems}): add reference to tetex release candidates
	(subsection{Page layout}): rewrite Q-abspos, to mention eso-pic
	 solution (which i learnt on c.t.t today)
	(subsection{Page layout}): corrected statement of relation between
	 eso-pic and everyshi in Q-watermark 

	* dirctan.tex: make testflow a browsable directory; add tetex2

	* add-general.tex (subsection{Alternative document classes}): comment
	 on texpower expanded somewhat (must _really_ work on this some time)

2003-01-21  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* dirctan.tex: ifmslide

	* add-general.tex (subsection{Alternative document classes}): make
	 reference to ifmslide (whatever that is)

2003-01-17  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex: 3.4RC2, today
	(section{Adjusting the typesetting}): use a formulation of don
	 arseneau's for \sectionmark, in Q-runheadtoobig

2003-01-16  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* dirctan.tex: add the catalogue

	* faqbody.tex (section{Acquiring the Software}): minor tidy in
	 Q-nonfree 
	(section{Acquiring the Software}): make reference to the catalogue in
	 Q-websearch

	* additions.tex: pl4.3i, today

	* faqbody.tex: v3.4RC1, today

	* sanitize.pl (generate_CTAN_ref): bring in updates from -beta

	* texfaq2html: bring in updates from -beta

	* faqbody.tex (section{The Background}): correct web address for
	 context 
	(section{Documentation and Help}): correct web address for metafun
	(subsection{Footnotes}): Q-multfoot from add-general
	(section{Acquiring the Software}): correct address for dante's upload

2003-01-15  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex: v3.3q, today
	(section{Adjusting the typesetting}): slight adjustment of the text
	 referring to \sectionmark in runheadtoobig

2003-01-14  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* texfaq2html-beta: split keyword lists and examine each separately,
	 case-independently (even)

	* faqbody.tex (section{Documentation and Help}): \url->\URL in writecls

2003-01-06  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex: v3.3p, today

	* additions.tex: pl4.3h, today

2003-01-05  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* dirctan.tex: add ncctools

	* add-general.tex (subsection{Installing (La)TeX files}): editorial
	 work on the type1 cm fonts installation stuff.
	(subsection{Footnotes}): question whose answer is manyfoot

	* faqbody.tex (section{Installing (La)TeX files}): mention /usr/local/
	 share/texmf (suggestion from julian gilbey), and also suggest
	 kpsewhich as a source of the information for a tetex system

2002-12-28  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* add-general.tex (subsection{Installing LaTeX files}): tidying
	 (perhaps even finishing!) the type 1 cmfonts installation question

2002-12-24  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* add-general.tex (subsection{Installing (La)TeX files}): more work on
	 cmfonts answer

2002-12-17  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex (subsection{Floating tables, figures, etc.}): Q-dpfloat,
	 Q-vertposfp from add-general
	
	* faq.sty: try forcing \l@section/\l@subsection onto next page if not
	 enough space (retracted ...)

2002-12-09  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* add-general.tex (subsection{Installing (La)TeX files}): more work on
	 "installing CM type1" question

2002-12-05  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* sanitize-beta.pl (generate_CTAN_ref): provide link terminator, in
	 case that the link doesn't have $ctanref_plus set true

	* texfaq2html-beta: forget about label "lastquestion", correct coding
	 of next/previous links in case of last question

2002-12-04  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* sanitize-beta.pl (sanitize_line): first hopeful stab at multiple
	 formats (new file, copy of sanitize.pl)

	* texfaq2html-beta: first stab at provision for multiple format
	 directory retrieval

2002-12-03  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* additions.tex: pl4.3g, today

	* add-general.tex (subsection{Floating tables, figures, etc.}): new
	 Q-vertposfp
	
2002-11-29  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex: v3.3o, today
	(section{Documentation and Help}): move \CTANref of teencontrex to list
	 at end of question
	(section{Documentation and Help}): refer to bibtex-doc-pdf in bibtex
	 docs question
	(section{Format conversions}): move ref to html2latex to ctanrefs
	(section{TeX Systems}): separate vtex-common in ctanrefs (twice)
	(subsection{\MF fonts}): tidy up references in "running mf" q
	(subsection{Document structure}): move ctan reference for abstract.sty
	 in Q-onecolabs
	(section{Current TeX Projects}): move reference to ltx3pub
	(subsection{Alternative document classes}): slight modification of ctan
	 references in Q-letterclass

	* dirctan.tex: add bibtex-doc-pdf

2002-11-26  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* additions.tex: pl4.3f, today

	* faqbody.tex: v3.3n, today
	(subsection{Document structure}): Q-pagebychap from add-general
	(section{Documentation and Help}): Q-pkgdoc from add-general

	* add-general.tex (subsection{Floating tables, figures, etc.}): new
	 answer Q-dpfloat
	(subsection{Page Layout}): minor editorial

	* faqbody.tex (subsection{Tables of contents and indexes}): refer to
	 spliti[n]d[e]x in Q-multind

	* dirctan.tex: add splitindex

2002-11-25  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex (subsection{Adobe Type1 ("PS") fonts}): more editorials

2002-11-24  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* additions.tex: pl4.3e, today

	* add-general.tex (subsection{Documentation and help}): editorial
	 corrections to documentation question

	* faqbody.tex
	(throughout): editorial corrections noted on train...

2002-11-23  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* filectan.tex: add chappg

	* add-general.tex (subsection{Page Layout}): new question on page nos
	 by chapter

2002-11-22  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* add-general.tex (subsection{Documentation and help}): new question on
	 package documentation

	* faqbody.tex (section{Bits and pieces of TeX}): slight tidy of Q-dtx

2002-11-21  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* add-general.tex (subsection{Alternative document classes}): point at
	 miwie.org comparison of things in Q-slidecls

	* faqbody.tex (subsection{Mathematics}): add example of coding \qedhere
	 in Q-proof
	
2002-11-20  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex: v3.3l, today
	(subsection{Mathematics}): typo left "i" at very end of answer
	(subsection{Typesetting specialities}): note documentation of path and
	 url in Q-setURL
	(subsection{Common errors}): note documentation of url and verbdef in
	 Q-verbwithin

2002-11-19  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex: v3.3k, today
	(subsection{Typesetting specialities}): Q-overstrike from add-general
	(subsection{Mathematics}): Q-cancel from add-general
	(subsection{Hyphenation}): typo in Q-hyphoff

2002-11-18  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* dirctan.tex: add eso-pic; remove ref2bib (which has gone, and whose
	 replacement's name i've forgotten)

	* faqbody.tex (subsection{Page layout}): separate references to eso-pic
	 and everyshi

2002-11-14  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex: v3.3j, today
	(subsection{Page layout}): mention \filbreak in question about
	 suppressing page breaks
	(subsection{Making things stay where you want them}): mention the
	 (common) need to load ulem with normalem option

	* additions.tex: pl4.3d, today

	* filectan.tex: add cancel

	* add-general.tex (subsection{Mathematics}): cancel.sty
	(subsection{Typesetting specialities}): overstriking

2002-11-13  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex: v3.3i, today
	(subsection{Common misunderstandings}): make clear what is actually
	 being redefined with \usepackage[overload]{textcase}

2002-11-12  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* additions.tex: pl4.3c, today

	* add-general.tex (subsection{Installing (La)TeX files}): more scribble
	 on installing font files

	* faqbody.tex: v3.3h, today
	(section{Installing (La)TeX files}): correct location of font source
	 files, and mention font families all in one directory

2002-11-10  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* faqbody.tex (subsection{Creating bibliographies}): a bit more on the
	 capitalisation question

2002-11-09  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* faqbody.tex: v3.3g, today
	(section{The Background}): tidy eplain answer and add reference to the
	 project home page

2002-11-06  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex (subsection{Tables, figures and diagrams}): minor typo in
	 non-html stuff on wrapfigure
	(subsection{"Generic" macros}): slight iteration of active chars q
	v3.3f, today

2002-11-05  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* faqbody.tex (subsection{"Generic" macros}): hacking to get html right
	 in active chars question

	* sanitize.pl (sanitize_line): remove requirement for {} after \textbar

2002-11-01  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* additions.tex: pl4.3b, today

	* add-general.tex (subsection{Installing (La)TeX files}): another whole
	 paragraph for the question about installing fonts

	* faqbody.tex: v3.3e, today
	(subsection{LaTeX macros}): make reference to newcommand in the
	 question about multiple optional arguments

	* dirctan.tex: add newcommand

	* faqbody.tex (subsection{"Generic macros}): more work on don A's
	 stuff

2002-10-30  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex (subsection{"Generic" macros}): mods to make tilde appear
	 in html output...
	(subsection{"Generic" macros}): first pass at getting don A's revised
	 answer for activechars in (much interrupted -- needs checking)

2002-10-29  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex (subsection{Lists}): Q-interruptlist from add-general
	v3.3d, today

2002-10-17  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* additions.tex: pl4.3a, today

	* add-general.tex (subsection{Lists}): new question on suspending and
	 resuming lists

	* faqbody.tex: v3.3c, today
	(section{Format conversions}): add mayer.dial.pipex.com samples url to
	 latex->html question (they *really* make tex4ht look good ;-)

2002-10-14  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* dirctan.tex: add rcsinfo

	* faqbody.tex: v3.3b, today
	(subsection{Document management}): refer to rcsinfo (ex norman gray)

	* Makefile (throughout): tabs before thumbpdf and following $(PDFLATEX)
	 seem to have gone missing -- reinstated

2002-10-12  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* Makefile: add heiko's modification to run thumbpdf

	* faq.sty: new version from heiko; slight patch to do \@ReturnAfterFi
	 at outer level since i'm experiencing problems with it where he had
	 defined it

	* faqbody.tex (subsection{Document structure}): add a proviso about
	 sections in the question on marks different from the toc entry
	(section{Symbols, etc.}): mention euro-ce

2002-10-11  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* dirctan.tex: added euro-ce

2002-10-08  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex: v3.3, today

2002-10-06  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* newfaq-patch.tex: remove a redundant \Dings

	* add-general.tex (subsection{LaTeX macro programming}): bit more of
	 non-equivalences between latex and plain commands

	* faqbody.tex (subsection{Page layout}): parallel setting from
	 add-general

	* add-general.tex (subsection{Page layout}): remove reference to nrc
	 classes in parallel setting question (they're not _that_ wonderful in
	 this context)

2002-10-01  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* add-general.tex (subsection{Bits and pieces of TeX}): give skips
	 question a label (warned by new faq.sty ;-)

	* Makefile.CTAN (all): add (letterfaq|newfaq).lab, remove
	 newfaq.workers

	* Makefile (clean): remove pdf-newfaq-patch.tex, *.lab

	* newfaq.tex,newfaq-patch.tex,letterfaq.tex: \labellist

	* faq.sty: added \labellist stuff; make \Question complain if no label

	* faqbody.tex (throughout): final touches to last night's additions

2002-09-30  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* faqbody.tex (subsection{Page layout}): add nopagebrk from add-general
	(subsection{Hyphenation}): add wdnohyph from add-general
	(subsection{Floating tables, figures, etc.}): 2 >1 column floats
	 questions from add-general
	(section{Graphics}): topgraph from add-general
	(subsection{Document management}): inclplain from add-general
	(section{Symbols, etc.}): tradesyms from add-general

2002-09-30  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex: v3.2e, today
	(subsection{Adobe Type 1 ("PS") fonts}): put version number on the
	 dvips that doesn't do charshift

	* add-general.tex (subsection{Alternative document classes}): start
	 question on producing slides

	* dirctan.tex: move foiltex to nonfree, to reflect reality, add
	 prosper, ppower4

2002-09-29  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* additions.tex: today's date, no change of version

	* add-general.tex (subsection{Page layout}): question on parallel
	 setting of texts

	* dirctan.tex: add parallel

2002-09-27  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* add-general.tex (subsection{Symbols}): new question on trade symbols

	* additions.tex: pl4.2i, today

2002-09-26  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* additions.tex: pl4.2h, today

	* add-general.tex (subsection{Floating tables, figures, etc.}): new
	 questions about single-column floats in multicols, and bottom-
	 placement of double-column floats in twocolumn

2002-09-25  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* add-general.tex (subsection{Graphics}): new answer on top-aligning

	* additions.tex: pl2.4g, today

	* faqbody.tex: v3.2d, today
	(section{Documentation and Help}): small tidying of book list

	* add-general.tex (subsection{Page Layout}): mention \enlargethispage
	 in "keeping things together on the page"
	(subsection{LaTeX macro programming}): expand for tidiness sake

2002-09-24  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* additions.tex: pl4.2f, today

	* faqbody.tex: v3.2d, today
	(subsection{Document structure}): two questions from add-general
	(subsection{Document management}): how many pp, from add-general
	(section{Graphics}): limit width, from add-general
	(subsection{Floating tables, figures, etc.}): extra vertical space from
	 add-general
	
	* add-general.tex (throughout): several minor editorials

2002-09-23  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* add-general.tex (subsection{LaTeX macros}): question plain commands
	 in latex code
	(subsection{How do I \dots{}?~--- somewhere}): plain.sty question

	* faqbody.tex (section{How do I do ...?}): another change of name

2002-09-20  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex (subsection{Floating tables, figures, etc.}): new section
	 heading for explicit float things (currently only floats on their own
	 float pages)

	* add-general.tex (subsection{Graphics}): limit graphics width to page
	(subsection{Floating tables, figures, etc.}): witter about vertical
	 space in figures

	* additions.tex: pl4.2e, today

	* faqbody.tex (subsection{Page layout}): slight tidy of watermark q's
	 ctanrefs env

	* dirctan.tex: add totpages

	* add-general.tex (section{Where? --- sort of support?}): "number of
	 pages in the document?" answer

2002-09-18  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex (subsection{Tables, figures and diagrams}): booktabs _is_
	 now compatible with at least some other table packages...
	
	* add-general.tex (subsection{Document structure}): add "page n of m"

	* filectan.tex: add mtw

	* faqbody.tex (section{Documentation and Help}): mention mtw on ctan

2002-09-17  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex: v3.2c, today
	(section{Documentation and Help}): restore "making tex work" in the
	 books section, note that it's out of (print|date), and add link to
	 tutorials, which now lists sourceforge url

2002-09-16  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* add-general.tex (subsection{Document structure}): new question about
	 fitting text into the running head.

	* faqbody.tex: v3.2b, today
	(section{TeX Systems}): mention some vim scripts
	(subsection{Mathematics}): moved Q-braket in here
	(subsection{Page layout}): moved "changing margins" in here


2002-09-15  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* dirctan.tex: add pdftricks

	* faqbody.tex (section{Graphics}): reference pdftricks in the answer
	 about alternative drawing systems

2002-09-13  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* faqbody.tex (section{TeX Systems}): tidy up "editors" entry for
	 ms-dos (for tidiness' sake, rather than because of the intrinsic
	 importance of the subject matter ;-)

2002-09-12  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex: v3.2a, today
	(section{TeX Systems}): text on vim from schröcker
	(section{Introduction}): mention schröcker

	* add-general.tex (subsection{Hyphenation}): rather feeble answer on
	 suppressing hyphenation of words

	* dirctan.tex: concmath is in supported...

	* additions.tex: pl4.2d, today

	* filectan.tex: add needspace, add .gz to latex209.tar

	* add-general.tex (subsection{Page Layout}): complete \needspace
	 question

2002-09-11  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* add-general.tex (subsection{Page Layout}): start of a question on
	 keeping things on the same page

	* faqbody.tex (section{Graphics}): typo in dvipsgraphics

2002-09-10  Robin Fairbairns  <rf@shep.cl.cam.ac.uk>

	* faq.sty: tidy up after stupidity working on text annotations in
	 pdf version (which preserved as botched-faq.sty)

2002-09-10  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex (subsection{LaTeX macros}): typo in "finding macros"
	v3.2, today

2002-09-09  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* faqbody.tex (subsection{Spacing of characters and lines}): remove
	 reference to tracking.sty, following notice of its bug

2002-09-09  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* additions.tex: pl4.2c, today

	* faqbody.tex: v3.1c, today
	(subsection{Creating citations}): "References from the bibliography to
	 the citation" from add-general
	(section{Graphics}): "Labelling graphics" from add-general
	(subsection{LaTeX macros}): "The definitions of LaTeX commands" from
	 add-general
	(section{The joy of TeX errors}): add "missing $" and "font shape not
	 available" from add-general

	* add-general.tex (subsection{LaTeX macros}): editorial
	(subsection{The Joy of TeX errors}): editorial
	(subsection{Bibliographies (somewhere)}): editorial
	(subsection{Graphics}): editorial

	* faq.sty: add a \toclevel@question with a view to shutting hyperref up
	 a bit

	* faqbody.tex (subsection{Page layout}): bit more description of
	 eso-pic (from a post by rolf niepraschk)

2002-09-08  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* faqbody.tex (subsection{Document structure}): since i'm more informed
	 about titlesec, i might as well instruct the world as well... (losing
	 the reference to titletoc in passing -- dunno about that yet)

	* dirctan.tex: add citeref

	* add-general.tex (subsection{Bibliographies (somewhere)}): backwards
	 reference to citation answer

	* additions.tex: pl4.2b, today

	* add-general.tex (subsection{The Joy of TeX errors}): answer on font
	 substitution messages (at long last!!!)

	* filectan.tex: add type1ec

	* dirctan.tex: add type1cm

	* faqbody.tex: v3.1b, today
	(subsection{Particular font families}): incorporate small correction
	 from José Carlos Santos

2002-09-07  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* dirctan.tex: add overpic

	* add-general.tex (subsection{Graphics}): first stab at answer on
	 overlaying text on figures

2002-09-06  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* add-general.tex (subsection{The Joy of TeX errors}): $ missing answer

2002-09-06  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* add-general.tex (subsection{LaTeX macros}): tidy and slightly expand
	 yesterday's work

2002-09-05  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex (section{Graphics}): add a label Q-impgraph
	v3.1a, today
	(section{Documentation and Help}): added "a tex primer for scientists"
	(section{Introduction}): add Hartmut Henkel to list of helpers
	(section{Literate programming}): promote noweb (which supersedes
	 spidery web)
	v3.1a.1 (patched prior to re-release)

	* additions.tex: pl4.2a, today

	* add-general.tex (section{LaTeX macros}): tweak finding macro question

2002-09-05  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* add-general.tex (section{LaTeX macros}): new answer: finding macro
	 definitions

2002-09-04  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex (subsection{Alternative document classes}): "replacing
	 the standard classes" from add-general
	(subsection{LaTeX macros}): "presentation of section numbers" from
	 add-general

	* add-general.tex (subsection{LaTeX macros}): editorial on seccntformat
	 answer

	* faqbody.tex: v3.1, today
	(section{Documentation and Help}): replace mention of uk tug (after
	 list of books) with notes on contributing
	(section{Acquiring the Software}): editorial stuff; remove reference to
	 decus tape distribution
	(section{\acro{DVI} Drivers and Previewers}): remove reference to decus
	 distribution holding a copy of dvips
	(section{Format conversions}): remove troff translator in decus dist

2002-09-03  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* add-general.tex (subsection{LaTeX macros}): add actual body to
	 \@seccntformat question

	* filectan.tex: add sober

	* add-general.tex (subsection{Alternative document classes}): editorial
	 on standard classes answer

	* dirctan.tex: add pstoedit and purifyeps

	* faqbody.tex (section{Graphics}): mention purifyeps in pdf question,
	 as route to something includable by pdflatex

2002-09-03  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex: v3.0.1v, today
	(section{Documentation and Help}): moved ctan references out to
	 ctanrefs env after book list

	* additions.tex: pl4.1m, today

	* add-general.tex (subsection{Alternative document classes}): long-
	 awaited answer on ntgclass, koma-script and memoir

	* faqbody.tex (subsection{"Generic" macros}): defining characters,
	 active characters in command arguments, defining characters from
	 command arguments, and transcribing latex commands, from add-general
	(subsection{Particular font families}): new section, to hold "using
	 concrete fonts", from add-general
	(subsection{Document management}): add makefiles q from add-general

	* add-general.tex (subsection{How do I do X in (La)TeX}): editorial on
	 makefiles question
	(subsection{Macro programming}): "macros from command arguments" solely
	 in terms of plain programming
	(subsection{Fonts (or something)}): couple more editorials on concrete

	* faqbody.tex (section{Graphics}): moved "making \mp graphics display"
	 into this section
	(subsection{Alternative document classes}): moved "other document font
	 sizes" into this section
	(subsection{Typesetting specialities}): moved code listings up to top
	 of section

2002-09-02  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* locations.mk: add FTPDIR

	* Makefile (inst-html): goes to $(FTPDIR)

	* add-general.tex (subsection{Macro programming}): rebalance
	 "characters commands as commands" and "active chars in command
	 arguments"

	* dirctan.tex: add concmath-f (the fonts)

	* add-general.tex (subsection{Fonts (or something)}): tidy up, and add
	 ctan references to the fonts mentioned

	* faqbody.tex (section{Fonts}): new section, to include metafont stuff
	 and postscript font issues (was \MF and \MP, and \PS and \TeX)
	(section{Graphics}): new section, from add-general, plus \MP in
	 ghostscript (from old \MF and \MP) and drawing stuff from tables,
	 figures and diagrams
	v3.0.1u, today
	(subsection{Making things stay where you want them}): mention
	 flafter.sty in Q-floats

2002-08-30  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* dirctan.tex: add latexmake

	* Makefile.CTAN (all): add Makefile itself

	* Makefile (ctan): remove commented-out ftp target

	* add-general.tex (subsection{How do I do X in (La)TeX}): more work on
	 the Makefile question (really for doc management, now, i suppose)

	* locations.mk: new file of "private" locations, that won't go on CTAN

	* Makefile: move explicit locations out to locations.mk

	* dirctan.tex: texhax is browsable

	* faqbody.tex (section{You're still stuck?}): typos/minor corrections
	 to latex bug and additions to the faq questions
	(section{The joy of \TeX{} errors}): typend and unkgrfextn from
	 add-general
	v3.0.1t, today

	* sanitize.pl (sanitize_line): add \pkgoption

	* faq.sty: add \pkgoption

	* add-general.tex (subsection{The Joy of TeX errors}): amalgamated
	 graphics extension bit with earlier one

	* additions.tex: pl4.1k, today

	* filectan.tex: add gkpmac

	* dirctan.tex: add ccfonts and concmath

	* add-general.tex (subsection{Fonts (or something)}): new subsection
	 for question from josé carlos santos about concrete

2002-08-29  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* add-general.tex (subsection{Graphics}): provide some sort of
	 completion for pdftex graphics question, and do first version of dvips
	 graphics
	(subsection{The Joy of TeX errors}): tidy up "... say \end"

	* dirctan.tex: add jpeg2ps, bmeps

	* filectan.tex: add resume

	* dirctan.tex: add currvita

	* faqbody.tex (subsection{Alternative document classes}): update
	 curriculum vita question with rec for currvita
	(section{Introduction}): hans nordhaug to list of contributors

	* additions.tex: pl4.1j, today

	* add-general.tex (subsection{"Generic" macros}): first pass of
	 \newcommand answer complete (do we need \@ifundefined, \@ifnextchar?)

2002-08-25  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* faqbody.tex (section{PS and TeX}): editorial from santos

2002-08-24  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* faqbody.tex (subsection{Page layout}): mention pdflscape.sty in the
	 landscape question
	v3.0.1r, today

2002-08-23  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex (subsection{Footnotes}): make reference to \footref in
	 "texts are identical"

	* add-general.tex (subsection{Installing AllTeX files}): editorials

	* faqbody.tex (subsection{Document management}): mention \gobble and
	 \iffalse ... \fi in "comments" question

	* sanitize.pl (sanitize_line): add cmdinvoke with mandatory argument
	 followed by optional one

	* dirctan.tex: add subfiles

	* faqbody.tex (subsection{Alternative document classes}): add reference
	 to subfiles system in "report from lots of articles"
	v3.0.1q, today

	* additions.tex: pl4.1i, today

	* add-general.tex (subsection{The joy of TeX errors}): new answer (from
	 a post by heiko oberdiek), about "unknown graphics extension"

2002-08-21  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex (subsection{Tables of contents and indexes}): editorials,
	 including rearranging "unnumbered sections in toc"
	(subsection{Typesetting specialities}): editorials
	(subsection{Tables, figures and diagrams}): editorials

	* add-general.tex (subsection{"Generic" macros}): first paragraph of
	 question on understanding latex command declarations

	* faqbody.tex (section{Bits and pieces of TeX}): minor editorials
	(section{Bibliographies and citations}): minor editorials, split into
	 subsections
	(section{PS and TeX}): excise any mention of mathpple

	* filectan.tex: give TeX-FAQ a filename (ha ha)

	* dirctan.tex: remove TeX-FAQ (the old faq)

2002-08-20  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* faqbody.tex (subsection{Typesetting specialities}): talk down
	 dropping package in Q-dropping (ha ha)
	(subsection*{Finding the Files}): slight editorial
	(section{The Background}): various holiday editorials
	(section{Documentation and Help}): added joy of tex to list of books(!)
	v3.0.1p, today

2002-08-02  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex:
	3.0.1o, today
	(sections{The Background,Bits and pieces of TeX}): minor tidies and
	 updates

2002-07-31  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* additions.tex: pl4.1h, today

	* add-general.tex
	(subsections{Generic and LaTeX macros}): frameworks for a couple of new
	 questions

	* faqbody.tex
	v3.0.1n, today
	(section{Macro programming}): split into two halves, "generic" and
	 latex

2002-07-29  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex
	(section{Documentation and Help}): add wilkins' pllong.pdf to the
	 tutorials section
	v3.0.1m, today

2002-07-25  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex: today's date
	(section{Symbols, etc.}): add mention of encoding problems, and suggest
	 \char`\_, in underscore question

2002-07-24  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex (subsection{Tables, figures and diagrams}): add stabular
	 to the long table stuff
	v3.0.1l, today

2002-07-23  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex: v3.0.1k, today
	(section{Bits and pieces of TeX}): record that ec fonts don't cover all
	 sami languages
	(section{Introduction}): add Regnor Jernsletten to helpers' list

2002-07-21  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* faqbody.tex (section{TeX Systems}): change \htmlonly to \nothtml in
	 Y&Y entry (!)

	* sanitize.pl (sanitize_line): move \htmlonly down with the other two

	* faqbody.tex (section{Current TeX Projects}): micro-typo in doc prep
	(section{Bits and pieces of TeX}): \nothtml problem in encodings
	(section{PS and TeX}): add licence remark to txfonts and pxfonts
	(section{PS and TeX}): mention dvips -G1 bugfix (which version is it?)
	v3.0.1j, today

2002-07-18  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* sanitize.pl (sanitize_line): moved \nothtml and \latexhtml to the end
	 of the big block of conversions, so their arguments get processed
	 before they do (probably need to do same for other similar commands)

	* faqbody.tex (section{The Background}): \begin{footnoteenv} on a line
	 by itself (and three other places in the document)
	(subsection{Things have "gone away"}): typo correction for msx/y font
	 ctanrefs environment
	v3.0.1i, today
	(section{Installing AllTeX files}): add Q-miktexinst from add-general
	(section{The Background}): also tidy Q-MP

2002-07-16  Robin Fairbairns  <rf@stripos2.cl.cam.ac.uk>

	* add-general.tex (subsection{Installing AllTeX files}): more work on
	 the cm-pfb fonts question

2002-07-14  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* add-general.tex (subsection{Installing AllTeX files}): correct typos;
	 add disclaimer about miktex failing to know about a package

2002-07-12  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* additions.tex: pl4.1g, today

	* add-general.tex (subsection{Installing (La)TeX files}): new question
	 about installing from miktex

	* faqbody.tex:: v3.0.1h, today
	(section{Installing (La)TeX files}): make reference to new question on
	 miktex installation

2002-07-10  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* additions.tex: pl4.1f, today

	* add-general.tex (subsection{Installing AllTeX files}): bit of editing
	 of the cm-type1 question

2002-07-08  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex: today's date
	(section{Format conversions}): added info (from Alejandro Lopez-
	 Valencia) about using acrobat 5 to produce output via word 2000 (!)

2002-07-07  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* faqbody.tex (section{Documentation and Help}): add system and OS info
	 to the list of things people should report, when appropriate.

	* add-general.tex (subsection{Installing AllTeX files}): start on
	 questions about installing fonts, and installing type 1 cm in
	 particular

	* faqbody.tex (section{MF and MP}): make the reference to bluesky to
	 mention browsing
	v3.0.1g, today

	* dirctan.tex: Make bluesky browsable

2002-06-28  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex: today's date (not changing minor version number)
	(section{Support Packages for TeX}): correct support reference for
	 xfig, and mention jfig in that question

2002-06-27  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex (subsection{Common misunderstandings}): minor usage mods
	 in "rerun" question, suggested by john palmieri

	* sanitize.pl (sanitize_line): remove \end{document}

	* faqbody.tex: v3.0.1f, today

2002-06-22  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* faqbody.tex (section{Documentation and Help}): correct address for
	 Peter Flynn's intro, which has moved with site re-org
	3.0.1e, today

2002-06-18  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex (subsection{Page layout}): mention full document in
	 landscape orientation in landscape question, and include geometry for
	 that
	v3.0.1d, today

2002-06-14  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex (section{Current TeX Projects}): url for x-symbol
	v3.0.1c, today

2002-06-13  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex (subsection{Document management}): CTAN-refer to oberdiek

	* dirctan.tex: add epstopdf, rename pagesel as oberdiek

	* add-general.tex (subsection{Graphics}): start on pdftex question

	* faqbody.tex (subsection{Mathematics}): deal with overflowing column
	 in second example definition of "log-like" \diag

2002-06-11  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* Makefile.CTAN: removed required-questions

2002-06-10  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* faqbody.tex (three places): remove \Destination commands
	v3.0.1a, today

2002-06-09  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex: v3.0.1, today
	(section{Current TeX Projects}): web2c* for sources; final editorial
	 work on document prep question
	(section{DVI Drivers and Previewers}): weasel words around dvilj

	* dirctan.tex: add web2c*; remove pdftex, dviljk; update
	 french-(le|pro)

2002-06-07  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex (subsection{Typesetting specialities}): "typesetting a
	 file in verbatim" -> drop the "in"
	(section{Current TeX Projects}): typo in the web question
	(section{Current TeX Projects}): several gross typos in the wysiwyg
	 question, and new intro para
	v3.0h, today

2002-06-06  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex: v3.0g, today
	(section{Current TeX Projects}): new question re-derived from david
	 kastrup's input on wysiwyg
	(section{The Background}): david kastrup's stuff moved away from here

	* sanitize.pl (sanitize_line): rearrange deckchairs slightly so
	 \cmdinvoke "long forms" are scanned before shorter equivalents

	* faqbody.tex (subsection{Spacing of characters and lines}): minor
	 reword to change emphasis of doublespace document

2002-06-05  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex: v3.0f, today
	(section{Macro programming}): correct minor think-o in opt args
	 question yesterday
	(section{The Background}): lots more editorial work on wysiwyg

	* texfaq2html-beta: require sanitize-beta.pl

	* Makefile (inst-perl-beta): install sanitize-beta

2002-06-04  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* faqbody.tex (section{The Background}): moved wysiwyg question over
	(section{Macro programming}): the two command argument answers, too

	* additions.tex: pl4.1e, today

	* add-general.tex (subsection{Macro programming}): new answer on >1
	 optional argument
	(subsection{The background}): editorial work on david kastrup's
	 splendid contribution
	(subsection{Macro programming}): added ctanrefs for Q-moren9

	* sanitize.pl (sanitize_line): add \cmdinvoke{name}[opt]

2002-06-02  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* faqbody.tex (subsection{Mathematics}): refer to amsthm proof env

2002-06-01  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* faqbody.tex (section{Installing AllTeX files}): add .mf to wherefiles

2002-05-27  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* add-general.tex (subsection{The background}): revision of wysiwyg
	 question, courtesy of david kastrup

	* dirctan.tex: added texmacs and preview-latex

2002-05-26  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* texfaq2file: distinguish sections and subsections in index.html, and
	 change the trailer of each question to be a bit like that of the web
	 version

	* texfaq2html,texfaq2html-beta: distinguish sections and subsections in
	 the listing of questions at the start

2002-05-25  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* filectan.tex,dirctan.tex,faqbody.tex: uktug-faq -> faq throughout
	 (file names as well as email address)

	* Makefile (inst-html): add README

	* README: first stab at this; done for thomas esser's benefit

	* Makefile.CTAN: replace 00readme with README, add sanitize.pl and
	 texfaq2file

	* additions.tex: pl4.1c, today

	* faqbody.tex (section{Documentation and Help}): typo in words about
	 tex-by-topic on web, so reworded slightly, too
	v3.0d, today

	* add-general.tex (subsection{Macro programming}): added question on >9
	 arguments
	(subsection{Graphics}): finished first pass on general question; added
	 headers for dvips and pdflatex graphics

2002-05-23  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* additions.tex: pl4.1b, today

	* filectan.tex: add epsf.tex

	* add-general.tex (subsection{Graphics}): start of a witter about
	 graphics inclusion in general

	* dirctan.tex: add dtxtut

	* faqbody.tex: v3.0c, today
	(section{Bits and pieces of TeX}): add ref to dtxtut

2002-05-22  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex (subsection{Document management}): rename question to
	 "conditional compilation and comments"

2002-05-21  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex (section{PS and TeX}): mathpazo now v1.003

	* Makefile (ctan): use newly-defined $CTAN_ROOT and $CTAN_HOME

	* faqbody.tex (section{Symbols, etc.}): redo text about euro in light
	 of the discovery that the commission now accepts non-sans symbols
	v3.0b, today

2002-05-16  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex (section{Macro programming}): \p@enumii needs
	 \renewcommand

	* add-general.tex (subsection{Macro programming}): tidy and extend
	 catcodes question

	* faqbody.tex (section{PS and TeX}): removed \acro round micropress
	 font name "capitals" part, and corrected "ps math"->"pa math"(!)
	(section{Bibliographies and citations}): reword answer on multiple
	 citations

2002-05-15  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* faqbody.tex (subsection{Document structure}): balancing columns (as
	 amended) from add-general
	(subsection{Alternative document classes}): letter classes from add-
	 general
	v3.0a, today

2002-05-15  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* add-general.tex (subsection{How do I do X in (La)TeX}): remove
	 reference to baltools in "balancing columns" question
	(subsection{Alternative document classes}): twiddle the wording a bit
	(subsection{Macro programming}): more scribbling in "defining macro
	 from argument"

2002-05-14  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* dirctan.tex: added testflow

2002-05-14  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* dirctan.tex: add akletter, dinbrief, newlfm; remove aladdin

	* additions.tex: pl4.1, today

	* add-general.tex (subsection{Alternative document classes}): letter
	 classes

2002-05-13  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* sanitize.pl (sanitize_line): \WYSIWYG translate as WYSIWYG(!)

	* additions.tex: pl4.0, today

	* faqbody.tex: v3.0, today

	* texfaq2html: added provision for subsections

	* faqbody.tex (section{Format conversions}): add latex->plain from
	 add-general
	(section{The Background}): latex<->plain from add-general
	(subsection{Document structure}): "really blank pages" from add-general
	(subsection{Typesetting specialities}): decimal comma from add-general
	(subsection{Document management}): RCS question from add-general
	(subsection{Typesetting specialities}): breaking boxes from add-general
	(subsection{Tables, figures and diagrams}): floats on their own float
	 pages from add-general

2002-05-10  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex (section{Things are Going Wrong...}): rearranged, and
	 stuff moved out; suppressed question about miktex format creation
	(section{PostScript and TeX}): moved charshift in here for want of
	 anything better...
	(subsection{Page layout}): landscape orientation (from "specialities")

	* add-general.tex (subsection{Format Conversions}): for part of the
	 latex->tex question (also edited a bit)

	* additions.tex: pl3.9m, today

	* faqbody.tex (section{You're still stuck?}): split bug question in
	 two, taking stuff from add-general
	(section{Documentation and Help}): "how to ask a question" from
	 add-general
	(section{Bibliographies and citations}): "bib->html" from add-general
	(section{The Background}): add explanation of the acronym in the
	 wysiwyg question
	v2.5.8u, today

2002-05-08  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* additions.tex: pl3.9l, today

	* add-general.tex (subsection{You're still stuck?}): add details of
	 using the bugs web page to question on latex bug reports
	(subsection{How do I do X in (La)TeX}): tidy wrapping in norman gray's
	 question

2002-05-07  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* dirctan.tex: add rcs

	* add-general.tex (subsection{How do I do X in (La)TeX}): rcs question,
	 courtesy of norman gray

	* additions.tex: pl3.9k, today

	* faqbody.tex (section{TeX Systems}): tidied text about cygwin

2002-05-06  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* faqbody.tex: v2.5.8t, today
	(section{TeX Systems}): add reference to tetex for cygwin

2002-04-30  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex (section{Documentation and Help}): added peter flynn's
	 tutorial to tutorials question

	* add-general.tex (subsection{Documentation and Help}): new question on
	 how to formulate questions (self-referential or what?)
	(subsection{The Background}): minor tidy of translation question
	(throughout): removed most \Destination commands

	* additions.tex: pl3.9j, today

	* faqbody.tex: v2.5.8s, today
	(section{Documentation and Help}): reword text about google

2002-04-29  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* faqbody.tex: various questions moved around and subsections created

2002-04-29  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex (section{DVI Drivers and Previewers}): suppress
	 suggestion that dvips is readily available

2002-04-28  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* faqbody.tex: changed date to today

	* dirctan.tex: added feyn

	* faqbody.tex (subsection{Tables, figures and diagrams}): correct
	 ctanrefs references to picins; put picins at the end of the list in
	 the body of the answer
	(subsection{Footnotes}): mention the "table notes" feature of
	 threeparttable
	(subsection{Tables, figures and diagrams}): refer to feyn font package

2002-04-27  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* faqbody.tex (subsection{Common misunderstandings}): correction and
	 improvement to Q-marginparside from Norman Gray
	v2.5.8r, today

2002-04-19  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* dirctan.tex: removed three directories that no longer exist
	 (including dviware/dvipsk)

2002-04-16  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* additions.tex: pl3.9i, today

	* add-general.tex: 3 questions->faqbody

	* faqbody.tex: v2.5.8q, today
	(subsection{Tables of contents and indexes}): bibliography and index in
	 toc from add-general
	(subsection{Tables, figures and diagrams}): strutting tables, and long
	 tables from add-general

2002-04-08  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex (subsection{Something or other}): add mention of tracking
	 to the letterspacing question

	* filectan.tex: added tracking.sty

2002-03-11  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* additions.tex: pl3.9h, today

	* faqbody.tex: bunch more shifting around of questions
	v2.5.8p, today
	(section{Current TeX Projects}): textrace question, from add-general

	* faq.cls: add \ProvidesClass declaration, use obeyspaces option when
	 loading url.sty

2002-03-10  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* faqbody.tex (section{PS and TeX}): mention DVIWindo as capable of
	 direct rendering of type1 fonts
	(section{Hypertext and PDF}): hack at "making hypertext documents" and
	 "making acrobat documents", and correct references to [tp]xfonts (the
	 package name is plural]
	v2.5.8o, today

2002-03-08  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex (subsection{Common errors}): new, under why does it do
	 that?; plus a whole bunch of new subsections, with corresponding re-
	 arrangements of text of questions

	* texfaq2html-beta: treat \subsection the same as \section, pro tem

	* sanitize.pl (sanitize_line): ignore \subsection and its arguments

2002-03-07  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* add-general.tex: move all the questions into subsections

	* faq.sty: today's date: deemed to be v1.1 (surely as good as any?)
	define \subsection as a sort of mini-section (also \l@subsection)

2002-03-06  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex (section{How do I do X in TeX or LaTeX}): mention that
	 \extracolsep can be cancelled
	v2.5.8m, today

2002-03-04  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faq.sty: convert \def\file* + \typeout => \ProvidesPackage (v2.2)

	* add-general.tex (section{Proposed new questions}): minor rewording of
	 q on breaking boxes of text

2002-02-26  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex: v2.5.8l, today
	(section{Documentation and Help}): refer to ams short math guide

2002-02-21  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* additions.tex: pl3.9g, today

	* add-general.tex (section{Proposed new questions}): tidy up breakable
	 boxes question

	* faqbody.tex (section{Hypertext and PDF}): lates gs is 7.04
	v2.5.8k, today
	(section{Special sorts of typesetting}): eplain defines \path; provide
	 recipe for using url.sty in plain

2002-02-20  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex (section{The Background}): stupid error in Q-latex2e

	* texfaq2html: the -beta version seems to work, so let's go live with
	 it...

	* faqbody.tex (section{You're still stuck?}): tidy noans and newans, in
	 particular making use of \href for the mailto url
	[preamble]: v2.5.8j, today

	* texfaq2html-beta: first stab at labellisation

2002-02-19  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex: v2.5.8i, today
	(section{The Background}): add link to Q-lit under description of tex
	(section{Literate programming}): add reference to
	 literateprogramming.com in Q-lit

2002-02-13  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* filectan.tex: add framed and shade

	* add-general.tex (section{Proposed new questions}): start of breakable
	 boxes question

2002-02-07  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* dirctan.tex: added was (walter schmidt's bits and pieces)

	* add-general.tex (section{Proposed new questions}): question about
	 commas as decimal separators

2002-02-01  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex (section{Documentation and Help}): correct a \URL|...|

2002-01-30  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* add-general.tex (section{Proposed new questions}): first stab at
	 answer on under- and overfull boxes, made by strapping a few
	 other people's postings onto a bit of intro stuff of mine

	* additions.tex: pl3.9f, today

	* add-general.tex (section{Proposed new questions}): added pktrace to
	 textrace question

2002-01-29  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex (section{PS and TeX}): typo spotted by jose carlos santos
	(section{Why does it do that?}): typo spotted by j.c.s (again)

2002-01-17  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* additions.tex: pl3.9e, today

	* add-general.tex (section{Proposed new questions}): minor tweaking of
	 the bib->html question

Tue Jan 15 08:02:18 2002  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* faqbody.tex (section{Documentation and Help}): added web pointers to
	 some known latex documentation, rewrote mention of tex by topic
	v2.5.8h, today

Sun Jan 13 22:17:28 2002  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* additions.tex: pl3.9d, today

	* filectan.tex: add noTeX, bbl2html

	* add-general.tex (section{Proposed new questions}): add question on
 	 bib->html, starting with noTeX, bbl2html

2002-01-10  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex (section{Documentation and Help}): change information
	 about texhax, and provide url for finding info about tex lists via
	 heidelberg
	v2.5.8g, today

2002-01-09  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex (section{Symbols, etc.}): mention the m$ euro code

	* faq.sty: change \Question \@startsection parameters to allow less
	 space between questions, and to use \normalsize bold text

2002-01-08  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* additions.tex: pl3.9c, today

	* add-general.tex (section{Proposed new questions}): answer on
	 translating latex to plain, directly copied from Jules Bean on c.t.t 

	* dirctan.tex: removed all the obsolete/dviware things, the format-
	 dumper fantasies, systems/knuth/dviware and dvitodvi

	* filectan.tex: correct axodraw

	* newfaq.tex,newfaq-patch.tex,letterfaq.tex: \typeout at end report
	 \thequestion, not \thesubsection 

	* faq.sty: redo \question as a \@startsection in its own right with its
	 own counter), and remove all the kerfuffle needed to make it work
	 mapping to \subsection; also remove \subquestion and the like

2002-01-07  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex: v2.5.8f, today
	(section{Introduction}): tidy reference to alternative html, remove
	 dick nickalls from the list of non-members of the committee
	(section{The Background}): rewrite texinfo entry to mention texi2html
	(section{The Background}): various other entries: provide pointers to
	 distributions in ctanrefs envs at end of questions

2002-01-03  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* sanitize.pl (sanitize_line): remove requirement for \nobreakspace to
	 have trailing {} (dunno why this makes it work, mind you...)

	* faqbody.tex (section{Bibliographies and citations}): change ~ in
	 \href anchor to \nobreakspace
	(section{Symbols, etc.}): change ~ at end of \href to \nobreakspace

2002-01-02  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* add-general.tex (section{Proposed new questions}): all double-line
	 \Destination commands forced onto single line
	(section{Proposed new questions}): tidy up question on long tables

	* sanitize.pl (sanitize_line): escape "*" in \cmdinvoke* :-}

Tue Jan  1 09:12:47 2002  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* additions.tex: pl3.9b, today

	* add-general.tex (section{Proposed new questions}): finish off
	 longtable question

Sat Dec 29 22:52:52 2001  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* faqbody.tex: v2.5.8e, today
	(section{Documentation and Help}): various corrections to books, on
	 advice from Barbara Beeton (including removing Gr"atzer's math into
	 tex, which is superseded by math into latex)

Wed Dec 26 00:28:32 2001  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* sanitize.pl (sanitize_line): add * version of 2-mandatory-arg
	 \cmdinvoke

	* faq.sty: make \cmdinvoke take * (for meta-arguments)

	* filectan.tex: add ltxtable

	* dirctan.tex: add xtab

	* add-general.tex (section{Proposed new questions}): start new question
	 on long tables

Tue Dec 25 09:15:35 2001  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* faqbody.tex: 2.5.8d, today

Mon Dec 24 17:37:18 2001  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* faqbody.tex: v2.5.8c, today
	(section{Documentation and Help}): add tex by topic to "tutorials";
	 remove it from "books"
	(section{The Background}): switch reference to tex by topic
	(section{Documentation and Help}): restore tex by topic to "books", at
	 victor's suggestion, and cross-link to tutorials

2001-12-19  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex: v2.5.8b, today

	* dirctan.tex: add nedit-latex

	* faqbody.tex (section{Current TeX Projects}): explain that the java
	 version is called nts
	(section{TeX Systems}): added reference to the nedit stuff in editors
	 and shells

2001-12-18  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* add-general.tex (section{Proposed new questions}): Added question on
	 submitting latex bug reports; minor tidies to question on array
	 spacing
	(section{Proposed new questions}): new version of q-bug

Sun Dec 16 10:17:08 2001  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* additions.tex: today

	* dirctan.tex: add booktabs

	* filectan.tex: add tabls

	* add-general.tex (section{Proposed new questions}): new question on
	 array strutting

	* sanitize.pl (sanitize_line): added \'o (for peter szabo)

Sat Dec 15 10:56:39 2001  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* additions.tex: pl3.9a, today

	* add-general.tex (section{Proposed new questions}): question on
	 textrace, with references to existing outputs

	* dirctan.tex: added cm-super and ec-type1

	* filectan.tex: added musixtex-type1

	* Makefile.CTAN (all): remove newfaq.workers

	* faqbody.tex: v2.5.8a, today
	(section{Symbols, etc.}): removed second mention of europs<->eurosans
	 difference in recommendation at end of adobe subsection

2001-12-11  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex (section{Symbols, etc.}): added mention of latin9 and its
	 implications

2001-12-10  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* additions.tex: pl3.9

	* faqbody.tex (section{Symbols, etc.}): added euro question from
	 add-general
	(section{How do I do X in TeX or LaTeX}): added bold-xy and ragged
	 questions from add-general
	v2.5.8

	* add-general.tex (section{Proposed new questions}): yet more fiddling
	 with euro question
	slight typo corrected in "cancelling ragged" question; comment out text
	 referring to donald's flushboth (which hasn't surfaced yet)

	* faqbody.tex (section{Current TeX Projects}): minor tidy of omega q

Mon Dec 10 07:30:22 2001  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* faqbody.tex: v2.5.7i, today

	* add-general.tex (section{Proposed new questions}): revision and
	 slight extension of euro question

Sun Dec  9 23:19:29 2001  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* faqbody.tex (section{Current TeX Projects}): slight further reduction
 	of random twaddle in text of nts q

2001-12-07  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* dirctan.tex: add nts

	* faqbody.tex (section{Current TeX Projects}): deflower phil's text
	 about nts a bit, and add reference to public release of nts/java

	* additions.tex: pl3.8b, today

	* add-general.tex (section{Proposed new questions}): bunch of new stuff
	 on how to typeset euros (from yesterday and today)

	* dirctan.tex: add china2e, eurosym, eurofont

2001-12-06  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* add-general.tex (section{Proposed new questions}): good start on euro
	 question

	* dirctan.tex: add euro-fonts, marvosym-fonts

2001-12-05  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex (section{Documentation and Help}): added scott pakin's
	 keywords to symbol list question
	v2.5.7h, today
	(section{The Background}): correct \href for context

2001-12-04  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex (section{How do I do X in TeX or LaTeX}): correct syntax
	 for latest version of pdfpages package
	v2.5.4g, today
	(section{Introduction}): add Andreas Matthias to list of benefactors

2001-11-28  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex: 2.5.7f, today
	(section{PS and TeX}): tidy up question about metrics, add reference to
	 ly1 and to walter's site of extra goodies and, and, and...

2001-11-27  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex (section{Special sorts of typesetting}): spell martin
	 schröder's name right

2001-11-26  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex: v2.5.7e, today

	* additions.tex: pl4.8a, today

	* add-general.tex (section{Proposed new questions}): add question on
	 flushboth (after discussion with da)

	* faqbody.tex (throughout): saturday's -{}- -> -\relax-

Sat Nov 24 09:47:06 2001  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* faqbody.tex (throughout): -- (in "verbatim" bits convert) to -{}-,
	 and where necessary convert |..--..| -> \texttt{..-{}-..}
	v2.5.7d, today
	(section{Introduction}): add thomas esser

2001-11-23  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex (section{Documentation and Help}): amend words about
	 metafun manual, and redirect web address to ntg site
	v2.5.7c, today

2001-11-22  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex (section{The Background}): \nothtml-tidy typo correction

2001-11-20  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex: v2.5.7b, today
	(sections {The Background}, {Acquiring the Software}): micro-editorials
	 from Jose Carlos Oliveira Santos
	(section{The Background}): added a ref to the ntg copy of context web
	 site (pending the arrival of a "real" one...)

2001-11-15  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex (section{How do I do X in TeX or LaTeX}): "tiny typo"
	 (\pagnumbering) in "eliminating page numbers"
	v2,5,7a, today
	(section{TeX Systems}): first stab (pre-ctan availability) of reference
	 to macos x tetex and texshop; added reference under "unix" to "mac"
	(section{Current TeX Projects}): correct signup address for omega list
	(section{TeX Systems}): corrected spelling of wierda
	(section{Documentation and Help}): tug.org copy of bausum's list

2001-11-13  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* additions.tex: pl3.8, today

	* add-general.tex (section{Proposed new questions}): add a question on
	 bold tt and csc

	* filectan.tex: add bold-extra

	* faqbody.tex (throughout}): \CTAN{}->\acro{CTAN}

2001-11-07  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex (section{TeX Systems}): change references to miktex
	v2.5.7, today

	* dirctan.tex: remove miktex directory

	* filectan.tex: replace miktex-zip with miktex-install and miktex-setup

2001-11-05  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* additions.tex: pl3.7l, today

	* faqbody.tex (section{How do I do X in TeX or LaTeX}): mention
	 ntheorem in "roman theorems", use \upshape instead of \rm in original
	 example
	2.5.6k, today

	* add-general.tex (section{Proposed new questions}): tocbibind question

Sat Nov  3 15:29:07 2001  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* faqbody.tex (section{Special sorts of typesetting}): moved code
	 listings from "how do i do x"
	(section{How do I do X in TeX or LaTeX}): removed text about 209 in
	 "log-like function"
	(section{Things are Going Wrong}): remove rmnonsense question, and
	 reference to it in "missing symbol commands"; tidy up "missing symbol
	 commands", and add ctanrefs for amsfonts
	(section{Things are Going Wrong}): ctanrefs for msx/y question

Wed Oct 31 23:10:31 2001  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* faqbody.tex (section{PS and TeX}): finished belleek stuff

Tue Oct 30 23:35:48 2001  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* filectan.tex: add belleek (just the .zip file)

	* faqbody.tex (section{PS and TeX}): mention belleek (needs url for
	 paper)

2001-10-30  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* Makefile (inst-perl*): add sanitize_line

	* texfaq2file,texfaq2html,texfaq2html-beta: require sanitize.pl, remove
	 sanitize_line

	* sanitize.pl: new file, providing sanitize_line for texfaq2*

	* faqbody.tex (section{Current TeX Projects}): not :8080 for omega site

Tue Oct 30 00:14:29 2001  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* faqbody.tex (section{Current TeX Projects}): update omega question

Mon Oct 29 22:32:39 2001  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* faqbody.tex (section{PS and TeX}): use richard's words re. truetype
	(section{How do I do X in TeX or LaTeX}): detail the further brilliant
	 things titlesec can do in re. \subsubsubsection
	(section{Special sorts of typesetting}): remove misleading remark about
	 titlesec's capabilities re. \part
	v2.5.6l, today

2001-10-29  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex (section{Bibliographies and citations}): change title
	 from just "bibliographies"
	(section{PS and TeX}): change listing of {cm,ams}-amstype1 to "browse"
	(section{TeX Systems}): change to truetex entry as per mail from
	 richard

Sun Oct 28 09:19:36 2001  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* faqbody.tex (section{Why does it do that?}): correct html problem
	 spotted by donald a, and modify \xspace question according to his
	 caveats

	* texfaq2html,texfaq2html-beta,texfaq2file (sanitize_line): add
	 nullification of \relax at end

	* faqbody.tex (section{PS and TeX}): comlete tidying-up the outline
	 fonts question (no more now until i've viewed the result on paper)

Sat Oct 27 00:55:30 2001  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* faqbody.tex (section{PS and TeX}): corrections/extensions from Walter
	 Schmidt, started work on ctanrefs env at end of question
	(section{Introduction}): add Walter's name to list

	* dirctan.tex: add eulervm

	* faqbody.tex (section{Typesetting particular types of documents}):
	 moved typesetting a thesis here
	(section{Bibliographies}): rearranged to put things relating to
	 creating the bib together at the start of the section, with "using" it
	 (macros etc) afterwards; moved citing urls in here
	(section{The joy of TeX errors}): replacement "how to approach",
	 new "missing number" questions from add-general

	* additions.tex: pl3.7k, today

	* faqbody.tex (section{How do I do X in TeX or LaTeX}): rewrite
	 parenthetical remarks about gill, correct parentheses later on
	v2.5.6k, today

	* add-general.tex (section{Proposed new questions}): yet again correct
	wrapping of examples in "macros from command arguments" (will get it
	right eventually...)

Mon Oct 22 12:48:28 2001  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* add-general.tex (section{Proposed new questions}): work on active
	 character questions (can we do without a screed on catcodes
	 altogether?)

	* texfaq2file,texfaq2html,texfaq2html-beta (sanitize_line): add
	 \textbar

	* faq.sty: add definition of \textbar

Sat Oct 20 08:26:05 2001  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* faqbody.tex (section{Introduction}): correct josé carlos santos' name

2001-10-19  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex (section{How do I do X in TeX or LaTeX}): add a label to
 	"alignment of tabular cells" question
	v2.5.6j, today

2001-10-12  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* additions.tex: pl3.7.l1 {since redone}, today

	* add-general.tex (section{Proposed new questions}): redoing work done
	 at home decreasing the verbosity of the replacement error approach q,
	 and tidying it up

2001-10-11  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex (section{The joy of TeX errors}): slight rewording of
	 Q-atvert to take account of "improper \spacefactor" (which appeared in
	 a question on c.t.t)
	v2.5.6i, today

Sat Oct  6 09:17:26 2001  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* additions.tex: pl3.7k, today

	* add-general.tex (section{Proposed new questions}): tidied missing
	 number question, start on question on skips vs. dimens

2001-10-04  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* additions.tex: pl3.7j, today

	* add-general.tex (section{Proposed new questions}): new question on
	 "missing number"

Tue Oct  2 22:45:47 2001  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* additions.tex: pl3.7i, today

	* add-general.tex (section{Proposed new questions}): revision of
	 general approach errors question, taking account of trace package

2001-10-02  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex (section{Documentation and Help}): gratuitous tidying of
	 mail list text

2001-09-26  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex (section{How do I do X in TeX or LaTeX}): greek->Greek
	 (for epsilon in question about logos and things)

	* texfaq2file (oh_dear): don't print wrapper for message...
	(two other places): replace "die" with call to oh_dear

Mon Sep 24 22:41:48 2001  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* faqbody.tex: v2.5.6h, yesterday (forgot the change then)

	* additions.tex: pl3.7h, today

	* add-general.tex (section{Proposed new questions}): tiny typo
	 correction in \clearemptydoublepage answer

2001-09-24  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* dirctan.tex: added memoir

	* add-general.tex (section{Proposed new questions}): question on
	 empty pages between chapters

Sun Sep 23 15:37:53 2001  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* add-general.tex (section{Proposed new questions}): new question on
	 what to do when asked to type \end

	* faqbody.tex (section{How do I do X in TeX or LaTeX}): "referring to
	 things by name" from add-general
	(section{Bibliographies}): "listing all bib entries" from add-general

	* add-general.tex (section{Proposed new questions}): wrap dvi version
	 of some of examples in "defining macro from arg" question (and adjust
	 the title of the question

	* faqbody.tex (section{Special sorts of typesetting}): a couple of
	 issues raised in proofreading (principally in description of xindy)

Mon Sep 10 14:52:09 2001  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex (section{Introduction}): muck about with the "alternative
	 versions text, and add reference to the pdf copies on ctan

	* filectan.tex: added uktug-faq-{a4,letter}

Sun Sep  9 00:43:37 2001  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* filectan.tex: add titleref

	* add-general.tex (section{Proposed new questions}): question on title
	 references (first stab)

	* additions.tex: pl3.7g, today

	* add-general.tex (section{Proposed new questions}): new question on
	 \nocite{*}

	* dirctan.tex: add fonts/amsfonts/{latex/plaintex}

	* faqbody.tex (section{How do I do X in TeX or LaTeX}): rehash of
	 blackboard bold question

Sat Sep  8 22:02:04 2001  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* dirctan.tex: added ntheorem

	* faqbody.tex (section{Why does it do that?}): twiddling with the over-
	 full boxes question
	(section{How do I do X in TeX or LaTeX}): answer the "end proof
	 environment with symbol" question in the affirmative, ref. ntheorem
	v2.5.6g, today
	
Fri Sep  7 17:01:12 2001  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* additions.tex: pl3.7f, today

	* faqbody.tex (section{Why does it do that?}): question on overfull
	 lines from add-general
	v2.5.6f, today

Thu Sep  6 09:54:29 2001  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* texfaq2html,texfaq2html-beta: minor tidies to make uniform with
	 texfaq2file

Wed Sep  5 17:55:48 2001  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex (section{The Background}): tidying wysiwyg question
	 (again)

Tue Sep  4 23:03:11 2001  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* add-general.tex (section{Proposed new questions}): a little tidying
	 of the new question

Tue Sep  4 17:32:47 2001  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* additions.tex: pl3.7e, today

	* add-general.tex (section{Proposed new questions}): bit of tidying of
	 one-float-per-page question, new question on defining commands whose
	 name arrives in an argument

Tue Aug 28 13:01:30 2001  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex (section{Current TeX Projects}): correct typo
	(section{The Background}): reading tex files, and why not wysiwyg from
	 add-general
	(section{The joy of TeX errors}): \end in group from add-general
	(section{Special sorts of typesetting}): dropped capitals from
	 add-general

Tue Aug 28 11:37:17 2001  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* Makefile (clean): delete _all_ *.out

Mon Aug 27 10:53:49 2001  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* faqbody.tex (section{Current TeX Projects}): normalise ctan etex and
	 pdftex references (and thus reword a little)

	* dirctan.tex: make e-tex and pdftex *-directories

	* add-general.tex (section{Proposed new questions}): new drop caps q
	 (should we mention dropcaps, if only to deprecate it?)
	(section{Proposed new questions}): couple of \end{verbatim} missing
	 from end groups question(!)

	* dirctan.tex: add dropping, lettrine

Sun Aug 26 10:24:31 2001  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* faqbody.tex: v2.5.6d, today

	* additions.tex: pl3.7d, today

	* add-general.tex (section{Proposed new questions}): minor proofreading
	 edits

	* faqbody.tex (section{Macro programming}): minor proofreading edits

Sat Aug 25 19:59:17 2001  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* faqbody.tex (section{Macro programming}): added proposed question on
	 macro programming

	* add-general.tex (section{Proposed new questions}): tidying "\end
	 inside a group"

Thu Aug 23 15:06:09 2001  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* add-general.tex (section{Proposed new questions}): first outline of
	 "\end inside a group..." question

Wed Aug 22 12:28:17 2001  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* add-general.tex (section{Proposed new questions}): minor proof-
	 reading changes

	* faq.sty: make \WYSIWYG uppercase the first letter of the start of a
	 sentence ... mostly

Sat Aug 18 09:29:00 2001  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* texfaq2html,texfaq2html-beta (sanitize_line): as texfaq2file

	* texfaq2file (sanitize_line): redo definition of \CONTeXT

	* faq.sty: redo definition of \CONTeXT

	* faqbody.tex (section{Why does it do that?}): standardise reference to
	 textcase package
	(throughout): standardise on use of \CONTeXT macro

	* add-general.tex (section{Proposed new questions}): putative
	 completion of the wysiwig question (lordie, is it turgid)

	* faqbody.tex (section{Current TeX Projects}): typo in the "web" bullet
	 about svg

	* Makefile: have `clean' target get rid of html/* as well as _all_
	 *.aux (no need to protect newfaq.aux nowadays), and remove a redundant
	 second (empty) `ctan' target

	* texfaq2html,texfaq2html-beta (sanitize_line): as texfaq2file

	* texfaq2file (sanitize_line): take {} requirements off definition of
	 \textasciitilde, so it can be used in \texttt

	* add-general.tex (section{Proposed new questions}): correction/
	 improvement of spaces and active chars in arguments questions

Fri Aug 17 00:53:10 2001  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* additions.tex: pl3.7c, today

	* faqbody.tex (section{Special sorts of typesetting}): remove (now
	 unwanted) braces after \textpercent

	* texfaq2html,texfaq2html-beta (sanitize_line): as texfaq2file

	* texfaq2file (sanitize_line): don't have \textpercent requiring braces
	 after it (since it'll inevitably appear in the argument of \texttt)

	* add-general.tex (section{Proposed new questions}): another new
	 question on unwanted space in macros

Thu Aug 16 00:36:09 2001  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* add-general.tex (section{Proposed new questions}): new question on
	 active chars in args of other commands

	* faqbody.tex (section{The joy of TeX errors}): correct example in
	 "structure of errors"
	(section{Why does it do that?}): minor improvement of english in "rerun
	 messages"
	(section{Why does it do that?}): move "hash signs doubled in macros" to
	 macro programming, and change title to "defining macros within macros"

	* add-general.tex (section{Proposed new questions}): a few more words
	 on wysiwygginess...

Tue Aug 14 16:16:29 2001  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	installed on ctan; checked-in

	* dirctan.tex,filectan.tex: texsis no longer nonfree

	* faqbody.tex (section{Format conversions}): revised address for
	 wilfried hennings' faq
	v2.5.6c, today

Mon Aug 13 01:01:12 2001  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* add-general.tex (section{Proposed new questions}): more twiddles on
	 "what to do with a latex file"
	(section{Proposed new questions}): new question on wysiwyg-ness

	* texfaq2file: sorted archive and format defaults (were left blank)

Sun Aug 12 01:01:49 2001  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* add-general.tex (section{Proposed new questions}): "what to do with a
	 (la)tex file" (first version)

	* additions.tex: pl3.7b, today

	* faqbody.tex (section{Documentation and Help}): stray char in
	 booklist; move reference to errata for math into latex back up where
	 it belongs near the reference to the book

	* add-general.tex (section{Proposed new questions}): change preamble of
	 each proposed question to use \Destination
	(section{Proposed new questions}): add reference to paragraph parameter
	 problem in \tolerance question

	* faq.sty: add \Destination

	* texfaq2file (sanitize_line): add \Destination

	* texfaq2html,texfaq2html-beta (sanitize_line): as texfaq2file

	* texfaq2file (sanitize_line): redo definition of \keywords to produce
	 html comments (works! ... if not subsequently translated to html ;-),
	 and place it at the end of if (converting ...) section

	* faqbody.tex (section{Bits and pieces of TeX}): verbatim \'e (again)
	(section{The joy of TeX errors}): and again
	v2.5.6b, today

Fri Aug 10 14:21:38 2001  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex (section{Hypertext and PDF}): silliness of html trans
	v2.5.6a, today -- checkin

Thu Aug  9 12:42:56 2001  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faq.sty: set \@rightskip, not \rightskip, in def of ctanrefs env

	* additions.tex: pl3.7a, today

	* add-general.tex (section{Proposed new questions}): start of question
	 about tolerance (yeah, man)

	* faqbody.tex (section{Things are Going Wrong...}): missing paren added
	 in Q-nohyph

Tue Aug  7 14:41:37 2001  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex (section{Special sorts of typesetting}): correct
	 list info for music list

Mon Aug  6 16:50:12 2001  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* [various]: checkin

Mon Aug  6 13:18:02 2001  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* additions.tex: pl3.7, today

	* Makefile.CTAN (DEST): new location (oops!)

	* faqbody.tex: 2.5.6, today

Sun Aug  5 00:31:07 2001  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* faqbody.tex (section{Acquiring the Software}): correct urls for html
	 upload scripts
	(section{Hypertext and PDF}): pkfix question from add-general
	(section{Macro programming}): comparing the job name question (ditto)
	(section{Why does it do that?}): commands gobbling space (ditto)
	(section{How do I do X in TeX or LaTeX}): repeating footnotes (ditto)
	(section{Macro programming}): argument a number (ditto)
	(section{How do I do X in TeX or LaTeX}): altering tabular cell
	 alignment (ditto)

	* add-general.tex (section{Proposed new questions}): finally struggled
	 through section on catcodes of question on catcodes and tokens

	* texfaq2file,texfaq2html,texfaq2html-beta (sanitize_line): added
	 \environment translation(!)

	* add-general.tex (section{Proposed new questions}): |\\|->|\||\|
	 throughout

	* texfaq2file: add ability to read files whose names appear on $ARGV;
	 correct test for new faq sections at the start of while <TEXFAQ> (NB
	 still a problem with \begin{center}\itshape in add-* files)

Sat Aug  4 09:21:21 2001  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* texfaq2file (sanitize_line): update to latest version from ...2html

Fri Aug  3 20:03:18 2001  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* add-general.tex (section{Proposed new questions}): correct typos in
	 tabular cell alignment question

Fri Aug  3 14:58:31 2001  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex (section{Documentation and Help}): added cross-references
 	 for symbols, as suggested by scott pakin
	v2.5.5f, today

	* additions.tex: today's date

	* add-general.tex (section{Proposed new questions}): completed question
	 (started last night at home) on \centering et al in tabular

Thu Aug  2 22:11:35 2001  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* additions.tex: pl3.6f, today

	* add-general.tex (section{Proposed new questions}): new question on
	 detecting numbers

Thu Aug  2 09:44:18 2001  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex (section{Documentation and Help}): ctan-ann at dante.de
	v2.5.5e, today

Wed Jul 25 11:27:01 2001  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex (section{Format conversions}): typo in eitan's name

	* add-general.tex (section{Proposed new questions}): new question about
	 \xspace

Wed Jul 25 00:07:47 2001  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* faqbody.tex (section{Acquiring the Software}): add a word about
	 mirroring

	* faq.sty: define pdfversion and dviversion on the basis of \ifpdf

	* additions.tex: pl3.6e, today

	* faqbody.tex (section{Introduction}): added heiko's name to list of
	 helpers

	* add-general.tex (section{Proposed new questions}): new question about
	 comparing \jobname to something

Tue Jul 24 22:25:54 2001  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* faqbody.tex (section{Acquiring the Software}): rewritten the upload
	 question to reflect what goes on in the real world now

	* texfaq2html[-beta] (sanitize_line): add \PS{}

	* faq.sty: add \PS command

	* faqbody.tex: v2.5.5d, today
	(throughout): postscript->\PS{}, ghostscript all l-c; various other
	 minor changes

	* add-general.tex (section{Proposed new questions}): postscript->\PS{}
	 throughout

Mon Jul 23 12:13:51 2001  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* add-general.tex (section{Proposed new questions}): reword the pkfix
	 question 

	* faqbody.tex (section{Support Packages for TeX}): add reference to
	 spell checkers in winedt and 4alltex (last available separately,
	 4spell)
	(section{TeX Systems}): junk win3.1 section of editors and shells
	v2.5.5c, today

Fri Jul 20 00:22:56 2001  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* additions.tex: pl3.6c, today

	* add-general.tex (section{Proposed new questions}): new question on
	 pkfix

Thu Jul 19 17:31:25 2001  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* faqbody.tex (section{Macro programming}): minor typo in list
	 numbering question

Thu Jul 19 13:55:55 2001  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex: v2.5.5b, today
	(section{The Background}): inappropriate line wrap corrected, given up
	 on \nobreakspace, pro tem

	* texfaq2html-beta (sanitize_line): add \nobreakspace [doesn't work...]

	* add-general.tex (section{Proposed new questions}): yet more fiddling
	 with the fixed footnotes question

Tue Jul 17 13:41:03 2001  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex (section{The Background}): witter about knuth's eminence

	* texfaq2html (sanitize_line): add \nobreakspace...

	* faqbody.tex (section{Documentation and Help}): \url->\URL in books
	 question 
	(section{The Background}): Donald E.\nobreakspace{}Knuth ;-)

	* additions.tex: today's date

	* add-general.tex (section{Proposed new questions}): tidy of fixed ftnt
	 question

Mon Jul 16 17:54:15 2001  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* additions.tex: v3.6a, today

	* add-general.tex (section{Proposed new questions}): finished question
	 on fixed-text footnotes (1st draft, anyway)

Sun Jul 15 22:14:41 2001  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* add-general.tex (section{Proposed new questions}): start of a
	 question on repeating footnotes

	* dirctan.tex: added fixfoot

	* faqbody.tex (section{TeX Systems}): join up the two download lines
	 (and alternative urls) for miktex
	(section{Hypertext and PDF}): adjust the blurb in the first question,
	 for consistency, and wind down the implication that the hypertex
	 project is an ongoing thing
	(section{PostScript and TeX}): rehash the basic "using ps fonts" q, add
	 mention in the previewing question that recent xdvis cope with type1
	 fonts
	v2.5.5a, today

Sat Jul 14 10:10:11 2001  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* faqbody.tex: v2.5.5, today
	(section{Installing \AllTeX{} files}): new section, holding two
	 installation questions from "acquiring the software" and the "temp
	 installation question from add-general

	* additions.tex: pl3.6, today

	* add-general.tex (section{Proposed new questions}): move "format of
	 labels","multiple citations","widows and orphans","retrieving tex...",
	 "bits of docs" (changed title and label name),"extending tex paths"
	 (again, changed title to "temporary installation") -> faqbody

Thu Jul 12 16:19:25 2001  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex (section{MF and MP}): add further caveats to this
	 question (derived from a post by dan luecking)

	* add-general.tex (section{Proposed new questions}): final tweaking of
	 revised margins question -- back to faqbody, replacing old version

	* faqbody.tex (section{Special sorts of typesetting}): reference
	 harvard as a possible source of urls-in-biblios
	v2.5.4q, today

Tue Jul 10 10:34:16 2001  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* additions.tex: today's date

	* add-general.tex (section{Proposed new questions}): more fiddling with
	 the margins faq

Mon Jul  9 16:46:44 2001  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* additions.tex: pl3.5o, today

	* add-general.tex (section{Proposed new questions}): proposed new
	 version of the change margins faq

Thu Jul  5 16:17:44 2001  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex (section{The Background}): insert Q-TUG* in place of
	 Q-TUG and the two following
	(section{You're still stuck?}): change reference to be to Q-TUG* (and
	 elsewhere, plus change on reference to Q-othergroups to a reference to
	 ntg's website)

	* add-general.tex (section{Proposed new questions}): remove Q-TUG*

	* faqbody.tex: v2.5.4p, today
	(section{How do I do X in TeX or LaTeX}): text from Norman Gray added
	(section{Introduction}): add Norman Gray to the list of helpers

Tue Jun 19 10:38:45 2001  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* dirctan.tex: add xpdf

	* additions.tex: pl5.5m, today

	* add-general.tex (section{Proposed new questions}): reference
	 pdftotext from xpdf in the "final->revisable" question

Fri Jun 15 10:21:57 2001  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* texfaq2html-beta,texfaq2html (sanitize_line): deal with tildes in
	 urls in \href commands too

	* faqbody.tex (section{Documentation and Help}): add reference to hans'
	 metafun manual
	v2.5.4o, today
	(section{Introduction}): thanks to sanjoy mahajan

Thu Jun 14 10:37:46 2001  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* texfaq2html[-beta] (sanitize_line): correct \textcbracesymbol in both

Tue Jun 12 13:10:08 2001  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* texfaq2html: as -beta

	* texfaq2html-beta: translate keyword spaces to + (and vice versa) when
	 initialising $original_keyword and $keyword

Mon May 28 10:30:47 2001  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* additions.tex: today's date

	* add-general.tex (section{Proposed new questions}): added question on
	 \p@... commands

Sun May 27 23:58:37 2001  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* additions.tex: pl3.5l, today

	* add-general.tex (section{Proposed new questions}): quick question on
	 mcite

Thu May 24 10:21:33 2001  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faq.sty: add \environment command

	* add-general.tex (section{Proposed new questions}): one use of
	 \environment

	* faqbody.tex (section{Bibliographies}): moved "bibtex with plain tex"
	 from "how to do"
	today's date (same version no)
	(throughout): use \environment

	* additions.tex: pl3.5k, today

	* add-general.tex (section{Proposed new questions}): add ps2ascii to
	the list of tools for retrieving source from final form output

Wed May 23 09:32:48 2001  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex (section{Why does it do that?}): more alternatives for
	 avoiding the use of \verb, in Q-verbwithin
	2.5.4n, today

Tue May 22 09:43:20 2001  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* texfaq2html,texfaq2file (sanitize_line): add \Class translations from
	 texfaq2html-beta

Mon May 21 18:04:02 2001  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex (section{Documentation and Help}): \endhtmlignore in
	 tutorial question!!!
	(section{How do I do X in TeX or LaTeX}): \thispagestyle is what
	 chapters and things use ... change Q-nopageno

Fri May 18 12:45:03 2001  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex (section{The Background}): emphasised the scottishness of
	 "loch" in the silly thing about pronunciation

Wed May 16 15:08:37 2001  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* add-general.tex (section{Proposed new questions}): couple of typos in
	 balancing question

	* faqbody.tex (section{Documentation and Help}): add reference to david
 	 basum's list of tex primitives to "online tutorials", pointing out
	 that it's reference rather than tutorial...
	(section{Macro programming}): refer to patchcmd as a package...
	(section{Current TeX Projects}): correct reference to latex
	 experimental code, minor tidies of omega, nts entries 

Mon May 14 15:15:23 2001  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex: v2.5.4l, today
	(throughout): bunch of "unguarded" \dots had {} appended...

Wed May  2 00:07:49 2001  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* faqbody.tex (section{Hypertext and PDF}, {how do i do}, {macro
	 programming}, {special sorts of typesetting}, etc): accession of
	 questions from add-general.tex

	* additions.tex: pl3.5j, today

	* add-general.tex (section{Proposed new questions}): numerous minor
	 editorial hackettes...

Tue May  1 23:50:40 2001  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* faqbody.tex: v2.5.4k, today
	(section{Format conversions}): correct url for w3.org
	(section{Why does it do that?}): no need for \verb if \texttt will do
	 (unamended...)

Tue May  1 10:04:13 2001  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex (section{Why does it do that?}): couple of tidies in
	 \verb question so's texfaq2html can cope (both applied to current web
	 copy too)

Mon Apr 30 16:36:54 2001  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex (section{Macro programming}): restore missing
	 \endhtmlignore in "optional arguments like \section"

Fri Apr 27 12:02:02 2001  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex (section{Bibliographies}): added reference to multibbl

	* dirctan.tex: added dpfloat

	* faqbody.tex (section{Typesetting particular types of documents}): add
	 reference to pdfpages to "report from lots of..."

	* additions.tex: pl3.5i, today

	* faqbody.tex (section{Why does it do that?}): add reference to \string
	 inside \texttt as a means of avoiding \verb in command args
	v2.5.4j, today

	* add-general.tex (section{Proposed new questions}): new question on
	 widows and orphans

	* dirctan.tex: added curve (oh joy!)

	* faqbody.tex (section{Typesetting particular types of documents}):
	 added curve to the cv question

Thu Apr 26 10:01:23 2001  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex (section{Documentation and Help}): \href-ise question on
	 sources of faqs, and add reference to the latex navigator
	(section{The joy of \TeX{} errors}): removed {center}ed note of where
	 question was to go to, in Q-atvert... (emergency patch to copy on web
	 site, too!)

Wed Apr 25 14:40:22 2001  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex (section{Acquiring the Software}): added a bit of
	 uncertainty about the name of the localtexmf tree ;-)
	(section{Special sorts of typesetting}): added multiple indexing
	 and zero paragraph indent questions from add-general
	(section{How do I do X in TeX or LaTeX}): added footnotes in
	 captions question from add-general

Tue Apr 24 12:00:01 2001  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* add-general.tex (section{Proposed new questions}): added urls to tug
	 article
	(section{Proposed new questions}): adjust the balance columns question
	 to mention patricks balance.sty and to rename mine baltools.sty

Sun Apr 22 00:07:16 2001  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* add-general.tex (section{Proposed new questions}): TUG article now
	 only awaiting urls

	* faqbody.tex (throughout): bunch of rewriting \URL commands as \href
	 commands (incomplete)

	* Makefile (html): new target to run texfaq2file

Sat Apr 21 18:19:23 2001  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* add-general.tex (section{Proposed new questions}): question on t1
	 type 1 fonts, and one (as yet incomplete) to replace all three on TUG/
	 other user groups

	* additions.tex: v3.5h, today

	* faqbody.tex (section{Hypertext and PDF}): new section starting with
	 three questions from the "format conversion" section
	v2.5.4i, today

Fri Apr 20 14:38:55 2001  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* additions.tex: pl3.5g, today

	* add-general.tex (section{Proposed new questions}): questions on
	 tabularx and so on, and on non-terminating "rerun" diagnostics

Wed Apr 18 10:38:30 2001  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* add-general.tex (section{Proposed new questions}): added a changebars
	 question

	* filectan.tex: add vertbars.sty and backgrnd.tex

	* dirctan.tex: moved our location to uk-tex-faq

	* additions.tex: pl3.5f, today

	* add-general.tex (section{Proposed new questions}): mention \[sub]
	 includefrom commands in the blurb about import.sty

	* faqbody.tex: 2.5.4h, today
	(section{Acquiring the Software}): moved findpkg, siteindex and
	 websearch questions to "acquiring the software", and edit blooper out
	 of findpkg

Mon Apr 16 00:16:21 2001  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* add-general.tex (section{Proposed new questions}): start on question
	 about retrieving tex-ish source from final form files

	* faqbody.tex (section{How do I do X in TeX or LaTeX}): added list
	 spacing question from add-general (should this really go to
	 typesetting?)
	(section{Macro programming}): opt arg and counter-label questions from
	 add-general
	(throughout): minor editorial change
	(section{Acquiring the Software}): make reference to web access in the
	 question about archives, and remove reference to the DECUS collection
	(section{Acquiring the Software}): tone down the question about finding
	 fonts (how does one do this nowadays?)
	(section{Format conversions}): refer to w3c page on ->html conversion

Sun Apr 15 00:12:06 2001  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* add-general.tex (section{Proposed new questions}): removed the
	 "finding a document's files" proto-question, now taken over by
	 "extending search paths"

	* faqbody.tex (section{You're still stuck?}): add "you don't understand
	 the answer", and "submitting new answers" questions from add-general
	 (section renamed from "perhaps there isn't an answer")
	v2.5.4g, today

	* markup-syntax: grand updating (for the submission faq)

	* add-general.tex (section{Proposed new questions}): more new uns: opt
	 args that behave like \section's, \refstepcounter and submitting
	 material to the faq

	* additions.tex: pl3.5e, today

	* add-general.tex (section{Proposed new questions}): two new questions,
	 on extending path searches (needs careful review) and on loading files
	 from other directories (the import package)

Sat Apr 14 18:52:30 2001  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* filectan.tex: add import.sty (up-to-date or what?)

Fri Apr 13 16:50:41 2001  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* dirctan.tex: added pkfix, preprint

Thu Apr 12 11:28:24 2001  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex (section{Special sorts of typesetting}): reference to
	 anonchap (and incidentally tocbibind) in "style of section headings"

	* filectan.tex: added anonchap

Tue Apr 10 00:00:30 2001  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* faqbody.tex (section{\MF{} and \MP{}}): renamed section, added
	 question on \MP{} prologues from add-general
	(section{Special sorts of typesetting}): added questions on style of
	 captions and of document titles, from add-general, and style of
	 section headings and indent after section headings from herein, "how
	 do I do?"

	* texfaq2file: removed redundant $href_script, remove echoing of
	 archive list

	* faqbody.tex: 2.5.4f, today

	* additions.tex: pl3.5d, today

	* faqbody.tex (section{Macro programming}): new section with vaguely
	 programming-related things (6 from "how to do X", one from "things are
	 going wrong" and one from "why does it", plus a new one from
	 add-general.tex

Mon Apr  9 23:59:40 2001  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* faqbody.tex (section{Typesetting particular types of documents}):
	 changed section name

Mon Apr  9 12:08:07 2001  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex (section{Things are Going Wrong...}): <some damned thing>
	(section{How do I do X in TeX or LaTeX}): incorporated donald a's
	 comments on the hyphenation and raggedness questions

Sun Apr  8 00:32:22 2001  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* texfaq2file: quick'n'dirty html file generator

Sat Apr  7 16:35:58 2001  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* texfaq2html-beta (sanitize_line): define \Class

	* faq.sty: add definition of \Class

	* additions.tex: pl3.5c, today

	* add-general.tex (section{Proposed new questions}): question on zero
	 parindent/non-zero parskip

	* filectan.tex: add parskip

Thu Apr  5 10:25:00 2001  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* add-general.tex (section{Proposed new questions}): new question on
	 determining which side of the page we're on

	* faqbody.tex (section{How do I do X in TeX or LaTeX}): hyphenation and
	 ragged right questions from add-general
	v2.5.4e, today

Wed Apr  4 13:16:41 2001  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* dirctan.tex: added patchcmd

	* faqbody.tex (section{How do I do X in TeX or LaTeX}): refer to
	 patchcmd in question on (er) patching commands

	* add-general.tex (section{Proposed new questions}): bit more
	 detail on the behaviour of ragged2e

	* faqbody.tex (section{Bibliographies}): bibtex string too long
	 question moved here from "things going wrong"

Wed Apr  4 00:09:17 2001  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* add-general.tex (section{Proposed new questions}): question on ragged
	 right setting, needed by the now-finished hyphenation question

	* faqbody.tex (section{Things are Going Wrong...}): added reference to
	 hyphenat in question about why hyphenation isn't happening

	* dirctan.tex: added hyphenat, schroeder

	* additions.tex: today

	* add-general.tex (section{Proposed new questions}): started "no
	 hyphenation" question

Tue Apr  3 00:21:27 2001  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* faqbody.tex (section{Why does it do that?}): tidy marginpar and
	 pictex questions
	v2.5.4d, today
	(section{Things are Going Wrong...}): \tenrm question, remove .sty from
	 rawfonts

	* add-general.tex (section{Proposed new questions}): minor tidies of
	 the two caption questions

	* additions.tex: today

	* add-general.tex (section{Proposed new questions}): do example in
	 caption format question in the usual three styles, and slight change
	 to text about typesetting caption.dtx for caption2

Mon Apr  2 07:56:15 2001  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* additions.tex: today's date

	* add-general.tex (section{Proposed new questions}): skeleton of
	 question on title formats (vehicle for titling.sty)

	* dirctan.tex: add titling

Sun Apr  1 20:40:44 2001  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* filectan.tex: added chngcntr.sty

	* additions.tex: pl3.5b, today

	* add-general.tex (section{Proposed new questions}): added questions on
	 caption formats, and on footnotes in captions

	* dirctan.tex: added symbols, caption, ccaption

	* faqbody.tex (section{How do I do X in TeX or LaTeX}): rationalise
	 mention of chngpage package in "adjusting the margins"; mention
	 ccaption in the wide figures question; reference to chngcntr in
	 counter manipulation question
	(section{The joy of TeX errors}): slight reword of \@ question
	(section{Documentation and Help}): added question about symbols list
	(head of file): v2.5.4c, today

Thu Mar 29 14:13:36 2001  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* texfaq2html-beta (sanitize_line): as production version

	* texfaq2html (sanitize_line): ignore \vspace*

	* faqbody.tex (section{How do I do X in TeX or LaTeX}): tidied visual
	 typesetting so's texfaq2html could cope, added a missing \\ (names
	 question)

Wed Mar 28 22:42:32 2001  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* faqbody.tex (section{How do I do X in TeX or LaTeX}): added \seename
	 and \alsoname to the list of names

Wed Mar 28 09:25:54 2001  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* filectan.tex: add excel2latex (the .zip file thereof)

	* faqbody.tex: v2.5.4a, today, for ctan installation, then v2.5.4b
	(section{Format conversions}): added excel2latex

	* dirctan.tex: add fink

	* faqbody.tex (section{How do I do X in TeX or LaTeX}): shortened
	 written-out code for retaining file names, and added reference to
	 fink package

Tue Mar 27 13:05:22 2001  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* additions.tex: pl3.5a, today

	* add-general.tex (section{Proposed new questions}): new question on
	 multiple indexes
	
	* filectan.tex: added multind.sty

	* dirctan.tex: added camel

Mon Mar 26 14:08:37 2001  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* additions.tex: pl3.5

	* texfaq2html: bring up to date with -beta

	* faqbody.tex: v2.5.4, today, for release

Mon Mar 26 00:11:55 2001  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* additions.tex: today's date

	* add-general.tex (section{Proposed new questions}): start of questions
	 on finding files in multi-file docs, and latex makefiles

Sun Mar 25 10:17:04 2001  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* additions.tex: dated today

	* faqbody.tex (section{Bibliographies}): added bibtex capitalisation,
	 cite sorting, \subsubsubsection and file name qs from add-general
	dated today

	* add-general.tex: new question on lists
	(section{Proposed new questions}): add reference to the companion in
	 \sub*section question

Sat Mar 24 15:22:18 2001  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* add-general.tex (section{Proposed new questions}): minor tidying of
	 the missing chars question

	* faqbody.tex (section{Current TeX Projects}): added question on web
	 technologies, from add-general
	(section{How do I do X in TeX or LaTeX}): added Q-fixnam, with list of
	 fixed names included

	* add-general.tex: added column balancing question

	* dirctan.tex: added nrc

	* additions.tex: pl3.4m, today

	* faqbody.tex (section{PostScript and TeX}): tidy up references to
	 ghostscript, gsview and (new) ghostview
	(throughout): ensure ghostscript is properly referred to
	v2.5.3r, today

	* dirctan.tex: restore gsview link as *-directory (this stuff needs
	 moving on ctan)

	* faqbody.tex (section{MF}): remove reference to paradissa which is no
	 longer on the archive

	* dirctan.tex: add sttools
	removed remaining things found in ctan scan

	* faqbody.tex (throughout): impose consistency on part distributions in
	 ctanrefs environments
	
Fri Mar 23 08:09:03 2001  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* faqbody.tex: v2.5.3q, yesterday

	* additions.tex: pl3.4k, today

	* add-general.tex (section{Proposed new questions}): major hack on the
	 new web technologies question; new question on what to do if you don't
	 understand

Thu Mar 22 10:24:58 2001  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* dirctan.tex: added pmx and mtx

	* faqbody.tex (section{Special sorts of typesetting}): tidied feynmann
	 question, and added reference to axodraw
	(section{Special sorts of typesetting}): updated the musi[cx] question,
	 with very aged input from werner icking

	* filectan.tex: added axodraw as a single file (after examining the
	 actual ctan holding)

	* dirctan.tex: removed axodraw

	* faqbody.tex (section{TeX Systems}): comment out the windows 3.1 stuff
	 in "editors and shells" (including the reference to eddi4tex), and
	 refer to the 4alltex cd under (current) windows

	* add-general.tex (section{Proposed new questions}): sorted list of
	 \*name commands (on the *-bits) and corrected somewhat

	* dirctan.tex: add pdfpages

	* faqbody.tex (section{How do I do X in TeX or LaTeX}): mention
	 pdfpages in Q-conditional

Wed Mar 21 13:43:55 2001  Robin Fairbairns  <rf@pallas.cl.cam.ac.uk>

	* faqbody.tex (section{Special sorts of typesetting}): mention
	 \verbatimtabinput in verbfile

Tue Mar 20 07:54:30 2001  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* faqbody.tex (section{Format conversions}): suppress mention of
	 sgmlbase (in the absence of evidence that it's going anywhere beyond
	 the toy status); masses of tidying of questions

	* dirctan.tex: make psfonts browsable

	* texfaq2html-beta (sanitize_line): add a 3-mandatory-arg version of
	 \cmdinvoke; add \ae{}

	* Makefile: add a bunch of short aliases for parts of make patch

	* faq.sty: increase ctanrefs \topsep a bit (4pt: half of article.cls
	 default)

	* add-general.tex (section{Proposed new questions}): body to Q-fixnam

	* faqbody.tex (section{How do I do X in TeX or LaTeX}): remove some
	 text of Q-latexwords to Q-fixnam and add reference to that question
	today's date; tidy code listings, logos questions

	* add-general.tex (section{Proposed new questions}): put reference to
	 docs at end of bibtex caps question

Mon Mar 19 23:18:19 2001  Robin Fairbairns  <rf@gordon.cl.cam.ac.uk>

	* additions.tex: pl3.4j

	* faqbody.tex (section{How do I do X in TeX or LaTeX}): add question on
	 patching commands from add-general
	(section{The joy of TeX errors}): \@ question from add-general
	v2.5.3p

	* add-general.tex (section{Proposed new questions}): corrected code in
	 "what's the name", rewrote sort&compress (for typographic reasons);
	 moved patching and \@ questions to faqbody

